2011-01-18  Paul Eggert  <eggert@cs.ucla.edu>

	Minor cleanups for 'bzr status'
	* .bzrignore: Add emacs-*/, the output of make-dist, and stamp-h1,
	the output of config.guess.
	* Makefile.in (top_distclean): Remove stamp-h1 too.

	* configure.in (HAVE_ATTRIBUTE_ALIGNED): Arrange for this to be
	defined if the compiler supports GCC-style __attribute__
	((__aligned__ ...)).  IBM AIX and Oracle Solaris Studio support
	this syntax.

2011-01-17  Paul Eggert  <eggert@cs.ucla.edu>

	Makefile.in: tidy up the building of lib
	* Makefile.in (am--refresh): Mark as .PHONY.
	(top_maintainer_clean): Don't remove lib/gnulib.mk m4/gnulib-cache.m4,
	as they're not rebuilt unless you do a "make sync-from-gnulib"
	and the former is needed for "configure".
	(maintainer-clean): Don't recurse into lib, as "make bootstrap-clean"
	has already removed lib/Makefile.

	* Makefile.in (GNULIB_MODULES): Change ftoastr to dtoastr.
	This avoids building ftoastr and ldtoastr, which aren't needed.  See
	<http://lists.gnu.org/archive/html/bug-gnulib/2011-01/msg00199.html>.

	* .bzrignore: Add .h files that are host-dependent.
	Add lib/.deps/, lib/arg-nonnull.h, lib/c++defs.h, lib/getopt.h,
	lib/time.h, lib/unistd.h, lib/warn-on-use.h.  These are
	host-dependent and are built as part of an ordinary 'make', and
	should not be checked in.

	* lib/Makefile.in: Regenerate.
	* lib/COPYING: New file, a copy of COPYING.

	* configure: Regenerate.
	* configure.in (AC_USE_SYSTEM_EXTENSIONS): Remove: gnulib does this.

	Regenerate.
	* lib/getopt.c, lib/getopt.in.h, lib/getopt1.c, lib/getopt_int.h:
	* lib/gettext.h, lib/unistd.in.h, m4/unistd_h.m4:
	New files, copied from gnulib by gnulib-tool.
	* aclocal.m4, configure, lib/Makefile.in, m4/getopt.m4:
	* m4/gnulib-cache.m4, m4/gnulib-comp.m4, src/config.in:
	Regenerate.

	Use gnulib's getopt-gnu module.
	* Makefile.in (GNULIB_MODULES): Add getopt-gnu.
	(AUTOCONF_INPUTS): Remove getopt.m4; aclocal.m4 is a good-enough
	representative of the dependencies.
	* configure.in: Do not configure getopt, as gnulib does that now.
	* make-dist: Do not worry about lib-src/getopt.h, as gnulib handles
	getopt now, in lib.

	Regenerate.
	* arg-nonnull.h, c++defs.h, lib/mktime-internal.h, lib/mktime.c:
	* lib/stddef.in.h, lib/time.h, lib/time.in.h, lib/time_r.c:
	* m4/extensions.m4, m4/include_next.m4, m4/mktime.m4:
	* m4/multiarch.m4, m4/stddef_h.m4, m4/time_h.m4, m4/time_r.m4:
	* m4/extensions.m4, m4/include_next.m4, m4/mktime.m4, m4/multiarch.m4:
	* m4/stddef_h.m4, m4/time_h.m4, m4/time_r.m4, m4/warn-on-use.m4:
	* m4/wchar_t.m4, warn-on-use.h:
	New files, copied from gnulib by gnulib-tool.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk:
	* m4/gnulib-cache.m4, m4/gnulib-comp.m4, src/config.in:
	Regenerate.

	Use gnulib's mktime module.
	* Makefile.in (GNULIB_MODULES): Add mktime.
	* configure.in: Remove code no longer needed, as gnulib now does it.
	(AC_CHECK_FUNCS): Remove mktime.
	(AC_FUNC_MKTIME, BROKEN_MKTIME): Remove.
	(__restrict): Remove, as this now gets in the way of the C99
	support for 'restrict' pulled in by the gnulib mktime module.
	Code should now use 'restrict' and not '__restrict".
	(mktime): Remove.
	* make-dist: Put gnulib-generated files arg-nonnull.h, c++defs.h,
	and warn-on-use.h into the distribution.

	Regenerate.
	* lib/dtoastr.c, lib/ftoastr.c, lib/ftoastr.h, lib/intprops.h:
	* lib/ldtoastr.c, m4/c-strtod.m4:
	New files, copied from gnulib by gnulib-tool.
	* lib/dummy.c: Remove.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk:
	* m4/gnulib-cache.m4, m4/gnulib-comp.m4, src/config.in:
	Regenerate.

	Use gnulib's ftoastr module.
	* Makefile.in (GNULIB_MODULES): Add ftoastr.  Remove dummy.

	Regenerate.
	* aclocal.m4, compile, depcomp, lib/Makefile.in, lib/dummy.c:
	* lib/gnulib.mk, m4/00gnulib.m4, m4/gnulib-cache.m4:
	* m4/gnulib-common.m4, m4/gnulib-comp.m4, m4/gnulib-tool.m4, missing:
	New files, generated automatically, with 'make sync-from-gnulib'
	followed by 'make'.
	* configure, lisp/dired.el, src/config.in: Regenerate.

	Automate syncing from gnulib.
	* INSTALL, README: Document new subdirectory 'lib'.
	* Makefile.in (SUBDIR): Add lib.
	(SUBDIR_MAKEFILES): Add lib/Makefile.
	(lib-src, src, TAGS, tags): Depend on lib.
	(gnulib_srcdir, GNULIB_MODULES, GNULIB_TOOL_FLAGS): New macros.
	($(gnulib_srcdir)): New rule.
	(sync-from-gnulib): New rule, which is .PHONY.
	(lib): New rule, which is like lib-src.
	(Makefile): Depend on lib/Makefile.in.
	(AUTOCONF_INPUTS): Depend on aclocal.m4.
	(ACLOCAL_INPUTS, AUTOMAKE_INPUTS): New macros.
	($(srcdir)/aclocal.m4, $(srcdir)/lib/Makefile.in): New rules.
	(am--refresh): New rule, to pacify Automake.
	(mostlyclean, clean, distclean, bootstrap-clean, maintainer-clean):
	Clean lib, too.
	(top_maintainer_clean): New macro, to remove gnulib-tool and Automake
	droppings.
	(maintainer-clean, extraclean): Use it.
	* configure.in: Initialize for automake and gnulib, by invoking
	AM_INIT_AUTOMAKE, AM_PROG_CC_C_O, gl_EARLY, and gl_INIT.  Output
	lib/Makefile, too.  Use automake to build gnulib, as gnulib works
	more conveniently with automake.
	* lib/Makefile.am: New file.
	* make-dist: Also put into the distribution aclocal.m4,
	compile, depcomp, missing, and the files under lib/.

2011-01-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (epaths-force): No more arch-tag to edit.

2011-01-15  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Bump min libxml2 version to 2.6.17 (Bug#7603).

2011-01-14  Paul Eggert  <eggert@cs.ucla.edu>

	* make-dist: Distribute test/ files too.
	Distribute every file under test/ that is under version control,
	using patterns like *.el to capture files that are added later.
	Without this change, "configure" would fail, because it would
	attempt to build from a Makefile.in that was not distributed.

2011-01-13  Christian Ohler  <ohler@gnu.org>

	* Makefile.in (INFO_FILES): Add ERT.

	* Makefile.in (check): Run tests in test/automated.

	* Makefile.in:
	* configure.in: Add test/automated/Makefile.

2011-01-07  Paul Eggert  <eggert@cs.ucla.edu>

	* install-sh, mkinstalldirs, move-if-change: Update from master
	source in gnulib.

	* config.guess, config.sub: Updated from master source.

2011-01-05  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Check for __builtin_unwind_init.

2011-01-05  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_MAKEINFO): New output variable.
	(MAKEINFO): Reset to "makeinfo" if not found.
	* Makefile.in (install-arch-indep, info):
	Replace MAKEINFO = off with HAVE_MAKEINFO = no.

2010-12-29  Ulrich Mueller  <ulm@gentoo.org>

	* configure.in: Make gameuser configurable (Bug#7717).

2010-12-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-dep, uninstall): Remove code relating to the
	long absent lib-src/fns-*.el.

2010-12-11  Glenn Morris  <rgm@gnu.org>

	* make-dist: Exclude etc/*.pyc.

2010-12-10  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Don't double machfile in final message.

2010-12-04  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Fix last change.

2010-12-04  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Remove reference to removed machine description
	files and allow $machine and $machfile to be empty.  Substitute
	M_FILE/S_FILE instead of machfile/opsysfile.

2010-12-03  Glenn Morris  <rgm@gnu.org>

	* make-dist: Remove EMACS_UNIBYTE unsetting; it does nothing.

2010-11-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in <AC_CHECK_HEADERS>: Remove sys/ioctl.h.
	(EXTERNALLY_VISIBLE): New definition.

2010-11-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (INLINE): Do not depend on OPTIMIZE, unused.

2010-11-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Do not check for unconditionally included headers.

2010-11-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .dir-locals.el (log-edit-mode): Set log-edit-rewrite-fixes.

2010-11-09  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in: Don't write a warning for D-Bus anymore.

2010-11-06  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Fix indentation.

2010-10-31  Ken Brown  <kbrown@cornell.edu>

	* configure.in (checking whether localtime caches TZ): Use
	unsetenv instead of modifying environment directly.

2010-10-25  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (checking for -znocombreloc): Use AC_LANG_PROGRAM
	to avoid warning.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in: Remove the BROKEN annotation from gnutls.

2010-10-22  Glenn Morris  <rgm@gnu.org>

	* make-dist: Avoid listing .el files twice.  Don't try to run
	autoconf if --no-update.

2010-10-20  Glenn Morris  <rgm@gnu.org>

	* make-dist: No longer create lisp/MANIFEST.

2010-10-14  Glenn Morris  <rgm@gnu.org>

	* BUGS, INSTALL.BZR, README: Updates.

2010-10-13  Glenn Morris  <rgm@gnu.org>

	* make-dist: Remove --compress.  Check for the appropriate
	gzip-like executable, and if not found, don't compress.
	Check version number in README, don't change it.
	Use find for nt/inc/*.h.

2010-10-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure (ns_appdir, OLDXMENU, TOOLTIP_SUPPORT): Remove
	trailing / from directory names.

2010-10-12  Glenn Morris  <rgm@gnu.org>

	* make-dist: Update and simplify.

2010-10-12  Eli Zaretskii  <eliz@gnu.org>

	* make-dist: Don't distribute src/buildobj.h.  (Bug#7167)

2010-10-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (PROFILING_LDFLAGS): Do not define, remove all uses.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* make-dist: No more doc/emacs/*.texi.in.

	* configure.in (AC_OUTPUT): Remove doc/emacs/emacsver.texi.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* configure.in: Combine some conditionals.

	* configure.in (AC_OUTPUT): Add doc/emacs/emacsver.texi.
	* make-dist: Include doc/emacs/*.texi.in.

	* INSTALL, make-dist: Remove references to b2m.
	* Makefile.in (MAN_PAGES): Remove b2m.1.

2010-10-05  Glenn Morris  <rgm@gnu.org>

	* .dir-locals.el: The Emacs convention is sentence-end-double-space.

2010-10-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (NO_INLINE, noinline): Move here from src/xterm.c.

2010-10-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Include stdlib.h and string.h unconditionally.

2010-09-29  Romain Francoise  <romain@orebokech.com>

	* configure.in: Don't enable ImageMagick unless HAVE_X11.

2010-09-28  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_GNUTLS): Add a description to make autoheader
	happy.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in: Enable imagemagick by default.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in (HAVE_GNUTLS): Don't break if we don't have the
	gnutls libraries.

2010-09-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* configure.in: Set up GnuTLS.

2010-09-22  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Announce whether libxml2 is linked to.

2010-09-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LINKER): Rename to LD_FIRSTFLAG, do not include $(CC).

2010-09-18  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Detect that libxml2 is installed and if so, build
	with it.

2010-09-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in (HAVE_LIBXML2): Check that the libxml2 we found can
	be used.  This fixes a conf problem on Mac OS X.

2010-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in: Check for libxml2.

2010-09-09  Glenn Morris  <rgm@gnu.org>

	* make-dist: No more TODO files under lisp/.

2010-09-04  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Produce lisp/gnus/_dir-locals.el from
	lisp/gnus/.dir-locals.el.

2010-08-23  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Fix check for librsvg, imagemagick and
	MagickExportImagePixels.

2010-08-18  Joakim Verona  <joakim@verona.se>

	* Makefile.in, configure.in: Checks for ImageMagick.

2010-08-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (AC_PREREQ): Require autoconf 2.65.

2010-08-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (AC_PREREQ): Require autoconf 2.66 to stop version churn.

2010-08-09  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Add AC_C_BIGENDIAN.

2010-08-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (ORDINARY_LINK): Use on hpux* too.

2010-08-06  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for util.h.
	Use -Wimplicit-function-declaration if compiler supports it.

2010-08-05  Eli Zaretskii  <eliz@gnu.org>

	* configure.in (UNEXEC_OBJ): Rename unexec.o => unexcoff.o.

2010-08-04  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Restore accidentally removed use of
	GCC_TEST_OPTIONS/NON_GCC_TEST_OPTIONS.

2010-07-29  Chad Brown  <yandros@mit.edu>

	* configure.in: Check for dirent.h.

2010-07-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove reference to usg5-4, unused.

2010-07-25  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Check for __executable_start.

2010-07-24  Ken Brown  <kbrown@cornell.edu>

	* configure.in (LINKER, LIB_GCC): Remove cygwin special cases (Bug#6715)

2010-07-24  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore, .gitignore: Ignore README.W32 on the root directory.

2010-07-24  Ken Brown  <kbrown@cornell.edu>  (tiny change)

	* configure.in (START_FILES) [cygwin]: Set to pre-crt0.o (Bug#6715).

2010-07-12  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (C_WARNINGS_SWITCH, PROFILING_CFLAGS)
	(PROFILING_LDFLAGS): Substitute, don't add them to CFLAGS/LDFLAGS.
	(C_OPTIMIZE_SWITCH): Remove.
	(TEMACS_LDFLAGS2): Add ${PROFILING_LDFLAGS}.

2010-07-11  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Don't check for index and rindex, check for strchr
	and strrchr.  Define strchr and strrchr as index and rindex,
	resp., in src/config.h if not available.

2010-07-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Use -Wold-style-definition if available.
	This helps with the transition to standard C code, it can be
	removed when done.

	* configure.in (PRE_EDIT_LDFLAGS, POST_EDIT_LDFLAGS): Remove.

	* configure.in (UNEXEC_OBJ): Add comment about values for MSDOS
	and MSWindows.

2010-07-07  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Don't check for bcopy, bcmp, bzero.  Don't include
	<strings.h> and don't define bcopy, bzero, BCMP in config.h.

2010-07-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (getenv): Remove K&R declaration.

2010-07-02  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Remove define __P.

2010-07-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (--enable-use-lisp-union-type): New flag.

2010-06-30  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix CFLAGS for non-GCC compilers.
	* configure.in (CFLAGS): Always use -g like it was done before the
	2010-03-30 change.
	(REAL_CFLAGS): Use CFLAGS for non-GCC to get optimization flags.
	(Bug#6538)

2010-06-30  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_SOUND, HAVE_X_I18N, HAVE_X11R6_XIM):
	Set with AC_DEFINE rather than AH_BOTTOM.

	* configure.in (C_OPTIMIZE_SWITCH, CANNOT_DUMP, SYSTEM_MALLOC):
	(USE_MMAP_FOR_BUFFERS, C_WARNING_SWITCH, CFLAGS, REAL_CFLAGS):
	Set with shell, not cpp.
	(LIBX): Remove, just use -lX11 in the one place this was used.
	(cannot_dump): Replace with CANNOT_DUMP.

2010-06-28  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add --with-x-toolkit=gtk3. Remove HAVE_GTK_MULTIDISPLAY,
	check for gtk_file_chooser_dialog_new, and HAVE_GTK_FILE_BOTH (implied
	by minimum required Gtk+ 2.6).  Add checks for functions introduced
	in Gtk+ 2.14 or newer (bug#6505).

2010-06-26  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Remove white space around "+" in COPY commands.

2010-06-23  Glenn Morris  <rgm@gnu.org>

	* info/dir: Start descriptions in column 32, per Texinfo convention.

2010-06-16  Chong Yidong  <cyd@stupidchicken.com>

	* INSTALL: Update font information (Bug#6389).

2010-06-16  Glenn Morris  <rgm@gnu.org>

	* INSTALL: General update.

2010-06-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Delete any old info .gz files first.

2010-06-11  Glenn Morris  <rgm@gnu.org>

	* configure.in (--without-compress-info): New option.
	(GZIP_INFO): New output variable.

	* Makefile.in (GZIP_INFO): New, set by configure.
	(install-arch-indep): Don't gzip info pages if GZIP_INFO is nil.
	Handle man pages in the same way.

2010-06-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Gzip the info files too.

	* make-dist: Remove references to non-existent directories and files.

2010-06-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Include <strings.h> and <string.h> instead of
	"strings.h" and "string.h".

2010-06-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove code dealing with BSTRING.

2010-06-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (AC_PREREQ): Require autoconf 2.65.

	* configure.in (unxec): Do not define and substitute.
	(UNEXEC_OBJ): New output variable, replaces cpp UNEXEC.

2010-06-03  Glenn Morris  <rgm@gnu.org>

	* configure.in (AH_BOTTOM): Remove NOT_C_CODE test, it is always true.

2010-06-02  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix alloca definition when using gcc on non-gnu systems.
	* configure.in: Use the code sequence indicated by "info autoconf"
	for alloca (bug#6170).

2010-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .bzrignore: Ignore new files from trunk, which appear if you use
	colocated branches (i.e. "bzr switch").

2010-05-28  Glenn Morris  <rgm@gnu.org>

	* configure.in: Simplify some of the $canonical tests.

2010-05-27  Glenn Morris  <rgm@gnu.org>

	* config.bat: Do not preprocess src/Makefile.in.

	* configure.in: Do not preprocess src/Makefile.in.
	(cpp_undefs, CPP_NEED_TRADITIONAL): Remove.
	(AC_EGREP_CPP): Test no longer needed.

	* make-dist: No more Makefile.c files.

2010-05-26  Glenn Morris  <rgm@gnu.org>

	* configure.in (YMF_PASS_LDFLAGS): Remove.
	(PRE_EDIT_LDFLAGS, POST_EDIT_LDFLAGS): New output variables.

	* configure.in (CPPFLAGS, CFLAGS, REAL_CFLAGS):
	Add $GNUSTEP_LOCAL_HEADERS.
	(LDFLAGS, LD_SWITCH_SYSTEM_TEMACS): Add $GNUSTEP_LOCAL_LIBRARIES.

	* configure.in (NS_IMPL_GNUSTEP_INC, NS_IMPL_GNUSTEP_TEMACS_LDFLAGS)
	(GNUSTEP_MAKEFILES): Remove.
	(LD_SWITCH_SYSTEM_TEMACS): Move NS_IMPL_GNUSTEP_TEMACS_LDFLAGS
	stuff to here.

2010-05-25  Glenn Morris  <rgm@gnu.org>

	* configure.in (LD_SWITCH_SYSTEM): Move some gnu-linux stuff...
	(LD_SWITCH_SYSTEM_TEMACS): ... to here.

	* configure.in (LD_SWITCH_SYSTEM_EXTRA): Remove.
	(LD_SWITCH_SYSTEM_TEMACS): Put darwin stuff from LD_SWITCH_SYSTEM_EXTRA
	here instead.

2010-05-24  Romain Francoise  <romain@orebokech.com>

	* make-dist: Look for version in src/emacs.c.
	Use lisp/subr.el rather than lisp/version.el for location check.

2010-05-21  Glenn Morris  <rgm@gnu.org>

	* configure.in (MKDEPDIR): Parallel build tweak.

	* configure.in (ns_frag): New output file.

	* configure.in (OLDXMENU): Set to "nothing" if !HAVE_X11 || USE_GTK.
	(OLDXMENU_TARGET): Set to empty if USE_GTK.

	* configure.in (cannot_dump): New output variable.

2010-05-20  enami tsugutomo  <tsugutomo.enami@jp.sony.com>

	* configure.in: On NetBSD, if terminfo is found, use it in
	preference to termcap.  (Bug#6190)

2010-05-20  Glenn Morris  <rgm@gnu.org>

	* make-dist (src): Include *.mk.
	* config.bat: Concatenate deps.mk onto the end of src/Makefile.
	* configure.in (DEPFLAGS, MKDEPDIR): New output variables.
	(deps_frag): New output file.
	(AUTO_DEPEND): Remove this definition.

	* configure.in (--with-gtk, --with-gcc): Remove option stubs.

2010-05-19  Glenn Morris  <rgm@gnu.org>

	* configure.in (LINKER, YMF_PASS_LDFLAGS): New output variables.
	(ORDINARY_LINK): New AC_DEFINE.
	(LIB_GCC): No need to set if ORDINARY_LINK.

2010-05-18  Glenn Morris  <rgm@gnu.org>

	* configure.in (POST_ALLOC_OBJ) [cygwin]: Omit vm-limit.o.
	(POST_ALLOC_OBJ) [!cygwin]: Set to empty.

	* config.bat (RALLOC_OBJ): Edit to empty if sys_malloc.
	* configure.in (REL_ALLOC): Unset on gnu, gnu-linux if DOUG_LEA_MALLOC.
	(RALLOC_OBJ): New output variable.

	* config.bat (GMALLOC_OBJ, VMLIMIT_OBJ): Edit to empty if sys_malloc.
	* configure.in (GMALLOC_OBJ, VMLIMIT_OBJ): New output variables.

2010-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (src): Provide the name of the VCS file that witnesses
	a pull.
	($(srcdir)/src/config.in): Handle accidental removal of src/config.in.

2010-05-17  Glenn Morris  <rgm@gnu.org>

	* configure.in (OLDXMENU_DEPS): New output variable.

2010-05-16  Glenn Morris  <rgm@gnu.org>

	* configure.in (ns_appbindir, ns_appresdir): Set using $ns_appdir.

	* configure.in (ns_appdir, ns_appbindir): Add trailing "/" to value.
	* Makefile.in (install-arch-dep): Update for above change.

	* Makefile.in (ns_appdir): Remove.
	(install-arch-dep): Test $ns_appresdir instead of $ns_appdir.

	* configure.in (TEMACS_LDFLAGS2): New output variable.

	* configure.in (NS_IMPL_GNUSTEP_TEMACS_LDFLAGS): New output variable.
	(START_FILES): Set to empty if NS_IMPL_GNUSTEP.
	(GNUSTEP_SYSTEM_HEADERS, GNUSTEP_SYSTEM_LIBRARIES): Do not output,
	nothing uses.

2010-05-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove references to usg5-4 and bsd-common, $opsys
	does not use them.
	(X11R5_INHIBIT_I18N): Remove, unused.

2010-05-15  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBXMENU): Set to empty if !HAVE_X_WINDOWS.

	* configure.in (FONT_OBJ): Set to empty if !HAVE_X_WINDOWS.

2010-05-15  Ken Raeburn  <raeburn@raeburn.org>

	* configure.in: Look for version string in its new location.

2010-05-15  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Remove support for DJGPP v1.x.

2010-05-15  Glenn Morris  <rgm@gnu.org>

	* configure.in (OLDXMENU_TARGET): New output variable.

	* Makefile.in (install-arch-dep): Update odd NS rule for Emacs version.

	* Makefile.in (install-arch-indep): Remove references to RCS, CVS,
	and other files that no longer exist.

2010-05-14  Glenn Morris  <rgm@gnu.org>

	* configure.in (cpp_undefs): Add mktime, register, X11.

	* configure.in (GPM_MOUSE_SUPPORT): Remove.
	(MOUSE_SUPPORT, TOOLTIP_SUPPORT, WINDOW_SUPPORT): New output variables.
	(HAVE_WINDOW_SYSTEM, HAVE_MOUSE): Move out of AC_BOTTOM.

	* configure.in (NS_IMPL_GNUSTEP_INC): New output variable.
	(GNUSTEP_MAKEFILES): Do not output.

2010-05-13  Glenn Morris  <rgm@gnu.org>

	* configure.in: Fix some paren typos.

	* configure.in (OLDXMENU, LIBXMENU): Set to empty if !HAVE_MENUS.

	* configure.in (LD_SWITCH_X_SITE, C_SWITCH_X_SITE): Do not define.

2010-05-12  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIB_SRC_EXTRA_INSTALLABLES): Remove, unused.

	* configure.in (LIB_GCC): New output variable.

2010-05-11  Glenn Morris  <rgm@gnu.org>

	* make-dist (msdos): No more mainmake.

	* configure.in: Generate lib-src/Makefile directly, do not run cpp.
	* config.bat: Do not run cpp on lib-src/Makefile.in.

	* config.bat [HAVE_X11]: Run sed3x.inp on lib-src/Makefile.

2010-05-10  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBS_SYSTEM): New output variable, replacing cpp.

	* configure.in (MAIL_USE_FLOCK, MAIL_USE_LOCKF): New AC_DEFINEs.
	(BLESSMAIL_TARGET): New output variable.

2010-05-08  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* INSTALL: Fix typos.

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Add check for buggy version of GCC (Bug#6031).

2010-05-08  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_LIBNCURSES): New local variable.
	(TERMINFO, LIBS_TERMCAP, TERMCAP_OBJ): New output variables,
	replacing cpp in src/s/*.h and src/Makefile.in.

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in: Add tests for `isnan' and `copysign'.

2010-05-07  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Allow for 2 leading `#'s in comments in
	src/Makefile.in.

2010-05-07  Glenn Morris  <rgm@gnu.org>

	* configure.in (LD_SWITCH_SYSTEM): Set with configure, not cpp.
	Merges logic from src/s/* and src/Makefile.in.
	(LD_SWITCH_SYSTEM_TEMACS): New output variable.

2010-05-07  Dan Nicolaescu  <dann@ics.uci.edu>

	Define START_FILES and LIB_STANDARD using autoconf.
	* configure.in (START_FILES, LIB_STANDARD): New definitions, moved
	here from src/s/*.h.
	(HAVE_CRTIN): Remove, inline logic in the netbsd
	START_FILES/LIB_STANDARD computation.

2010-05-06  Glenn Morris  <rgm@gnu.org>

	* configure.in (AC_PROG_LN_S): Remove test, nothing uses @LN_S@.

	* Makefile.in (CPP, C_SWITCH_SYSTEM, ALLOCA, LN_S, C_SWITCH_X_SITE)
	(LD_SWITCH_X_SITE): Remove unused variables.

2010-05-04  Glenn Morris  <rgm@gnu.org>

	* configure.in (LD_SWITCH_X_SITE_AUX): Use AC_SUBST only, not AC_DEFINE
	as well.
	(LD_SWITCH_X_SITE_AUX_RPATH): New output variable.

	* configure.in (LD_SWITCH_SYSTEM_TEMACS): New output variable.

	* configure.in (C_SWITCH_MACHINE, C_SWITCH_SYSTEM): New output
	variables, replacing c_switch_machine, c_switch_system.
	* Makefile.in (C_SWITCH_SYSTEM): Use @C_SWITCH_SYSTEM@ rather than
	@c_switch_system@.

2010-05-03  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBXT_OTHER, LIBX_OTHER): New output variables.

	* make-dist: There are no more src/m/*.inp files.

2010-05-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LD_SWITCH_MACHINE, ld_switch_machine): Remove, unused.
	(ac_link): Do not use ld_switch_machine.

2010-05-01  Glenn Morris  <rgm@gnu.org>

	* configure.in (OTHER_OBJ): Remove.
	(PRE_ALLOC_OBJ, POST_ALLOC_OBJ): New output variables.

2010-04-30  Glenn Morris  <rgm@gnu.org>

	* configure.in (OTHER_OBJ): Always include vm-limit.o on Cygwin.
	Elsewhere, maybe include it.

	* configure.in (TOOLKIT_LIBW) [HAVE_GTK]: Set to $GTK_LIBS.
	(OLDXMENU, LIBXMENU): New output variables.

	* configure.in (OTHER_OBJ): New output variable.

2010-04-28  Glenn Morris  <rgm@gnu.org>

	* configure.in (CYGWIN_OBJ): New output variable.

	* configure.in (GPM_MOUSE_SUPPORT): New output variable.

	* configure.in (FONT_OBJ): New output variable.

	* configure.in (LIBXMU): New output variable.

	* configure.in (NS_OBJ, NS_SUPPORT): New output variables.

	* configure.in (machine, canonical): On amdx86-64, check for a 32-bit
	userland and maybe change values to i386 (move test from s/amdx86-64.h).

2010-04-27  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBXTR6): New output variable.  Move unixware special
	case here from src/s/unixware.h.

	* configure.in (LUCID_LIBW, MOTIF_LIBW): No longer substitute
	in Makefiles.
	(TOOLKIT_LIBW): New output variable, replacing LUCID_LIBW/MOTIF_LIBW.

	* configure.in (HAVE_MOTIF_2_1): Remove unused variable.
	(LIBXP): No longer substitute in Makefiles.
	(MOTIF_LIBW): New output variable.  Move system-specific settings here
	from src/s files.

2010-04-27  Dan Nicolaescu  <dann@ics.uci.edu>

	Reduce CPP usage.
	* configure.in (LIB_X11_LIB): Remove, inline in the only user.
	(unexec): Define unconditionally, all platforms define
	UNEXEC.  AC_SUBST it.
	(UNEXEC_SRC): Remove, unused.
	(C_SWITCH_X_SYSTEM): Define using autoconf, not cpp.

2010-04-27  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_MOTIF_2_1, HAVE_LIBXP): Remove unused AC_DEFINEs,
	replaced by LIBXP.

	* configure.in (--with-crt-dir): Doc fix (now valid for all platforms).
	(CRT_DIR): On (powerpc64|sparc64)-*-linux-gnu*, default to /usr/lib64.
	On hpux10-20, default to /lib.

	* configure.in (LUCID_LIBW, LIBXP, WIDGET_OBJ): New output variables.

2010-04-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LIBS_MACHINE): Remove, unused.

	* configure.in (LIB_MATH): New output variable.  Set it for some systems.

2010-04-24  Glenn Morris  <rgm@gnu.org>

	* configure.in (CRT_DIR): New output variable.
	(--with-crt-dir): New option.  (Bug#5655)
	(HAVE_LIB64_DIR): Remove.

2010-04-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (REAL_CFLAGS, CFLAGS): Restore -g for gcc.

2010-04-22  Miles Bader  <miles@gnu.org>

	* configure.in: Get rid of "unix" pre-defined macro when
	preprocessing Makefile.  (Bug#5857)

2010-04-21  Andreas Schwab  <schwab@linux-m68k.org>

	Avoid non-portable shell command negation
	* configure.in: Revert last change.

2010-04-21  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Change "if test ! -f" to "if ! test -f".

2010-04-21  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBSELINUX_LIBS): Always substitute in Makefiles.
	(GTK_OBJ, DBUS_OBJ, LIBXSM, XMENU_OBJ, XOBJ): New output variables.

2010-04-21  Karel Klíč  <kklic@redhat.com>

	* configure.in: New option: --with(out)-selinux, on by default.
	Set HAVE_LIBSELINUX if we find libselinux, and substitute
	LIBSELINUX_LIBS in Makefiles.

2010-04-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove all references to LIBX11_SYSTEM.

2010-03-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove all references to C_DEBUG_SWITCH.

2010-03-27  Eli Zaretskii  <eliz@gnu.org>

	* config.bat <lib-src>: Edit out lines that begin with several #
	characters.

2010-03-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove support for old UNIX System V systems and
	for Unixware on non-x86 machines.

	* configure.in: Remove support for Solaris on PPC and for old versions.

	* configure.in: Remove non-working lynxos port.

2010-03-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* .dir-locals.el (c-mode): Turn on whitespace-mode for diff-mode.

2010-03-19  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_LIBNCURSES): Add a description to make autoheader
	happy.

2010-03-18  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for tputs and friends, abort if not
	found (bug#5735).

2010-03-18  Glenn Morris  <rgm@gnu.org>

	* configure.in (--with-x-toolkit): In the help text, say which options
	are synonyms.

	* configure.in (--with-mmdf, --with-mail-unlink):
	New options, off by default.
	(--with-mailhost): New option to set default POP host.
	(LIBXPM, LIBJPEG, LIBPNG, LIBTIFF, LIBGIF, LIBGPM, LIBS_MAIL)
	(LIBHESIOD, LIBRESOLV, COM_ERRLIB, CRYPTOLIB, KRB5LIB, DESLIB, KRB4LIB):
	New variables, substituted in Makefiles.
	(try_libungif, ac_gif_lib_name): Replace with HAVE_GIF=maybe, LIBGIF.
	(LIBGIF): Use AC_SUBST rather than AC_DEFINE.
	(HAVE_LIBMAIL, HAVE_LIBLOCKFILE, HAVE_LIBCOM_ERR, HAVE_LIBCRYPTO)
	(HAVE_LIBK5CRYPTO, HAVE_LIBKRB5, HAVE_LIBDES425, HAVE_LIBDES)
	(HAVE_LIBKRB4, HAVE_LIBKRB): New AC_DEFINEs.

2010-03-18  Tetsurou Okazaki  <okazaki@be.to>  (tiny change)

	* Makefile.in (uninstall): Handle the case where archlibdir does not
	exist.  (Bug#5720)

2010-03-12  Eli Zaretskii  <eliz@gnu.org>

	These changes remove termcap.c from the build on Posix platforms.
	* configure.in <AC_CHECK_HEADERS>: Remove termcap.h.

	* configure: Regenerated.

2010-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.2.

2010-01-31  Juri Linkov  <juri@jurta.org>

	* .bzrignore: Add TAGS-LISP.

2010-01-23  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* configure.in: Check for utmp.h availability (FreeBSD 9.x lacks
	this header file).

2010-01-12  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore: Ignore all .exe, instead of individual files.

2010-01-12  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Explicitly check for and link to -lXrender.

2010-01-12  Glenn Morris  <rgm@gnu.org>

	* INSTALL.BZR, README: Use bug-gnu-emacs rather than emacs-pretest-bug
	for bug reports for development versions.

2010-01-02  Eli Zaretskii  <eliz@gnu.org>

	* .bzrignore: Add more ignored patterns, including for the MS-DOS
	build.

2009-12-27  Karl Fogel  <kfogel@red-bean>

	* INSTALL.BZR: Rename from INSTALL.CVS; edit to talk about Bazaar.
	* INSTALL, autogen.sh, configure.in, configure: Adjust accordingly.

2009-12-17  Glenn Morris  <rgm@gnu.org>

	* .dir-locals.el (bug-reference-url-format): Change to debbugs.gnu.org.

2009-12-15  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add EDT entry.
	* Makefile.in (INFO_FILES): Add edt.

2009-12-10  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for RSVG if GNUStep is used.

2009-12-09  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Don't check for RSVG or GConf unless X11 is used.

2009-12-09  Ken Brown  <kbrown@cornell.edu>  (tiny change)

	* configure.in: Allow compiling Emacs with GTK on Cygwin.

2009-12-01  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add etc/images/mpc directory.

2009-11-21  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Don't check for GConf unless X is used.

2009-11-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Use -Wdeclaration-after-statement if available.

2009-11-17  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: New option: --with(out)-gconf.
	Set HAVE_GCONF if we find gconf.

2009-11-17  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_FILES): Add semantic.

2009-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* info/dir: Add Semantic.

2009-11-16  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Use a more restrictive Makefile
	pattern, so as not to exclude makefile*.el.  (Bug#4912)

2009-11-14  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: --enable-autodepend is new.  Check for GNU Make
	and that gcc supports -MMD -MF.  Define AUTO_DEPEND if we can use
	gcc and GNU make to generate dependencies.

2009-10-27  Glenn Morris  <rgm@gnu.org>

	* make-dist: Make links to doc/lispintro/*.pdf.

2009-10-23  Jim Meyering  <meyering@redhat.com>

	* configure.in: Invoke $CPP with -P when creating Makefile and
	src/Makefile.  Without this, gcc 4.4.2 converts each
	backslash-newline pair in the input to a bare newline, yielding
	invalid Makefiles.

	* configure: Regenerate.

2009-10-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (vax-dec-vms): Remove, not supported anymore.

2009-10-15  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (NS_HAVE_NSINTEGER): Back out previous change.
	(*-apple-darwin*): Add x86_64 architecture.

2009-10-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2009-10-11  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (NS_HAVE_NSINTEGER): Remove this test and define.

2009-10-07  Edward Trumbo  <etrumbo@comcast.net>  (tiny change)

	* Makefile.in (INFO_FILES): Add EDE and EIEIO.

2009-09-29  Glenn Morris  <rgm@gnu.org>

	* make-dist (check): Update for two new levels of subdirectory in lisp/.

2009-09-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

	* configure.in (OTHER_FILES): Define using autoconf not cpp.

2009-09-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* .dir-locals.el (change-log-mode): Restore bug-reference-mode.

2009-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* INSTALL: Update URL for GNU FreeFont.

2009-09-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Don't recursively change perms of
	site-lisp and infodir.  There may be non-Emacs files in here, and the
	files supplied by Emacs are all handled explicitly already.  (Bug#3800)
	(mkdir): Set umask to world-readable before creating directories.
	mkinstalldirs already checks if dirs exist, don't duplicate this test.

2009-08-29  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (info-real): Don't ignore errors from doc Makefiles.
	(info): Don't give an error in the absence of makeinfo - let the doc
	Makefiles do that, if the info files need rebuilding.  (Bug#3982)

2009-08-23  Ken Raeburn  <raeburn@raeburn.org>

	* Makefile.in (install-arch-indep): If the versioned DOC-####
	generated during loadup+dump isn't found, install the plain DOC
	file that always gets generated, in case CANNOT_DUMP is set.

	* configure.in: Warn if package version specified here doesn't
	match the version in version.el.
	* configure: Regenerate.

2009-08-22  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in: AC_CHECK_FUNCS dbus_watch_get_unix_fd.

	* configure: Regenerate.

2009-08-19  Glenn Morris  <rgm@gnu.org>

	* INSTALL: Remove reference to cvtmail.

2009-08-15  CHENG Gao  <chenggao@gmail.com>

	* Makefile.in (install-arch-indep): Remove .DS_Store files (MacOSX).

2009-08-02  Kevin Ryde  <user42@zip.com.au>

	* INSTALL: Fix free fonts URL.

2009-07-22  Glenn Morris  <rgm@gnu.org>

	* configure.in (AC_PREREQ): Require autoconf 2.62.

2009-07-04  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (--enable-checking, --enable-profiling):
	Use AS_HELP_STRING.

2009-07-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (--enable-profiling): New option.
	(mips-*-netbsd*, mipsel-*-netbsd*, mipseb-*-netbsd*): Use machine=mips.

2009-06-27  Glenn Morris  <rgm@gnu.org>

	* configure.in: Restore netbsd on mips, mipsel, mipseb.

2009-06-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (--enable-checking): New option.

2009-06-24  Glenn Morris  <rgm@gnu.org>

	* make-dist: Warn if subdir does not exist in source.
	(nextstep/Cocoa/Emacs.base/Contents/Resources/preferences.nib)
	(nextstep/GNUstep/Emacs.base/Resources/preferences.gorm):
	No longer make links.

2009-06-24  Yavor Doganov  <yavor@gnu.org>

	* make-dist (tempdir): Don't create directories preferences.gorm
	and preferences.nib, they are no longer required.

2009-06-21  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.1.

2009-06-12  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Delete mac-fix-env target, which has been
	removed (Bug#3531).

2009-05-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in: Don't define CANNOT_DUMP for GNUStep any more.

2009-05-05  Per Starbäck  <per@starback.se>  (tiny change)

	* BUGS: Use new binding of view-emacs-problems.

2009-05-04   Simon Leinen  <simon.leinen@switch.ch>  (tiny change)

	* Makefile.in (install-arch-dep): Avoid using $$(..) construct,
	for Solaris compatibility.

2009-04-25  Chong Yidong  <cyd@stupidchicken.com>

	* configure: Regenerate.

	* configure.in: Disable use of FreeType without libXft.

2009-04-19  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_GTK_FILE_SELECTION, HAVE_GTK_FILE_CHOOSER):
	Check if it is declared in gtk.h.

2009-04-12  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (install-arch-indep): Remove .gitignore files.

2009-04-03  Kenichi Handa  <handa@m17n.org>

	* INSTALL: Make the section "Complex Text Layout support
	libraries" the first of "ADDITIONAL DISTRIBUTION FILES".

2009-03-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (rs6000-ibm-aix6*): Fix typo.

2009-03-04  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_FILES): Add auth.

2009-03-03  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add Auth-source.

2009-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (src): Fix last change so the first `cd' doesn't affect
	the second.

2009-02-28  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Copy .dbxinit to _dbxinit.

	* make-dist (Making links to `info'): Remove .gitignore.

2009-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (lib-src, lisp): Use simpler rule.
	(src): Be more specific to avoid recompiling all the .elc files just
	because the bootstrap-emacs is missing.

2009-02-26  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Require librsvg >= 2.11.

2009-02-23  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (HAVE_XFT, HAVE_FREETYPE, HAVE_LIBOTF)
	(HAVE_M17N_FLT): Don't check for these unless HAVE_X11.

2009-02-04  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (COCOA_EXPERIMENTAL_CTRL_G): Drop.

2009-02-03  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add some missing files, remove some that are no longer
	present.

2009-02-02  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add some missing nextstep/ files.

2009-01-22  Yavor Doganov  <yavor@gnu.org>  (tiny change)

	* configure.in (HAVE_RSVG): Use librsvg under HAVE_NS also.  (Bug#616)

2009-01-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Add support for m68k-*-netbsd.

2009-01-14  Juri Linkov  <juri@jurta.org>

	* .dir-locals.el (change-log-mode): Remove bug-reference-mode.

	* .dir-locals.el (change-log-mode): Add bug-reference-url-format
	and bug-reference-mode.

2009-01-11  Juri Linkov  <juri@jurta.org>

	* INSTALL.CVS: Move configuration explicitly to the first step.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* .dir-locals.el: Don't set indent-tabs-mode.

2008-12-30  Kenichi Handa  <handa@m17n.org>

	* configure.in: Define HAVE_OTF_GET_VARIATION_GLYPHS if libotf has
	the function OTF_get_variation_glyphs.

2008-12-30  Jan Djärv  <jan.h.d@swipnet.se>

	* Makefile.in (install-arch-dep): Remove old directories in
	ns_app* before moving new directories there.

2008-12-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* .dir-locals.el: Remove non-working entry for pmail.
	(fill-column): Fix typo.
	(change-log-mode): Add fill column.

2008-12-26  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Produce _dir-locals.el from .dir-locals.el.

2008-12-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* make-dist (tempdir): Distribute .dir-locals.el.

	* .dir-locals.el: New file.

2008-12-19  Eli Zaretskii  <eliz@gnu.org>

	* config.bat (--with-system-malloc): New option; see msdos/INSTALL
	for rationale.

2008-12-13  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Add new man-pages.
	(manext): Remove variable.
	(MAN_PAGES): New variable.
	(install-arch-indep, uninstall): Use MAN_PAGES for list of files to add
	and remove.
	(uninstall): Remove desktop file and icons, game scores if empty.

2008-12-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2008-12-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* Makefile.in (install-arch-indep): Install ebrowse.1.

2008-12-09  Ali Bahrami  <ali_gnu@emvision.com>  (tiny change)

	* configure.in: Add Solaris on x86_64.

2008-12-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2008-12-08  Eli Zaretskii  <eliz@gnu.org>

	* info/dir: Fix last change.

2008-12-07  Eli Zaretskii  <eliz@gnu.org>

	* info/dir: Untabify.

2008-11-28  Ulrich Mueller  <ulm@gentoo.org>

	* configure.in: Fix last change.

2008-11-28  Richard M Stallman  <rms@gnu.org>

	* configure.in (mips64-*-linux-gnu*, mips64el-*-linux-gnu*):
	New configurations.

2008-11-20  Josh Elsasser  <josh@elsasser.org>  (tiny change)

	* configure.in: Add hppa-*-openbsd* with machine hp800; mistakenly
	removed while misclassified as now unsupported hp9000s300.  (Bug#1365)

2008-11-15  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (INFO_FILES): Remove ns-emacs.

	* info/dir (NS-Emacs): Remove entry.

2008-11-08  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL: Move MS-DOS specific instructions to msdos/INSTALL.

2008-11-07  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_LIB64_DIR): Check for crtn.o.  (Bug#1287)

2008-10-31  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Tell user to expect one "File not found" message
	while the `doc' directory is being configured.

2008-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* update-subdirs: Put obsolete directory last.

2008-10-30  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>

	* configure.in: Check fontconfig always.

2008-10-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure (*-solaris2.[7-9]*): Fix typo.

2008-10-24  Glenn Morris  <rgm@gnu.org>

	* configure.in (--without-sync-input, --with-pkg-config-prog):
	Help strings start with lower case.
	(--with-gnustep-conf): New option.
	(GNUSTEP_CONFIG_FILE): Use, instead of fixed /etc/GNUstep/GNUstep.conf.

2008-10-24  Yavor Doganov  <yavor@gnu.org>  (tiny change)

	* configure.in: Use `.' instead of `source' to source GNUstep.conf.
	Exit with an error if `--with-ns' was specified but <AppKit/AppKit.h>
	is not found.  (Bug#1230)

2008-10-23  Ali Bahrami  <ali_gnu@emvision.com>  (tiny change)

	* configure (*-sunos5*, *-solaris*): Use the new file sol2-10.h.
	Use sol2-6.h for Solaris 7-9.

2008-10-18  Ulrich Mueller  <ulm@gentoo.org>

	* configure.in: Add support for GNU/Linux on SuperH.

2008-10-12  Andreas Schwab  <schwab@suse.de>

	* configure.in: Only check for m17n-flt if HAVE_LIBOTF.

2008-08-28  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in: Report USE_TOOLKIT_SCROLLBARS as such (not mentioning
	"X") to avoid confusion.

	* configure: Regenerate.

2008-09-07  Romain Francoise  <romain@orebokech.com>

	* make-dist: Distribute doc/man/ChangeLog.

2008-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Disable XFT and Freetype when without X.

	* configure: Regenerate.

2008-08-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (NS_IMPL_GNUSTEP): Increase pure size.

2008-08-21  Christian Faulhammer  <opfer@gentoo.org>  (tiny change)

	* configure.in (GNUSTEP_SYSTEM_HEADERS): Define
	GNUSTEP_SYSTEM_HEADERS and GNUSTEP_SYSTEM_LIBRARIES.

	* configure: Regenerate.

2008-08-20  Eli Zaretskii  <eliz@gnu.org>

	* configure.in: Move "#define subprocesses" before
	config_opsysfile is included.

2008-08-19  Kenichi Handa  <handa@m17n.org>

	* INSTALL (Extra fonts): Mention local fonts, don't mention
	mule-unicode.

2008-08-16  Chong Yidong  <cyd@stupidchicken.com>

	* make-dist: Omit info/.arch-inventory.

2008-08-16  Jason Rumney  <jasonr@gnu.org>

	* make-dist (tempdir/nt): Link emacsclient.rc.

2008-08-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LIB_SRC_EXTRA_INSTALLABLES): New variable.
	AC_SUBST it.
	(GNU_OBJC_CFLAGS): Define as a shell variable instead of #define.
	AC_SUBST it.
	(OTHER_FILES): Always define for HAVE_NS.
	(C_SWITCH_X_SYSTEM): Don't define as empty for NS_IMPL_COCOA.
	* configure: Regenerate.

2008-08-07  Andreas Schwab  <schwab@suse.de>

	* configure.in: Correctly handle
	--enable-cocoa-experimental-ctrl-g=no and
	--enable-ns-self-contained=yes.

2008-08-06  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (NS_HAVE_INTEGER): Rename to NS_HAVE_NSINTEGER.
	(C_SWITCH_X_SYSTEM): Drop -MMD -MP under NS_IMPL_GNUstep.  Don't
	bother undef'ing since won't have desired effect.

2008-08-06  Andreas Schwab  <schwab@suse.de>

	* configure.in: Fix quoting.

2008-08-06  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in (COCOA_EXPERIMENTAL_CTRL_G): Fix 2008-08-04 change.

2008-08-05  Ulrich Mueller  <ulm@gentoo.org>

	* configure.in: Add checks for krb5_error.text and
	krb5_error.e_text struct members.

2008-08-04  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Test for existence of NSInteger.
	Suggested by Yavor Doganov.

2008-08-02  Romain Francoise  <romain@orebokech.com>

	* Makefile.in (INFO_FILES): Add mairix-el.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* make-dist:
	* README: Remove VMS support.
	* vms: Remove directory.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (MULTI_KBOARD): Remove.

2008-07-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (DO_BLOCK_INPUT): Remove, unused.

2008-07-29  Chong Yidong  <cyd@stupidchicken.com>

	* info/dir (File): Add mairix-el.

2008-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	Remove support for Mac Carbon.
	* mac: Remove directory.
	* make-dist:
	* configure.in:
	* README:
	* Makefile.in:
	* INSTALL: Remove code for Carbon.
	* configure: Regenerate.

2008-07-26  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* Makefile.in (install-arch-dep): Fix typo in NS installation commands.

2008-07-25  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Check for getrlimit.

	* configure: Regenerate.

2008-07-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LD_SWITCH_SITE): Remove, set the values directly
	in src/Makefile.in.
	(static): Remove, autoconf would always comment it out anyway.
	(subprocesses): Define unconditionally.

2008-07-19  Yavor Doganov  <yavor@gnu.org>  (tiny change)

	* configure.in: Fix typo in GNUSTEP_MAKEFILES setting for HAVE_NS
	compilation under GNUstep.

2008-07-18  Kenichi Handa  <handa@m17n.org>

	* INSTALL (Complex Text Layout support libraries): Delete the
	paragraph about --enable-font-backend.

2008-07-17  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in: Print out some info to user for NeXTstep builds.
	(ns-app): Remove enable option.
	(ns-self-contained): Add enable option.
	(ns_appbindir, ns_appresdir, ns_appsrc): Set them based on Cocoa or
	GNUstep, use to set install prefixes, and substitute in Makefiles.
	* configure: Regenerate.
	* Makefile.in (install-arch-dep): Perform post-install cleanup inside
	NS app bundle.

2008-07-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in: Extract and substitute GNUSTEP_MAKEFILES.

2008-07-16  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in: Change GNUSTEP to NS_IMPL_GNUSTEP, COCOA to
	NS_IMPL_COCOA.

2008-07-16  Glenn Morris  <rgm@gnu.org>

	* configure.in (with_kerberos, with_kerberos5, with_hesiod):
	Fix tests for OPTION_DEFAULT_OFF (variables never unset).
	(with_carbon, with_ns): Remove dead code, since OPTION_DEFAULT_OFF means
	never unset.

	* make-dist: Add nextstep/ directories.
	(src, lib-src): Add .m files.

2008-07-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (freebsd, kfreebsd): Undo part of previous change.
	(USER_FULL_NAME): Remove, not used anymore.
	* configure: Regenerate.

2008-07-15  Adrian Robert  <Adrian.B.Robert@gmail.com>

	Changes and additions for NeXTstep windowing system (Cocoa and
	GNUstep) support.

	* configure.in: Add support for NS window system: --with-ns (default
	off), --enable-ns-app, --enable-cocoa-experimental-ctrl-g; improve add
	sparc detection for FreeBSD variants, checks for Cocoa and GNUstep,
	disable font backend if window system is "none", not if !HAVE_X11.
	* Makefile.in: Add ns-emacs to INFO_FILES, add ns_appdir variable.
	(install-arch-dep): Add commands to assemble NS .app package.

2008-07-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Use macppc for Darwin.  Remove references to
	desupported systems.
	* configure: Regenerate.

2008-07-05  Glenn Morris  <rgm@gnu.org>

	* make-dist (EMACS): Doc fix.
	(lisp): There are no *.dat or image files here any more.
	(src): There are no *.s files here any more.
	(etc/images, etc/images/*): Link to most regular files.

2008-07-04  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>  (tiny change)

	* configure.in: Remove reference to deleted $USE_FONT_BACKEND.

2008-07-01  Glenn Morris  <rgm@gnu.org>

	* configure.in (cpp_undefs): Rename from `undefs', update uses.
	Use $srcdir rather than $top_srcdir.  Set before calling AC_OUTPUT,
	and explicitly export there.  (Bug#507.)

2008-06-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in:
	* configure: Remove references to obsolete systems.

2008-06-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (Makefile): Use it for its timestamp value as well, and
	make it depend on all other */.in files.
	(src/Makefile, src/config.stamp, lib-src/Makefile)
	(doc/emacs/Makefile, doc/misc/Makefile, doc/lispref/Makefile)
	(doc/lispintro/Makefile, oldXMenu/Makefile, lwlib/Makefile)
	(leim/Makefile, lisp/Makefile): Remove those overlapping targets.
	(leim, ${SUBDIR}, blessmail): Only depend on Makefile now.

	* configure.in: Don't create src/config.stamp any more.

2008-06-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (${SUBDIR}): Pass additional BOOTSTRAPEMACS argument.

2008-06-22  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (top_bootclean): Remove obsolete references to lock/.

2008-06-21  Romain Francoise  <romain@orebokech.com>

	* Makefile.in (INFO_FILES): Add sasl.

2008-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (maybe_bootstrap, src/bootstrap-emacs${EXEEXT})
	(bootstrap-build): Remove.
	(top_bootclean): New var.
	(top_distclean, bootstrap-clean): Use it.
	(bootstrap): Don't recheck config.  Make normally.

2008-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (SUBDIR): Include `lisp'.
	(lisp): Depend on `src'.
	(top_distclean): Don't remove config.status.
	(bootstrap-clean): New target.
	(maintainer-clean): Use it.
	(bootstrap): Use bootstrap-clean.  Re-run config.status.
	(src/bootstrap-emacs${EXEEXT}): New target.
	(bootstrap-build): Use it.  Don't use bootstrap-prepare because
	src/Makefile now takes care of it.
	(bootfast, bootstrap-clean-before, bootstrap-clean-before-fast): Remove.

2008-06-15  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add sasl.

2008-06-09  Alan Mackenzie  <acm@muc.de>

	* INSTALL.CVS: Clarify why `make bootstrap' sometimes fails.

2008-06-08  Eric S. Raymond  <esr@snark.thyrsus.com>

	* INSTALL.CVS: Indicate when "cvs update -d" may be needed.

2008-06-07  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (bootstrap-build): Remove mostlyclean, since it seems to
	serve no purpose.

2008-06-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (USE_LUCID, USE_MOTIF): Don't use "==".
	* configure: Regenerate.

2008-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* update-subdirs: Don't touch subdirs.el if it is unchanged.

2008-05-14  Kenichi Handa  <handa@m17n.org>

	* configure: Regenerate.

	* configure.in: Don't handle --disable-font-backend.  Don't print
	a message about a font backend.

2008-05-09  Glenn Morris  <rgm@gnu.org>

	* configure.in: Make absence of makeinfo a fatal error only if the info
	files don't exist.
	* Makefile.in (install-arch-indep, info): Handle MAKEINFO == off.

2008-05-07  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Fix last change: don't use < and > in "rem" lines,
	they are interpreted as redirection by DOS shells.

2008-05-04  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in: Check availability of AvailabilityMacros.h
	if HAVE_CARBON.

	* configure: Regenerate.

2008-05-03  Glenn Morris  <rgm@gnu.org>

	* configure.in (x_libraries): Remove standard 64-bit directories -
	experimental workaround for minor autoconf bug.

	* configure.in (--without-makeinfo): New option.  If set,
	absence of suitable makeinfo is not a fatal error.
	* Makefile.in (MAKEINFO): New, set by configure.
	(install-arch-indep): Without makeinfo, ignore any missing manuals.
	(info-real): New target.
	(info): Without makeinfo, do nothing, else call `info-real'.

2008-04-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove hpux10.20 from the desupported list.

2008-04-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in: Define USE_LUCID/USE_MOTIF in config.h.

2008-04-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in (SYNC_INPUT): Use OPTION_DEFAULT_ON and AC_DEFINE
	rather than change CPPFLAGS.
	(HAVE_GTK): Rename to USE_GTK.

2008-04-16  Yavor Doganov  <yavor@gnu.org>  (tiny change)

	* configure.in: Replace the obsolete macros AC_AIX and
	AC_GNU_SOURCE with AC_USE_SYSTEM_EXTENSIONS.

2008-04-05  Andreas Schwab  <schwab@suse.de>

	* configure.in: No longer create admin/unidata/Makefile.

2008-03-28  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (SUBDIR_MAKEFILES): Add lisp/Makefile.
	(lisp/Makefile): New rule.

2008-03-13  Glenn Morris  <rgm@gnu.org>

	* configure.in (AC_INIT): Fix version number.
	(sync-input): Reword the option, since it's on by default.

2008-03-11  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add --enable-sync-input, default yes.

2008-03-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-etc, mkdir): Handle directory
	etc/images/icons/hicolor/*/mimetypes/.

	* make-dist: Handle icons/hicolor/scalable directory.

2008-03-05  Glenn Morris  <rgm@gnu.org>

	* configure.in: Enable font-backend by default.
	(USE_FONT_BACKEND): Set to "no" in absence of X.
	(PKG_CONFIG): Don't set multiple times, once is enough.
	(HAVE_FREETYPE, HAVE_LIBOTF, HAVE_M17N_FLT): Tweak config.in text.

2008-03-03  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (iconsrcdir): New variable.
	(install-etc, mkdir): Use $iconsrcdir.  Handle the `scalable' icon
	directory.

2008-02-29  Glenn Morris  <rgm@gnu.org>

	* test/: New directory.

2008-02-27  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_GTK): Print a warning if gtk version is < 2.10.

2008-02-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Print an error for systems that we think are obsolete
	and are proposed to be removed.  Remove some more unused systems.
	Add support for powerpc-ibm-aix6*.

2008-02-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove references to obsolete variables and systems.

2008-02-21  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (set_installuser): New.
	(install-arch-indep): Use set_installuser to avoid duplicate code.

	* README.unicode: Split into admin/notes/unicode,font-backend and
	remove.

2008-02-10  Matthew Luckie  <mjl@luckie.org.nz>  (tiny change)

	* configure.in (arm*-*-freebsd*): Add.

2008-02-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LIBX11_MACHINE, HAVE_XFREE386): Remove code
	dealing with obsolete variables.

2008-02-08  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (check-info-dir): New target.

2008-02-08  Michael Olson  <mwolson@gnu.org>

	* Makefile.in (INFO_FILES): Add epa.

	* info/dir: Add EasyPG Assistant manual to the "Emacs misc
	features" section.

2008-02-06  Glenn Morris  <rgm@gnu.org>

	* configure.in (--with-gcc): Give an error saying this option has
	been removed.
	(--with-gtk): Remove this option.

2008-02-06  Tom Tromey  <tromey@redhat.com>

	* configure.in (--with-gcc): Remove.
	* INSTALL (DETAILED BUILDING AND INSTALLATION): Remove --with-gcc.

2008-02-05  Ulrich Mueller  <ulm@gentoo.org>

	* INSTALL: Recommend giflib, not libungif.

2008-02-05  Tom Tromey  <tromey@redhat.com>

	* configure.in (--with-dbus): Default to enabled.

2008-02-05  Kenichi Handa  <handa@ni.aist.go.jp>

	* INSTALL (Complex Text Layout support libraries): New section.

2008-02-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* make-dist: Remove references to files in mac/ that have been
	deleted.

2008-02-02  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* configure.in: For libotf and m17n-flt checks, set shell vars
	HAVE_LIBOTF and HAVE_M17N_FLT instead of pkg_check_libotf and
	pkg_check_m17n_flt, respectively, for the sake of the summary output.
	Reported by Ulrich Mueller.

2008-02-02  Eli Zaretskii  <eliz@gnu.org>

	* configure.in: If admin/unidata/UnicodeData.txt is present, copy
	admin/unidata/Makefile.in to Makefile.

2008-02-02  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_XFT): Ensure it is either "yes" or "no".
	(USE_FONT_BACKEND, HAVE_FREETYPE, HAVE_M17N_FLT, HAVE_LIBOTF)
	(HAVE_XFT): Add "Does Emacs use..." messages at end.

2008-02-01  Miles Bader  <miles@gnu.org>

	* configure.in: Use OPTION_DEFAULT_ON for [freetype], [xft],
	[libotf], and [m17n-flt] options.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* configure.in: Add EMACS_ARG_N([libotf]...), and
	EMACS_ARG_N([m17n-flt].  Set back OLD_CPPFLAGS to CPPFLAGS (not
	CFLAGS) in XFT checking part.  Don't alter C_SWITCH_X_SITE,
	CFLAGS, and LIBS in checking of m17n-flt.

2008-02-01  Kenichi Handa  <handa@ni.aist.go.jp>

	* configure.in: Check the availability of m17n-flt library.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* configure.in: Don't define HAVE_LIBOTF if OTF_get_features is
	not available.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* configure.in: New args --enable-font-backend, --with-xft,
	--with-freetyp.  New AC_DEFINEs USE_FONT_BACKEND, HAVE_XFT,
	HAVE_FREETYPE, HAVE_LIBOTF.  New AC_SUBSTs XFT_LIBS,
	FREETYPE_CFLAGS, FREETYPE_LIBS, FONTCONFIG_CFLAGS,
	FONTCONFIG_LIBS, LIBOTF_CFLAGS, LIBOTF_LIBS.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* make-dist: Include etc/charsets in tarball.

2008-02-01  Kenichi Handa  <handa@m17n.org>

	* configure.in: While running cpp on junk.c, include
	-DHAVE_UNIDATA in CPPFLAGS if admin/unidata/UnicodeData.txt
	exists.

2008-01-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (xtensa): Match more configurations.

2008-01-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Update comment.

2008-01-26  Glenn Morris  <rgm@gnu.org>

	* configure.in (--without-gcc): By default, neither off nor on.
	(--with-carbon): Tone down rhetoric in help text.

2008-01-25  Glenn Morris  <rgm@gnu.org>

	* configure.in: Correct usage of OPTION_DEFAULT_ON,
	OPTION_DEFAULT_OFF so that the defaults are as they used to be.
	Default `Carbon' to off (it's unsupported).

2008-01-24  Glenn Morris  <rgm@gnu.org>

	* configure.in: Standardize dbus-related messages.

2008-01-23  Michael Olson  <mwolson@gnu.org>

	* configure.in (pkg-config-prog): Remove initial whitespace.

2008-01-23  Tom Tromey  <tromey@redhat.com>

	* configure.in (OPTION_DEFAULT_ON, OPTION_DEFAULT_OFF): New macros.
	(EMACS_ARG_Y, EMACS_ARG_N): Remove.
	Update all users.

2008-01-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2008-01-17  Andreas Schwab  <schwab@suse.de>

	* configure.in (HAVE_LIB64_DIR): Rename from HAVE_X86_64_LIB64_DIR.

2008-01-17  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_X86_64_LIB64_DIR): Also set on s390x systems.

2008-01-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove more references to unsupported systems.

2008-01-16  Sven Joachim  <svenjoac@gmx.de>

	* make-dist: Add --lzma.

2008-01-16  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (maybe_bootstrap): Remove texinfo message, since
	configure checks for this.

2008-01-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove more references to unsupported systems.

2008-01-06  Romain Francoise  <romain@orebokech.com>

	* configure.in: Delete extra semicolons.

2008-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove references to unsupported systems.

2008-01-05  Romain Francoise  <romain@orebokech.com>

	* make-dist: Add --bzip2.  Update copyright.

2008-01-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove support for Masscomp.

2008-01-05  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (desktopdir, icondir): New variables.
	(install-arch-indep): Also depend on `install-etc'.
	(install-etc): New target.
	(mkdir): Also create the `applications' and `icons' directories.

2008-01-04  Glenn Morris  <rgm@gnu.org>

	* make-dist: Update for new etc/images/icons/hicolor directory.

2007-12-09  Andreas Schwab  <schwab@suse.de>

	* configure.in: D-Bus is not enabled by default.

2007-12-06  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add AC_CONFIG_SRCDIR which was lost in the previous
	change.

2007-12-04  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Give package name and version to AC_INIT.

2007-12-03  Magnus Henoch  <mange@freemail.hu>

	* configure.in: Use PKG_CHECK_MODULES to check for D-Bus.

2007-12-03  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in: No need for DBUS_INFO anymore.

	* Makefile.in (INFO_FILES): Use dbus unconditionally.

2007-12-02  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in: Add D-Bus checks.  D-Bus is disabled by default.

	* Makefile.in (INFO_FILES): Add dbus.

2007-12-02  Romain Francoise  <romain@orebokech.com>

	* make-dist: Fix last change.

2007-11-28  Petr Salinger  <Petr.Salinger@seznam.cz>  (tiny change)

	* configure.in: Add support for gnu-kfreebsd.

2007-11-28  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add etc/nxml.

2007-11-24  Romain Francoise  <romain@orebokech.com>

	* Makefile.in (INFO_FILES): Add nxml-mode.

2007-11-23  Romain Francoise  <romain@orebokech.com>

	* make-dist: Include nXML.  Don't try to copy FTP, it was removed on
	2007/10/17.  Don't special-case alloca.c which is no longer in CVS.

2007-11-20  Andreas Schwab  <schwab@suse.de>

	* configure.in: Always include <resolv.h> when checking for res_init.

2007-11-17  Andreas Schwab  <schwab@suse.de>

	* update-subdirs: Atomically update subdirs.el.

2007-11-17  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (check-declare): New target.

2007-11-07  Glenn Morris  <rgm@gnu.org>

	* configure.in: Deprecate Mac Carbon port.

2007-11-01  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Remove HAVE_X11R5 check.

2007-10-31  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Fallback to $USER and `id -un'
	when changing ownership of installed files.

2007-10-30  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add new directory etc/gnus.

2007-10-30  Michael Olson  <mwolson@gnu.org>

	* Makefile.in (INFO_FILES): Alphabetize.  Add remember.

2007-10-29  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add new directories etc/images/smilies/grayscale,medium.

2007-10-23  Glenn Morris  <rgm@gnu.org>

	* MAINTAINERS: Move to admin/.

2007-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in (HAVE_RES_INIT): Define if res_init() exists.
	(HAVE_LIBRESOLV): Also define if we are using res_init().

2007-10-17  Glenn Morris  <rgm@gnu.org>

	* FTP: Remove file, since it's just a duplicate of one in etc/.

2007-10-05  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Fix configuring `doc' due to changes in the
	directory structure.

2007-09-16  Peter O'Gorman  <bug-gnu-emacs@mlists.thewrittenword.com>  (tiny change)

	* configure.in: Don't use -lpthread on HP-UX.

2007-09-16  Glenn Morris  <rgm@gnu.org>

	* make-dist: File gfdl.1 has been removed.

2007-09-15  Glenn Morris  <rgm@gnu.org>

	* configure.in: Fix makeinfo version regexp.

2007-09-12  Glenn Morris  <rgm@gnu.org>

	* configure.in (AC_FUNC_ALLOCA): Throw an error if a system
	implementation of alloca is not found.

	* Makefile.in (SOURCES, unlock, relock): Delete.
	(install-arch-indep): Do not exclude the etc/ Makefiles.

2007-09-09  Juri Linkov  <juri@jurta.org>

	* make-dist: Remove AUTHORS and CONTRIBUTE (moved to etc).

	* README: Add doc/ to documentation directories.

2007-09-08  Michael Olson  <mwolson@gnu.org>

	* MAINTAINERS: Add myself for ERC and tq.el.
	Update for new doc/ directory layout.

2007-09-06  Romain Francoise  <romain@orebokech.com>

	* make-dist: Update for new doc/ directory layout.

2007-09-06  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (mansrcdir): New variable.
	(SUBDIR_MAKEFILES): Update for new doc/ directory layout.
	(man/Makefile, lispref/Makefile, lispintro/Makefile): Rename and
	update these targets for new doc/ directory layout.
	(doc/misc/Makefile): New target.
	(install-arch-indep): Use mansrcdir for new location of manpages.
	(mostlyclean, clean, distclean, maintainer-clean, unlock)
	(relock, info, dvi): Update targets for new doc/ directory layout.

	* configure.in (AC_OUTPUT): Update names of generated Makefiles
	for new doc/ directory layout.

2007-09-02  Andreas Schwab  <schwab@suse.de>

	* configure.in: Use AS_HELP_STRING throughout.
	* configure: Regenerate.

2007-09-02  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Require Gtk/Glib 2.6.

2007-09-02  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* configure.in (EMACS_ARG_Y, EMACS_ARG_N): New AC_DEFUNs.
	Use them throughout in place of AC_ARG_WITH calls.
	* configure: Regenerate.

2007-09-01  Andreas Schwab  <schwab@suse.de>

	* configure.in: Put quotes around nested macro calls.

2007-08-31  Ulrich Mueller  <ulm@gentoo.org>  (tiny change)

	* configure.in: Fix typo.
	* configure: Regenerate.

2007-08-30  Glenn Morris  <rgm@gnu.org>

	* configure.in (AH_BOTTOM): Copy some manual changes made to
	src/config.in here so they are not lost when it regenerates.

	* README.multi-tty: Move to admin/notes/multi-tty, with some edits.

2007-08-29  Károly Lőrentey  <karoly@lorentey.hu>

	* README.multi-tty: New file.

2007-08-29  Glenn Morris  <rgm@gnu.org>

	* README: Increase version to 23.0.50.

2007-08-29  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: New option: --without-xaw3d.

2007-08-24  Glenn Morris  <rgm@gnu.org>

	* configure.in: Check for a suitably recent makeinfo.

2007-08-23  Johannes Weiner  <hannes@saeurebad.de>  (tiny change)

	* configure.in (Check for required libraries): Typo.

2007-08-23  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in: Check librsvg2 also for Mac Carbon.

2007-08-22  Romain Francoise  <romain@orebokech.com>

	* make-dist: Follow reorganization of files in etc/.

2007-08-22  Paul Pogonyshev  <pogonyshev@gmx.net>

	* configure.in: Add support for SVG images through librsvg2.

2007-07-28  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (install-arch-indep): Use "rm -f" for removing DOC,
	to avoid an error message if there is no DOC there.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

	* COPYING, info/COPYING: Switch to GPLv3.

2007-06-20  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Complain if X seems to be installed but no
	development files were found.

2007-06-20  Glenn Morris  <rgm@gnu.org>

	* configure.in: Prefer libgif over libungif.

2007-06-14  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for all image libraries before exiting.

2007-06-13  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Exit with error if image libraries aren't found.

2007-06-13  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Merge xaw3d and libXaw checks.  Check xaw3d even
	when compiling without scrollbars.

2007-06-12  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_GIF): If -lungif fails, try -lgif.

2007-06-11  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Change wording about yes/gtk and lucid/athena
	being synonyms.

2007-06-08  Glenn Morris  <rgm@gnu.org>

	* configure.in: Make gtk the default toolkit.

2007-06-07  Glenn Morris  <rgm@gnu.org>

	* configure.in (NON_GNU_CPP): On Solaris, set using a proper check
	for a Sun C compiler.

	* Makefile.in (install-arch-indep): Install only the DOC- file
	specific to the build, if possible, rather than DOC-*.

2007-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.1 released.

2007-05-25  Chong Yidong  <cyd@stupidchicken.com>

	* mkinstalldirs: Sync to version in automake CVS.

2007-05-22  Andreas Schwab  <schwab@suse.de>

	* configure.in: Prefer build_alias over host when host_alias is not set.
	* configure: Regenerate.

2007-05-20  Andreas Schwab  <schwab@suse.de>

	* configure.in: Remove empty AC_SUBST.
	* configure: Regenerate.

2007-05-20  Nick Roberts  <nickrob@snap.net.nz>

	* configure.in: Use HAVE_GPM instead of HAVE_GPM_H and implement
	it like others.
	* configure: Regenerate.

2007-05-20  Nick Roberts  <nickrob@snap.net.nz>

	* configure.in (AC_CHECK_HEADERS): Add gpm.h.
	(AC_CHECK_LIB): Add -lgpm.
	* configure: Regenerate.

2007-05-03  Glenn Morris  <rgm@gnu.org>

	* configure: Tweak message about the absence of shell functions.

2007-04-27  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (config.status): Depend on ${srcdir}/lisp/version.el.

2007-04-26  Glenn Morris  <rgm@gnu.org>

	* README: Increase version to 22.1.50.

2007-04-24  Juanma Barranquero  <lekktu@gmail.com>

	* INSTALL (DETAILED BUILDING AND INSTALLATION): Fix typo.

2007-04-19  Glenn Morris  <rgm@gnu.org>

	* configure.in: Signal error if Xaw libs are missing in a Lucid build.

2007-04-18  Glenn Morris  <rgm@gnu.org>

	* INSTALL: Mention CPP.

2007-04-15  Glenn Morris  <rgm@gnu.org>

	* FTP: Replace with a pointer to the web version.

2007-04-13  Glenn Morris  <rgm@gnu.org>

	* INSTALL: In lib-src, timer, wakeup, yow are removed.

2007-04-04  Glenn Morris  <rgm@gnu.org>

	* configure.in (NON_GNU_CPP): Use associated preprocessor when
	compiling with Sun Studio on Solaris.

2007-03-23  Glenn Morris  <rgm@gnu.org>

	* configure.in: Restore support for hp800 (removed 2007-01-27)
	following clarification of legal status.

2007-03-22  Joe Buehler  <jbuehler@spirentcom.com>  (tiny change)

	* configure.in: Add support for AIX4.3 on IBM RS6000.

	* configure: Regenerate.

2007-03-20  Richard Stallman  <rms@gnu.org>

	* configure.in: Fix previous change.

2007-03-19  Deanna Phillips  <deanna@sixbit.org>  (tiny change)

	* configure.in (arm-*-openbsd*, hppa-*-openbsd*)
	(m88k-*-openbsd*, mips64-*-openbsd*, sh-*-openbsd*): Added.
	(ns32k-*-openbsd*, ns32k-*-openbsd*): Deleted.

2007-03-19  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Don't define KERBEROS, KERBEROS5, or HESIOD if the
	user specifies "without".

	* configure: Regenerate.

2007-03-18  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Warning for Gtk+ and Cygwin added.
	(HAVE_XFT): OLD_CFLAGS changed to OLD_CPPFLAGS.

2007-02-27  Glenn Morris  <rgm@gnu.org>

	* make-dist (oldXMenu): Remove Imakefile.
	(etc/images): Add README.

2007-02-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (xtensa-*-linux-gnu*): New configuration.

	* configure: Regenerate.

2007-02-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2007-01-31  Sascha Wilde  <wilde@sha-bang.de>  (tiny change)

	* configure.in (PKG_CHECK_MODULES): Change ///* to / in cflags and libs.

2007-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Restore support for hp800's not running HP-UX.

	* configure: Regenerate.

2007-01-27  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Remove support for hp800 and sr2k machine types.

	* configure: Regenerate.

2007-01-26  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add check for libXft.

2007-01-18  Bruno Haible  <bruno@clisp.org>  (tiny change)

	* INSTALL: Info files moved to share/info.

2007-01-02  Stephen C. Gilardi  <scgilardi@gmail.com>  (tiny change)

	* configure.in: Detect and use fink-installed in intel-based Mac
	builds; change Apple Darwin section to support both PowerPC and
	Intel-based Macs.

2006-12-26  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (datarootdir): Define.

2006-12-24  Richard Stallman  <rms@gnu.org>

	* configure.in: Require Autoconf 2.61.

2006-12-22  Mark Davies  <mark@mcs.vuw.ac.nz>

	* configure.in: Add support for NetBSD on x86-64, hp800 and sh3el.
	Remove redundant entry for powerpc-apple-netbsd.

	* configure: Regenerate.

2006-12-22  Chong Yidong  <cyd@stupidchicken.com>

	* configure: Regenerate with autoconf 2.61.

2006-12-20  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Detect alsa/asoundlib.h also.
	* configure: Regenerate.

2006-12-19  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check if GTK+ compiles at all.

2006-12-10  Andreas Schwab  <schwab@suse.de>

	* configure.in: Remove check for struct timezone, its result is
	never used.

2006-12-08  NAKAJI Hiroyuki  <nakaji@jp.freebsd.org>  (tiny change)

	* configure.in: Add support for Solaris 10 on x86-64.

2006-12-08  Jan Djärv  <jan.h.d@swipnet.se>

	* INSTALL (DETAILED BUILDING AND INSTALLATION): Document usage
	of PKG_CONFIG_PATH.

2006-12-04  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in (HAVE_SYNC): New test.

2006-12-03  Glenn Morris  <rgm@gnu.org>

	* Makefile.in: Fix Copyright format.

	* configure.in (AH_TOP): Add missing Copyright year.

	* update-subdirs: Add missing Copyright years.

2006-11-27  Chris Moore  <christopher.ian.moore@gmail.com>

	* Makefile.in: Touch only the parts of the share/emacs directory
	specific to this version.

2006-11-26  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in (HAVE_X86_64_LIB64_DIR): New test.

2006-11-14  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in (HAVE_CANCELMENUTRACKING): Remove test.

2006-11-08  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in: Prefer X11 to Carbon only when some X-specific
	option is specified (Thanks to Jan Djärv and Andreas Schwab).

2006-11-04  Romain Francoise  <romain@orebokech.com>

	* Makefile.in (bootstrap-clean-before): Fix typo.
	Use new target `bootstrap-clean' in the leim subdirectory.

2006-11-03  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* configure.in: Enable sparc64/ia64/powerpc FreeBSD builds.

2006-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* make-dist: Add makefile.w32-in to the man, lispref and lispintro
	directories.

2006-10-29  Jeramey Crawford  <jeramey@jeramey.com>

	* configure.in: Enable x86-64 OpenBSD compilation.

2006-10-28  Glenn Morris  <rgm@gnu.org>

	* AUTHORS: Add cal-html.el author.

2006-10-28  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* make-dist: Make links to mac/make-package and
	mac/Emacs.app/Contents/Resources/Emacs.icns.

2006-10-27  Chong Yidong  <cyd@stupidchicken.com>

	* README: Bump version number to 22.0.90.

2006-10-23  Andreas Schwab  <schwab@suse.de>

	* configure.in: Make sure x_default_search_path is always set even
	when x_libraries is empty, and look in .../share as well for each
	library directory.

2006-09-28  Kenichi Handa  <handa@m17n.org>

	* configure.in (locallisppath): Don't include leim dir.
	(lisppath): Include leim dir.

2006-09-15  Jay Belanger  <belanger@truman.edu>

	* COPYING: Replace "Library Public License" by "Lesser Public
	License" throughout.

2006-09-11  Paul Eggert  <eggert@cs.ucla.edu>

	* make-dist (EMACS): Exit and fail if the EMACS environment
	variable is set to something other than an absolute file name.

2006-08-16  Andreas Schwab  <schwab@suse.de>

	* configure.in (PKG_CHECK_MODULES): Use AS_MESSAGE_LOG_FD instead
	of hardcoding it.

2006-08-16  Richard Stallman  <rms@gnu.org>

	* INSTALL.CVS: Clean up wording.

2006-07-14  Eli Zaretskii  <eliz@gnu.org>

	* configure.in (PKG_CHECK_MODULES): Redirect the output of
	$PKG_CONFIG --exists "$2" to config.log.
	* configure: Regenerate.

2006-07-08  Richard Stallman  <rms@gnu.org>

	* INSTALL (DETAILED BUILDING AND INSTALLATION): Minor corrections.

2006-07-09  Kim F. Storm  <storm@cua.dk>

	* CONTRIBUTE: Use outline format.
	Add section on copyright years (from admin/notes/years).

2006-07-08  Eli Zaretskii  <eliz@gnu.org>

	* configure.in (PKG_CHECK_MODULES): Redirect stderr of pkg-config
	to /dev/null, since we don't need the error message, just the
	exit status.

2006-07-07  Eli Zaretskii  <eliz@gnu.org>

	* CONTRIBUTE: Slight formatting changes and typo fixes.
	Add description of NEWS markings.

2006-07-07  Kim F. Storm  <storm@cua.dk>

	* CONTRIBUTE: Mention INSTALL.CVS.

2006-07-05  Romain Francoise  <romain@orebokech.com>

	* make-dist (top-level): Add CONTRIBUTE.

2006-07-04  Richard Stallman  <rms@gnu.org>

	* CONTRIBUTE: Much rewrite.

2006-07-04  Nick Roberts  <nickrob@snap.net.nz>

	* CONTRIBUTE: New file.

2006-06-24  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL: Mention www.nongnu.org pages that list free Unicode fonts.

2006-05-18  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add check for ALSA.

2006-05-06  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (INFO_FILES): Remove emacs-xtra.

	* info/dir: Remove the Emacs-Xtra entry.

2006-04-20  Ramprasad B  <ramprasad_i82@yahoo.com>

	Update copyright year(s) in many files.

2006-04-01  Eli Zaretskii  <eliz@gnu.org>

	* configure: Regenerated.

2006-04-01  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>  (tiny change)

	* configure.in (HAVE_XAW3D): Disable Xaw3d check if
	--without-toolkit-scroll-bars was specified.

2006-04-01  Christoph Bauer  <Christoph.Bauer@lms-gmbh.de>  (tiny change)

	* configure.in (hppa*-hp-hpux1[1-9]*): Add -D_INCLUDE__STDC_A1_SOURCE
	to CFLAGS.  Update Copyright years written to src/config.in.

2006-03-18  Claudio Fontana  <claudio@gnu.org>

	* Makefile.in (INFO_FILES): New variable, contains all Info file names.
	(install-arch-indep, uninstall): Use $(INFO_FILES) to specify files
	to be installed/uninstalled.
	(uninstall): Invoke "$(INSTALL_INFO) --remove" to remove references
	to Info files installed by Emacs.

2006-03-03  Claudio Fontana  <claudio@gnu.org>

	* Makefile.in (install, uninstall): Add DESTDIR variable to
	support staged installations.

2006-02-14  Richard M. Stallman  <rms@gnu.org>

	* configure.in (s390x-*-linux-gnu*): New configuration.

2006-01-31  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Require GTK 2.4 or newer.

2006-01-29  Michael Olson  <mwolson@gnu.org>

	* Makefile.in (install-arch-indep, uninstall): Add ERC.
	* info/dir (ERC): New entry.

2006-01-29  Eli Zaretskii  <eliz@gnu.org>

	* info/dir: Fix last change.

2006-01-28  Luc Teirlinck  <teirllm@auburn.edu>

	* Makefile.in (install-arch-indep, uninstall): Add rcirc.

2006-01-27  Eli Zaretskii  <eliz@gnu.org>

	* info/dir: Untabify the whole file.
	(Rcirc): New entry.

2006-01-12  Andreas Schwab  <schwab@suse.de>

	* configure.in: Move AC_AIX and AC_GNU_SOURCE before first compile
	check.

2006-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Use -Wno-pointer-sign if available.

2005-12-29  Andreas Schwab  <schwab@suse.de>

	* config.guess, config.sub: Updated from master source.

2005-12-25  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* configure.in: Use amdx86-64 for freebsd on x86_64.

2005-11-22  Romain Francoise  <romain@orebokech.com>

	* make-dist: Add etc/images/icons.

2005-11-03  Andreas Schwab  <schwab@suse.de>

	* configure.in: Use GZIP_PROG instead of GZIP.

	* Makefile.in (GZIP_PROG): Renamed from GZIP.
	(install-arch-indep): Adjust.

2005-11-01  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (bootstrap): Fix dependencies for parallel build.
	(bootfast): Likewise.

2005-11-01  Romain Francoise  <romain@orebokech.com>

	* configure.in: Check for gzip.

	* Makefile.in (install): Compress source files.

2005-10-24  Steven Tamm  <steventamm@mac.com>

	* configure.in: Fix darwin386 configuration issue.

2005-10-22  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL.CVS: Add mh-autoloads to the partial rebuild procedure.

2005-10-17  Bill Wohler  <wohler@newt.com>

	* make-dist: Create and populate etc/images/low-color.

2005-10-15  Bill Wohler  <wohler@newt.com>

	* make-dist: Create and populate etc/images/gud.

2005-10-08  Richard M. Stallman  <rms@gnu.org>

	* make-dist (tempparent): Don't check for 14-char file name limit.

2005-10-07  Romain Francoise  <romain@orebokech.com>

	* make-dist: Add etc/images/ezimage and etc/images/mail
	directories.  Install images in etc/images.

2005-10-04  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in: Prefer Carbon if --enable-carbon-app or
	--with-carbon is explicitly specified even when X11 is detected.

2005-09-15  Ulf Jasper  <ulf.jasper@web.de>

	* Makefile.in (install-arch-indep, uninstall):
	Handle newsticker manual.
	(info): Add - to commands.

2005-09-10  Giuseppe Scrivano  <gscrivano@gmail.com>

	Remove the MAXPATHLEN limitations:

	* configure.in (AC_CHECK_FUNCS): Check for get_current_dir_name.

2005-09-09  Eli Zaretskii  <eliz@gnu.org>

	* configure.in <lynxsos*>: Support for LynxOS on PPC.
	* configure: Regenerate.

2005-09-05  Paul Eggert  <eggert@cs.ucla.edu>

	* config.guess, config.sub: Updated from master source.

2005-08-03  Juanma Barranquero  <lekktu@gmail.com>

	* .cvsignore: Add `lock'.

2005-07-28  Juanma Barranquero  <lekktu@gmail.com>

	* .cvsignore: Add `data' and `site-lisp' (for in-place installs).

2005-07-26  Paul Eggert  <eggert@cs.ucla.edu>

	Merge gnulib getopt implementation into Emacs.

	* Makefile.in (AUTOCONF_INPUTS): New macro.
	($(srcdir)/configure, $(srcdir)/src/stamp-h.in): Depend on it,
	so that these files also depend on m4/getopt.m4.
	* configure.in: Configure getopt by including m4/getopt.m4,
	and configuring a getopt replacement if necessary.
	* make-dist: Add m4 subdirectory.  Unlink lib-src/getopt.h.
	* m4/getopt.m4: New file.

2005-07-06  Lute Kamstra  <lute@gnu.org>

	* configure.in: Fix capitalization.

2005-07-04  Lute Kamstra  <lute@gnu.org>

	Update FSF's address in GPL notices.

2005-06-19  Jérôme Marant  <jerome@marant.org>

	* Makefile.in (epaths-force): Protect both lisppath and
	buildlisppath from whitespace.

2005-06-08  Steven Tamm  <steventamm@mac.com>

	* configure.in: Support Darwin/MacOSX on Intel

2005-06-06  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_CANCELMENUTRACKING): New test.

2005-05-11  Jérôme Marant  <jmarant@marant.org>

	* configure.in: Add --enable-locallisppath.

2005-05-13  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in: Don't check HAVE_CARBON if HAVE_X11 is set to yes.
	Check HAVE_CARBON before USE_TOOLKIT_SCROLL_BARS.  Define
	USE_TOOLKIT_SCROLL_BARS by default if HAVE_CARBON is set to yes.

2005-05-07  Jérôme Marant  <jerome@marant.org>

	* make-dist: Remove references to makefile.nt and makefile.def.
	Include widgets and images subdirectories of etc.  Do not exclude
	ldefs-boot.el.

2005-04-23  Andreas Schwab  <schwab@suse.de>

	* configure.in: Remove duplicate match for powerpc configuration.

2005-04-20  Thien-Thi Nguyen  <ttn@gnu.org>

	* configure.in: Check for <pwd.h>.

2005-04-14  Lute Kamstra  <lute@gnu.org>

	* make-dist: Distribute all ChangeLog files in lisp/.
	Don't distribute ldefs-boot.el.
	lisp/makefile.nt no longer exists.

2005-04-13  Lute Kamstra  <lute@gnu.org>

	* make-dist: Don't use DONTCOMPILE from lisp/Makefile.in; check
	for "no-byte-compile: t" in the file instead.

2005-03-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in <Motif>: Don't let a special LessTif/Motif1.2 install
	shadow the main Lesstif/Motif-2.1 libs and includes.

2005-03-10  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Only add XASSERTS to cppflags.

2005-03-04  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Added --enable-asserts.

2005-02-09  Kim F. Storm  <storm@cua.dk>

	Change release version from 21.4 to 22.1 throughout.
	Change development version from 21.3.50 to 22.0.50.

2005-01-19  Steven Tamm  <steventamm@mac.com>

	* configure.in: Check for <sys/utsname.h>.

2004-12-11  Kim F. Storm  <storm@cua.dk>

	* Makefile.in (info): Undo 2004-12-05 change.

2004-12-08  Luc Teirlinck  <teirllm@auburn.edu>

	* info/dir (File): Add URL and Org Mode manuals.
	* Makefile.in (install-arch-indep, uninstall): Add url and org
	manuals.

2004-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in (INLINE, RE_TRANSLATE_P): Move patches mistakenly
	committed to src/config.in.

2004-12-07  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: If $HAVE_GTK_FILE_CHOOSER = yes, check for
	pthreads and define HAVE_GTK_AND_PTHREAD.

2004-12-05  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (info): Ignore errors building info files.

2004-11-27  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: If 8-byte alignment is not supported, define
	NO_DECL_ALIGN in src/config.h, instead of trivially defining
	DECL_ALIGN.  Protect & with "" because & is special for cmd.exe;
	filter through Sed to remove the quotes.

2004-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info/.cvsignore: Ignore everything.  It's OK since .cvsignore does
	not apply to files explicitly `cvs add'ed.

2004-11-12  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Don't require djecho.exe for the v1.x build.
	Add a test for DECL_ALIGN support, and add a trivial definition to
	src/config.h if 8-byte alignment is not supported.

2004-11-08  Kim F. Storm  <storm@cua.dk>

	* Makefile.in (bootstrap, bootstrap-clean-before): Remove .elc
	files before building.
	(bootfast, bootstrap-clean-before-fast): New targets, like
	bootstrap but don't remove .elc files.

2004-11-06  Lars Brinkhoff  <lars@nocrew.org>

	* configure.in: Add check for getrusage.

2004-11-02  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_GTK_FILE_CHOOSER, $HAVE_GTK_FILE_SELECTION):
	New tests for new and old GTK file dialogs.
	(HAVE_GTK): Only set with_toolkit_scroll_bars if not explicitly set
	to no.

2004-10-20  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_PERSONALITY_LINUX32): New test if PER_LINUX32
	can be set.  Remove SETARCH test.

2004-10-08  Steven Tamm  <steventamm@mac.com>

	* configure.in (HAVE_MALLOC_MALLOC_H): Test for malloc/malloc.h

2004-10-06  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_RANDOM_HEAPSTART): Change AC_MSG_ERROR to
	AC_MSG_WARN.  Move output of warning message to end of configure run.

2004-10-05  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_RANDOM_HEAPSTART): Rename HAVE_EXECSHIELD.
	Run test to see if heap start address is random.

2004-09-29  Miles Bader  <miles@gnu.org>

	* configure.in (HAVE_EXECSHIELD): Test correct env variable to see
	if setarch is present.

2004-09-25  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_EXECSHIELD): Only define on x86.

2004-09-24  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for exec-shield.

2004-08-06  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-arch-indep, uninstall): Add flymake.

2004-07-31  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Update URLs in the comments.

2004-08-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (install-arch-indep): Add pgg and sieve.

	* info/.cvsignore: Added pgg and sieve.

2004-07-05  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-arch-indep): Remove .arch-inventory files.

2004-06-21  Kenichi Handa  <handa@m17n.org>

	* make-dist: Link leim-ext.el into tempdir.

2004-06-15  Luc Teirlinck  <teirllm@auburn.edu>

	* info/dir (File): Add emacs-xtra.
	* Makefile.in (install-arch-indep, uninstall): Add emacs-xtra.

2004-06-12  Juri Linkov  <juri@jurta.org>

	* info/dir: Move menu help lines from `* Menu:' to file header.
	Describe the purpose of a red *.

2004-05-04  Dave Love  <fx@gnu.org>

	* configure.in: Don't use `extrasub'.

2004-04-29  Dave Love  <fx@gnu.org>

	* configure.in: Don't forget to quote args to `test'.

2004-04-24  Thien-Thi Nguyen  <ttn@gnu.org>

	* autogen.sh: Update filename in "please read" message.

2004-04-17  Richard M. Stallman  <rms@gnu.org>

	* INSTALL: Move the info about site-lisp dirs,
	and say uninstalled Emacs looks there too.

2004-04-04  Eli Zaretskii  <eliz@gnu.org>

	* config.bat (lib-src): Recognize comment lines in Makefile.in
	that have a TAB after the #, to avoid errors in preprocessing with
	GCC 3.3.3.

2004-03-31  Luc Teirlinck  <teirllm@auburn.edu>

	* Makefile.in: Mention in comment that `make maintainer-clean'
	deletes .elc files.

2004-03-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* update-subdirs: Add local variables to prevent byte-compiling.

2004-03-21  Dave Love  <fx@gnu.org>

	* configure.in: Fix previous change.

2004-03-18  Dave Love  <fx@gnu.org>

	* configure.in: Add -znocombreloc to LDFLAGS if compiler supports it.

2004-03-15  Luc Teirlinck  <teirllm@auburn.edu>

	* info/dir (File): Add SMTP and SES.

2004-03-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (maintainer-clean): Clean in the lisp dir as well.
	(bootstrap): Use the new bootstrap-prepare target in lisp.

2004-02-18  Kim F. Storm  <storm@cua.dk>

	* INSTALL.CVS: Add info about ssh/cvs related problems and work-around.

2004-02-16  Eli Zaretskii  <eliz@gnu.org>

	* make-dist: Don't link index.*perm and permute-index into tempdir.

2004-02-14  Jonathan Yavner  <jyavner@member.fsf.org>

	* AUTHORS (JonathanYavner): Rename testcover-*.el to tcover-*.el
	to match previous changes by Eli Zaretskii.

2004-02-09  Luc Teirlinck  <teirllm@auburn.edu>

	* Makefile.in: Set CDPATH to an empty string.

2004-01-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in <darwin>: Use fink packages if available.

2004-01-25  Jérôme Marant  <jmarant@free.fr>  (tiny change)

	* make-dist (lispref): Do include lispref/index.texi.

2004-01-06  Eric Hanchrow  <offby1@blarg.net>

	* make-dist (tempdir): Include cursors in nt/icons.

2003-12-30  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL.CVS: Renamed from INSTALL-CVS to avoid file-name
	clashes with install-sh on 8+3 filesystems.

2003-12-08  Miles Bader  <miles@gnu.org>

	* .cvsignore: Add .arch-inventory.

2003-12-24  Andreas Schwab  <schwab@suse.de>

	* configure.in: Check for <sys/socket.h>.  Include it before
	including <net/if.h>.  Move check for <net/if.h> before its use.

2003-12-24  Jan Djärv  <jan.h.d@swipnet.se>

	* Makefile.in (install-arch-dep): Don't let cd output go into
	pipe for carbon_appdir.

2003-12-24  Andreas Schwab  <schwab@suse.de>

	* configure.in (PKG_CHECK_MODULES): Fix quoting.

2003-12-01  Andreas Schwab  <schwab@suse.de>

	* configure.in (powerpc-apple-darwin*): Use ${CC-cc} instead of
	hardcoding gcc.

2003-11-16  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_GTK_MULTIDISPLAY): Check if GTK can handle
	multiple displays.
	Wrong number of args to AC_CHECK_LIB for HAVE_X_SM test corrected.

2003-09-23  Dave Love  <fx@gnu.org>

	* configure.in: Check members of struct ifreq.

2003-09-14  Kim F. Storm  <storm@cua.dk>

	* configure.in: Add checks for sys/ioctl.h and net/if.h.

2003-09-12  Luc Teirlinck  <teirllm@mail.auburn.edu>

	* Makefile.in (install-arch-indep, uninstall): Add SES manual.

2003-08-18  Lute Kamstra  <lute@gnu.org>

	* configure.in: Revert the change of 2003-07-29 as GTK+ 2.2 is not
	required anymore.

2003-08-07  Andrew Choi  <akochoi@shaw.ca>

	* configure.in [powerpc-apple-darwin*]: Use the -no-cpp-precomp
	option instead of -traditional-cpp for CPP.

2003-07-29  Richard M. Stallman  <rms@gnu.org>

	* configure.in (HAVE_XIM): Define if XIM is available.

2003-07-29  Tim Van Holder  <tim.vanholder@anubex.com>  (tiny change)

	* configure.in: The function gtk_window_set_icon_from_file was
	introduced in GTK+ 2.2, so check for that release.

2003-07-23  Andreas Schwab  <schwab@suse.de>

	* configure.in: Add --enable-maintainer-mode, substitute MAINT.

	* Makefile.in (YACC): Remove, not used.
	(MAINT): Don't set.
	(${srcdir}/configure, $(srcdir)/src/stamp-h.in): Use @MAINT@ to
	disable dependency on ${srcdir}/configure.in when maintainer mode
	is disabled.

2003-07-22  Dave Love  <fx@gnu.org>

	* configure.in: Make XRegisterIMInstantiateCallback test depend on
	HAVE_X11, not with_xim.
	(HAVE_CRTIN): Provide template.
	<with_png>: Test for png.h and libpng/png.h.

2003-07-15  Andreas Schwab  <schwab@suse.de>

	* configure.in: Temporarily leave quoting for AC_DEFINE.

2003-07-13  Stefan Monnier  <monnier@cs.yale.edu>

	* configure.in: Check for posix_memalign.

2003-07-12  Richard M. Stallman  <rms@gnu.org>

	* configure.in [netbsd systems]: Define HAVE_CRTIN properly.

2003-07-09  Kim F. Storm  <storm@cua.dk>

	* INSTALL (DETAILED BUILDING AND INSTALLATION): Describe new
	functionality of --without-xim.

2003-06-29  Dave Love  <fx@gnu.org>

	* configure.in: Fix XRegisterIMInstantiateCallback check for gcc.

2003-06-23  Dave Love  <fx@gnu.org>

	* configure.in: Check for sys/_mbstate_t.h.
	Test XRegisterIMInstantiateCallback prototype.
	(AH_BOTTOM): Define DO_BLOCK_INPUT, my_strftime.

2003-06-06  Dave Love  <fx@gnu.org>

	* configure.in: Check for locale.h.

2003-06-05  Dave Love  <fx@gnu.org>

	* configure.in: Check for memcpy, mempcpy, mblen, mbrlen.
	Use AC_FUNC_STRFTIME, AC_STRUCT_TIMEZONE, AC_TYPE_MBSTATE_T.
	(NLIST_STRUCT): Don't define.
	(AH_BOTTOM): Define my_strftime.

2003-06-02  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Revert changes of 2003-03-03 and 2003-05-24.

2003-05-24  Andreas Schwab  <schwab@suse.de>

	* configure.in (AH_BOTTOM) [MAC_OSX]: Do not redefine bcopy,
	bzero, and bcmp.

2003-05-22  Dave Love  <fx@gnu.org>

	* configure.in: Remove redundant test for term.h.  Test for difftime.

2003-05-20  Dave Love  <fx@gnu.org>

	* configure.in: Append * to s390-*-linux-gnu case.
	(LIBMAIL) <lockfile>: Don't define.

2003-04-30  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Handle system types sysv5uw* and sysv5OpenUNIX*.

2003-04-28  Francesco Potortì  <pot@gnu.org>

	* configure.in: Undo last (RMS') change, as it is useless, per
	Dave Love.

2003-04-08  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Put #include of jpeglib.h at start of line.

2003-04-30  Kai Großjohann  <kai.grossjohann@gmx.net>

	* INSTALL (* GNU/Linux development packages): Mention Debian and
	RedHat package names.

2003-04-30  Boyd Lynn Gerber  <gerberb@zenez.com>

	* configure.in: Handle system types sysv5uw* and sysv5OpenUNIX*.

2003-04-30  Kai Großjohann  <kai.grossjohann@gmx.net>

	* INSTALL (* GNU/Linux development packages): Tell people to
	install additional packages for compiling Emacs.

2003-04-06  Francesco Potortì  <pot@gnu.org>

	* configure.in: Use the same configuration for all aix5, not just
	aix5.1.

2003-03-16  Nelson H. F. Beebe  <beebe@math.utah.edu>  (tiny change)

	* configure.in: Check for need for bigtoc support on IBM AIX for
	solving a linker table overflow problem.

2003-03-03  Rob Browning  <rlb@defaultvalue.org>

	* configure.in: Add AC_CHECK_FUNCS for memcmp and memmove.
	(AH_BOTTOM): Switch tests to prefer memcmp, memset, and memmove
	over bzero, bcmp, and bcopy.

2003-02-23  Simon Josefsson  <jas@extundo.com>

	* Makefile.in (install-arch-indep, uninstall): Add SMTP manual.

2003-02-21  Klaus Zeitler  <kzeitler@lucent.com>

	* configure.in: Set new hpux10-20.h as "major" include for 10.20.

2003-02-13  Robert J. Chassell  <bob@rattlesnake.com>  (tiny change)

	* INSTALL (* Extra fonts): Say that Emacs doesn't include fonts.

2003-02-08  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (EXEEXT): Define to @EXEEXT@ and use this variable
	instead of the substitution.

2003-01-31  Joe Buehler  <jhpb@draco.hekimian.com>

	* Makefile.in: Use @EXEEXT@ for Cygwin.
	Use USERNAME if LOGNAME is not set (for Cygwin).

	* configure.in: Add opsys=cygwin.

2003-01-22  Andreas Schwab  <schwab@suse.de>

	* configure.in: Set HAVE_MENUS=yes when HAVE_CARBON=yes instead of
	redefining it explicitly in src/config.in.

2003-01-22  Markus Rost  <rost@math.ohio-state.edu>

	* Makefile.in (bootstrap): Make bootstrap-after.

2003-01-20  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Fix --with-gtk.

2003-01-19  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add --with-gtk, --with-x-toolkit=gtk

	* INSTALL (DETAILED BUILDING AND INSTALLATION): Add text about GTK.

2003-01-14  Francesco Potortì  <pot@gnu.org>

	* configure.in (m68k-motorola-sysv): Remove (obsolete).

2003-01-07  Steven Tamm  <steventamm@mac.com>

	* configure.in: New option, --enable-carbon-app, to specify
	that the application should be installed
	* Makefile.in (install-arch-dep): On Mac OS X, install the
	Emacs.app application if carbon-app is enabled

2003-01-06  Dave Love  <fx@gnu.org>

	* configure.in: Check for nl_langinfo.
	[!HAVE_SIZE_T]: Fix typedef.

2003-01-06  David Kastrup  <dak@gnu.org>

	* Makefile.in (INSTALL_INFO): Get install-info command from configure.

	* configure.in: Add tests for install-info.

2002-12-09  Markus Rost  <rost@math.ohio-state.edu>

	* configure.in (*-sunos5*, *-solaris*): Revert previous change -
	use again sol2-6 instead of sol2-8.

2002-12-09  Dave Love  <fx@gnu.org>

	* configure.in (*-sunos5.8*, *-solaris2.8*): Delete configurations.

2002-12-08  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-arch-indep): Revert last change.

2002-11-27  Dave Love  <fx@gnu.org>

	* configure.in: Use AC_CHECK_DECLS, not AC_DECL_SYS_SIGLIST.
	Check for __sys_siglist too.  Check for memset.
	Use AC_FUNC_GETPGRP.  Add mipsel-*-linux-gnu* target.

2002-11-22  Juanma Barranquero  <lektu@terra.es>

	* config.guess, config.sub: Updated from master source.

2002-11-19  Karl Fogel  <kfogel@red-bean.com>

	* autogen.sh: New file.

2002-11-15  Dave Love  <fx@gnu.org>

	* configure.in: Tidy up various quoting issues throughout.
	Use AC_GNU_SOURCE.
	(AH_BOTTOM): Fix #endif protecting config.h.  Maybe include
	alloca.h.  Define GC_SETJMP_WORKS, GC_LISP_OBJECT_ALIGNMENT.
	Maybe define bcopy, bzero, bcmp.
	(powerpcle-*-solaris2.5*, powerpcle-*-solaris2*): Remove (use
	non-existent machine file).
	(sys/vlimit.h, sys/resource.h, fsync, __restrict): Test for.
	(term.h, X11/Xaw3d/Scrollbar.h): Avoid warning from test.
	(nlist.h): Move test up.

2002-11-18  Markus Rost  <rost@math.ohio-state.edu>

	* configure.in (*-sunos5*, *-solaris*): Use sol2-8.

2002-11-14  Francesco Potortì  <pot@gnu.org>

	* configure.in (*-sunos5.8*, *-solaris2.8*): New configurations.

2002-11-11  Tim Van Holder  <tim.vanholder@anubex.com>  (tiny change)

	* Makefile.in (install-arch-indep): Prepend $(srcdir)/ to lisp.

2002-11-08  Dave Love  <fx@gnu.org>

	* configure.in: Use AC_CONFIG_LIBOBJ_DIR and require autoconf 2.54.
	(AH_BOTTOM) [!HAVE_SIZE_T]: Typedef size_t.

2002-11-07  Miles Bader  <miles@gnu.org>

	* Makefile.in (maybe_bootstrap): Fix shell variable usage.
	Handle separate-build-dir case.

2002-11-06  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (maybe_bootstrap): Add doublequotes to make it
	bulletproof.  $bar may be empty when there are no .elc files.

2002-10-30  Dave Love  <fx@gnu.org>

	* configure.in: Require autoconf 2.53.  Test for pty.h,
	sys/mman.h, sys/param.h, mremap, memmove.
	(AH_BOTTOM): Maybe include strings.h.  Add local variables for mode.
	(AC_PROG_YACC): Delete.
	(size_t): Use AC_CHECK_TYPES.
	(AH_TOP): Up-date copyright.

2002-10-01  Juanma Barranquero  <lektu@terra.es>

	* update-subdirs: Add "no-byte-compile: t" to subdirs.el.

2002-09-19  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Fix the LessTif-directory-finder for real.

2002-09-14  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (maybe_bootstrap): Test for complete absence
	of compiled Lisp files.

2002-09-11  Stefan Monnier  <monnier@cs.yale.edu>

	* Makefile.in (bootstrap-lisp-1, bootstrap-lisp, bootstrap)
	(bootstrap-clean-after): Delete.
	(bootstrap): Make the sequencing explicit.

2002-09-10  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Fix previous LessTif change.

2002-09-09  Richard M. Stallman  <rms@gnu.org>

	* configure.in (powerpcle-*-solaris2.5*): New configuration.
	(powerpcle-*-solaris*): Use version 2.6 as default.
	(*-sunos5.6*, *-solaris2.6*): New alternative.
	(*-sunos5*): Use version 2.6 as default.

2002-09-06  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* configure.in: Fix typo.

2002-09-05  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Look for LessTif in /usr/X11R6/LessTif/ before Motif.

	* configure.in: Handle $GCC_LINK_TEST_OPTIONS and
	$NON_GCC_LINK_TEST_OPTIONS after the AC_PROG_... macros.

2002-08-26  Kim F. Storm  <storm@cua.dk>

	* Makefile.in (install-arch-indep): Do not remove DOC file
	when it is the only DOC file installed; this is the case when
	CANNOT_DUMP is defined.  From Joe Buehler (tiny change).

2002-07-24  Markus Rost  <rost@math.ohio-state.edu>

	* configure.in: Fix typo.

2002-07-24  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Don't print anything special about gamedir.

	* configure.in: Delete nonstandard --with-game-user option.

2002-07-21  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (gamedir, localstatedir): New variables.
	(epaths-force): Insert value of gamedir into PATH_GAME.

	* configure.in (gamedir): Handle it like lispdir.
	(--with-game-dir option): Delete.

2002-06-21  Pavel Janík  <Pavel@Janik.cz>

	* configure.in: Add support for mipseb-*-netbsd* machines.

2002-06-18  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile.in (install-arch-indep, uninstall): Add Tramp.

2002-06-17  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* info/dir (File): Add an entry for Tramp.

2002-06-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* INSTALL-CVS: New file.

2002-06-07  Andreas Schwab  <schwab@suse.de>

	* configure.in (x86_64-*-linux-gnu*): New system.

2002-05-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Handle the case when lispintro is truncated to lispintr.

2002-05-26  Paul Eggert  <eggert@twinsun.com>

	* config.guess, config.sub: Updated from master source.

2002-05-09  Richard M. Stallman  <rms@gnu.org>

	* configure.in (emacs_cv_speed_t): Add square brackets for clarity.

2002-05-04  Pavel Janík  <Pavel@Janik.cz>

	* make-dist: Do not distribute lock/ directory.

2002-04-30  Andrew Choi  <akochoi@shaw.ca>

	* configure.in: Provide documentation string when defining
	variable HAVE_CARBON.  Also define HAVE_WINDOW_SYSTEM, HAVE_MOUSE,
	and HAVE_MENUS in AH_BOTTOM if HAVE_CARBON is defined.

2002-04-28  Colin Walters  <walters@verbum.org>

	* configure.in: Delete configure check for access to the game user.

2002-04-29  Pavel Janík  <Pavel@Janik.cz>

	* make-dist: lwlib/Imakefile is removed.

2002-04-26  Andrew Choi  <akochoi@shaw.ca>

	* configure.in: Add support for powerpc-apple-darwin*.
	(HAVE_CARBON): Add.

	* make-dist: Create directories in mac/Emacs.app.

2002-04-25  Pavel Janík  <Pavel@Janik.cz>

	* make-dist: lwlib-Xol* are removed.

2002-04-23  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (MAINT): New variable.
	(${srcdir}/configure, $(srcdir)/src/stamp-h.in): Depend on this
	instead of configure.in, to avoid running autoconf and autoheader
	unless explicitly requested.

2002-04-16  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Update for msdos/sed2v2.inp.

2002-04-15  Andreas Schwab  <schwab@suse.de>

	* Makefile.in ($(srcdir)/src/config.in): Generate using autoheader.
	* configure.in: Add config header templates to all AC_DEFINE and
	AC_DEFINE_UNQUOTED symbols.
	* make-dist: Run autoheader if necessary.

2002-04-10  Colin Walters  <walters@verbum.org>

	* configure.in: Add --game-dir, --game-user.  Test to see if we
	can use them.

2002-04-08  Pavel Janík  <Pavel@Janik.cz>

	* configure.in: Add --with-sound.

2002-03-18  Kim F. Storm  <storm@cua.dk>

	* configure.in: Test for sendto, recvfrom, getsockopt, setsockopt,
	and getsockname functions.  Test for sys/un.h include file.

2002-03-15  Eli Zaretskii  <eliz@is.elta.co.il>

	* configure.in: Support AIX 5.1.

2002-03-10  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Added test for X Session Management (HAVE_X_SM).

2002-03-03  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (install-arch-indep): Use umask 022 for DOC* and lisp/.
	Run chown $${LOGNAME} on files installed by tar xvf.

2002-03-03  Kim F. Storm  <storm@cua.dk>

	* configure.in: Test for getpeername.

2002-03-01  Richard M. Stallman  <rms@gnu.org>

	* configure.in (HAVE_JPEG): Turn it off if libjpeg version < 6b.
	(HAVE_GIF): Don't use old libungif versions that crash.

2002-02-26  Richard M. Stallman  <rms@gnu.org>

	* configure.in <making srcdir absolute>: Verify that PWD is correct,
	not just well-formed and valid.
	(mips-compaq-nonstopux*): New configuration.

2002-02-18  Paul Eggert  <eggert@twinsun.com>

	* make-dist: Port to POSIX 1003.1-2001, which doesn't allow "head -1".
	"sed q" is a portable equivalent to plain "head -1".

2002-02-13  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (maybe_bootstrap): Do `exit 1'.
	(all): Don't depend on maybe_bootstrap here.
	(${SUBDIR}): Depend on it here instead.

2002-02-08  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (maybe_bootstrap): Add an infinite sleep-loop.

2002-01-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* configure.in: Recognize BSD/OS 5.0.

2002-01-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* make-dist: Make version checking in emacs.texi consistent with
	how we set it there.

2001-12-29  Kim F. Storm  <storm@cua.dk>

	* INSTALL: <CONFIGURATION BY HAND> Now requires autoconf 2.51.

2001-12-28  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Test for mbsinit.

2001-12-21  Eli Zaretskii  <eliz@is.elta.co.il>

	These changes make Leim part of the standard distribution:

	* README: Add info about the `leim' directory.

	* INSTALL: Remove text that describes Leim as a separate package.

	* noleim-Makefile.in: File removed.

	* make-dist: Don't copy noleim-Makefile.in to the leim subdirectory.
	Link Leim files to ${tempdir}/leim, not to real-leim.  Don't move
	Leim files out of the Emacs tree.  Don't prepare a separate tarball
	for Leim.

2001-12-11  Richard M. Stallman  <rms@gnu.org>

	* configure.in (hppa*-*-linux-gnu*): New alternative.

2001-12-08  Pavel Janík  <Pavel@Janik.cz>

	* make-dist: Copy COPYING to leim/, lwlib/, mac/ and nt/ when
	creating distribution.

2001-12-06  Paul Eggert  <eggert@twinsun.com>

	* configure.in (AC_PREREQ): Bump from 2.50 to 2.51; needed for vfork.
	(AC_FUNC_VFORK): Remove.
	(AC_FUNC_FORK): Add.
	(HAVE_DES_H, HAVE_KRB5_H): Properly quote args of AC_CHECK_HEADERS;
	this is required by recent Autoconf versions.

2001-12-02  Pavel Janík  <Pavel@Janik.cz>

	* make-dist: Do not try to link removed files (aclocal.m4, _emacs,
	TODO, vms-pp.trans and others).

2001-11-29  Pavel Janík  <Pavel@Janik.cz>

	* make-dist: Use COPYING from the top-level directory.

2001-11-29  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Add support for FreeBSD/Alpha.

2001-11-29  Pavel Janík  <Pavel@Janik.cz>

	* make-dist: Add COPYING to the top-level directory of the
	distribution.  Simplify the logic behind copying.

	* Makefile.in (maybe_bootstrap): Fix previous change.

2001-11-28  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (maybe_bootstrap): Don't bootstrap, just suggest it.

2001-11-26  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in: bootstrap should not delete dumped executables.
	(bootstrap-clean-before): New target.
	(bootstrap): Use bootstrap-clean-before instead of clean.
	(bootstrap-clean-after): Rename from bootstrap-clean.  Calls changed.

2001-11-24  Eli Zaretskii  <eliz@is.elta.co.il>

	These changes add the Emacs Lisp Introduction manual to the
	distribution:

	* Makefile.in (install-arch-indep, uninstall): Add ELisp Intro files.

	* make-dist: Copy the files in lispintro directory.

	* config.bat: Configure in the lispintro directory.

	* configure.in (AC_OUTPUT): Add lispintro/Makefile.

	* Makefile.in (SUBDIR_MAKEFILES): Add lispintro.
	(lispintro/Makefile): New target.
	(mostlyclean, clean, distclean, maintainer-clean): Add lispintro.
	(unlock, relock, info, dvi): Ditto.

2001-11-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* Makefile.in (uninstall, install-arch-indep): Don't install gfdl.1.

	* make-dist (etc): Don't distribute gfdl.1.

2001-11-22  Colin Walters  <walters@debian.org>

	* Makefile.in (install-arch-indep): Install the calc .info files.
	(uninstall): Handle deletion of calc .info files (thanks Pavel Janík).

2001-11-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* make-dist (lispref): Add *.txt, *.el, permute-index, and
	tindex.pl to the list of those being put into the distribution.

2001-11-16  Eli Zaretskii  <eliz@gnu.org>

	* configure.in: Add coff.h to the list in AC_CHECK_HEADERS.

2001-11-15  Pavel Janík  <Pavel@Janik.cz>

	* Makefile.in (uninstall): Fix previous change.

	* configure.in, Makefile.in: Add support for --program-prefix,
	--program-suffix and --program-transform-name options.

2001-11-13  Pavel Janík  <Pavel@Janik.cz>

	* Makefile.in (install-arch-indep): Use `${manext}' instead of `.1'.
	(install-arch-indep): Install emacsclient manual page.
	(uninstall): Uninstall emacsclient manual page.

2001-11-12  Eli Zaretskii  <eliz@is.elta.co.il>

	* make-dist: Add lispref/index.*perm files to the distribution.
	From Pavel Janík <Pavel@Janik.cz>.

2001-11-12  Pavel Janík  <Pavel@Janik.cz>

	* Makefile.in (uninstall): Remove gfdl.1 when uninstalling.

2001-11-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* configure.in: AC_OUTPUT lispref/Makefile.

2001-11-10  Eli Zaretskii  <eliz@is.elta.co.il>

	The following changes add the ELisp reference manual to the
	distribution.

	* make-dist: Add the lispref directory to the distribution.

	* Makefile.in (install-arch-indep): Add elisp* to the list of
	installed Info files.
	(SUBDIR_MAKEFILES): Add lispref/Makefile.
	(lispref/Makefile): New target.
	(mostlyclean, clean, distclean, maintainer-clean, unlock, relock):
	Add commands for the lispref directory.
	(info, dvi): Ditto.

	* config.bat: Configure in `lispref'.

2001-11-09  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (bootstrap-lisp): Don't suppress error messages.

2001-11-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* make-dist (tempdir): Copy AUTHORS as well.

2001-11-06  Sam Steingold  <sds@gnu.org>

	* configure.in: Added a check for <nlist.h>.

2001-11-01  Pavel Janík  <Pavel@Janik.cz>

	* configure.in: Reindent --help output.
	From Per Starbäck (starback@ling.uu.se).

2001-10-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* configure.in: New entry for HP/UX-11.

	* Makefile.in (SOURCES): Replace GETTING.GNU.SOFTWARE with FTP.
	From Eric S. Raymond <esr@golux.thyrsus.com>.

2001-10-28  Eli Zaretskii  <eliz@is.elta.co.il>

	* configure.in (s390-*-linux-gnu): New system.  From Adam Thornton
	<athornton@sinenomine.net>.

2001-10-25  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (maybe_bootstrap): New target.
	(all): Add to prerequisites to bootstrap if abbrev.elc doesn't exist.

2001-10-24  Ken Raeburn  <raeburn@gnu.org>

	* configure.in: If --with-hesiod is given, look for
	hes_getmailhost and res_send or __res_send; check hesiod and
	resolv libraries respectively if system libraries don't supply them.

2001-10-24  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Use $MAKE for `make' if set.

2001-10-22  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (install-arch-indep): Add -h (follow symlinks)
	to tar options.

2001-10-20  Gerd Moellmann  <gerd@gnu.org>

	* (Version 21.1 released).

2001-10-20  Miles Bader  <miles@gnu.org>

	* configure.in (configuration): Set from `host' if `host_alias'
	isn't defined.

2001-10-19  Andreas Schwab  <schwab@suse.de>

	* configure.in: Make ready for autoconf 2.5x.
	(AC_PREREQ): Require autoconf 2.50.
	* aclocal.m4: Removed.
	* Makefile.in (${srcdir}/configure): Don't depend on aclocal.m4.

2001-10-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* README: Bump Emacs version to 21.1.50.

2001-10-05  Gerd Moellmann  <gerd@gnu.org>

	* Branch for 21.1.

2001-09-05  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Avoid `$@' which is handled specially in
	Autoconf 2.52.  From "Adam J. Richter" <adam@yggdrasil.com>.

2001-09-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* make-dist (nt): Add subdirs.el to the list of distributed files.

2001-08-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* configure.in (machine): Add an entry for
	hppa1.1-hitachi-hiuxwe2*.

2001-05-28  Gerd Moellmann  <gerd@gnu.org>

	* make-dist (LANG): Set LC_ALL and LANGUAGE to C, unset
	LC_MESSAGES and LANG.  From Karl Eichwalder <keichwa@gmx.net>.

2001-05-14  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Copy texinfo.tex unconditionally.

2001-04-25  Eli Zaretskii  <eliz@is.elta.co.il>

	* Makefile.in (install-arch-indep): Add gfdl.1 to the man pages
	that are installed.

2001-04-06  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Copy only `[a-z]*.{el,elc}' from leim/quail.
	Don't copy quick-b5, quick-cns, tsang-b5, and tsang-cns files.

	* make-dist: Handle leim/MISC-DIC.  Only include
	`[a-zA-Z]*.{el,elc}' from leim/quail.

2001-04-05  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (install-arch-indep): Remove .cvsignore files.

2001-03-30  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (.PHONY): Add for bootstrap targets.
	(bootstrap-clean): New target.
	(bootstrap): Use it instead of `clean'.

2001-03-29  Eli Zaretskii  <a34785@is.elta.co.il>

	* Makefile.in (SUBDIR): Remove leim.
	(all, .RECURSIVE, extraclean): Add leim explicitly.
	(leim): Provide separate rule which exports PARALLEL=0 into the
	environment.

2001-03-20  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (HAVE_XPM): Don't print the result of the check for
	XpmReturnAllocPixels if we don't have an xpm.h.

2001-03-05  Gerd Moellmann  <gerd@gnu.org>

	* COPYING: New file.

2001-03-04  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Update the copyright.

2001-02-23  Kenichi Handa  <handa@etl.go.jp>

	* configure.in: Use AC_EGREP_CPP to check if the C preprocessor
	converts `..' to `. .'.  If it converts, set CPP_NEED_TRADITIONAL
	to `yes'.  Later in AC_OUTPUT, check this variable.

2001-02-09  Dave Love  <fx@gnu.org>

	* AUTHORS: Updated.

2001-02-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/dir (Ebrowse): Fix the entry (was missing a dot).

2001-02-02  Gerd Moellmann  <gerd@gnu.org>

	* mkinstalldirs (errstatus): Chmod a+rx directories we create.

	* Makefile.in (uninstall): Ignore exit code of `rm'.

	* Makefile.in (uninstall): Remove more info files.  Remove
	${libexecdir}/emacs/${version}.  Remove ${archlibdir}/fns-*.

2001-01-31  Gerd Moellmann  <gerd@gnu.org>

	* noleim-Makefile.in (extraclean): Add.

2001-01-28  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (extraclean): Added -f to -rm config-tmp-* to keep
	it quiet.

2001-01-24  Colin Walters  <walters@cis.ohio-state.edu>

	* Makefile.in (tags): Fix typo.

2001-01-13  Kenichi Handa  <handa@etl.go.jp>

	* configure.in: Fix typo in the code setting x_search_path.

2001-01-10  Dave Love  <fx@gnu.org>

	* configure.in: Don't reset LIBS at end of -lXmu test.  Test for
	-lXext.
	(HAVE_XKBGETKEYBOARD): Fix reporting of result.
	(HAVE_LIBXP): Remove -lXt from AC_CHECK_LIB.
	(HAVE_XAW3D, HAVE_XPM, HAVE_JPEG, HAVE_PNG, HAVE_TIFF, HAVE_GIF):
	Don't frob CFLAGS.  Remove extra X libs from AC_CHECK_LIB
	(now in $LIBS).

2001-01-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Run the preprocessor with -traditional.

2001-01-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* INSTALL: Move copying conditions to end of file.

2000-12-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* INSTALL: Add basic installation procedure which assumes
	`configure' does its job.  Elaborate on image support libraries.
	Add a pointer to Xaw3d library.  Add advice about solving
	configure-time problems by looking in config.log and setting
	variables in the environment.

2000-12-27  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (install-arch-indep): If tar fails, exit with
	exit code 1.

2000-12-19  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Test for XkbGetKeyboard with an AC_TRY_LINK whose
	source file includes XKBlib.h.  On some broken Solaris systems,
	there is an XKBlib.h, reportedly, but header files included by
	XKBlib.h are missing.

2000-12-14  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: AC_CHECK_FUNC XkbGetKeyboard.

2000-12-11  Dave Love  <fx@gnu.org>

	* configure.in <alpha*-dec-osf*>: Use full path for NON_GNU_CPP.

2000-12-11  Paul Eggert  <eggert@twinsun.com>

	* aclocal.m4 (AC_SYS_LARGEFILE, AC_SYS_LARGEFILE_MACRO_VALUE):
	Merge fixes from latest GNU tar version.  These macros no longer
	futz with _XOPEN_SOURCE, as that was not portable in practice.
	(AC_FUNC_FSEEKO): New macro.

	* configure.in: Use it instead of invoking AC_CHECK_FUNCS on
	ftello.

2000-12-05  Dave Love  <fx@gnu.org>

	* Makefile.in (TAGS, info): Avoid tab-prefixed comments in rules.

2000-12-02  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/dir: Change the category to "Emacs".

2000-12-01  Gerd Moellmann  <gerd@gnu.org>

	* make-dist (tempdir): Remove epaths.h from the distribution
	instead of paths.h.

2000-11-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Check for existence of djecho.exe, and print an
	error message if it is not available.

	* INSTALL: Describe possible problem with djecho.exe in old
	versions of DJGPP v2.x.

2000-11-23  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Initialize HAVE_LIBXP to no.

2000-11-22  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Use m/macppc.h instead of the non-existent
	m/powerpc.h.

2000-11-21  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (install-arch-indep): Also install info/eshell*
	and info/speedbar*.

	* configure.in (HAVE_PNG): Check for the presence of
	png_get_channels to rule out older PNG libs.

	* configure.in (AC_OUTPUT): Arrange to emit definitions of
	GCC and NON_GNU_CPP into config.status.

2000-11-20  Dave Love  <fx@gnu.org>

	* configure.in: Fix last change.

	* GETTING.GNU.SOFTWARE: Deleted.
	* FTP: New file to replace it.
	* make-dist: Add FTP, remove GETTING.GNU.SOFTWARE.

2000-11-20  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Use -traditional with GNU cpp.

2000-11-17  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Handle the Mac port.  Distribute all makefile.w32-in.
	Distribute more files from the nt/ subdir.  Distribute PBM
	image files from subdirs of lisp/.  Distribute old change logs
	from subdirs of lisp/.  Distribute play/5x5.el.

2000-11-11  Dave Love  <fx@gnu.org>

	* config.sub, config.guess: Updated from master source.

2000-11-07  Dave Love  <fx@gnu.org>

	* configure.in: Test for mkstemp.

2000-11-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/dir (Top): Rearrange menu items more logically, and put
	them into a single category.  Add menu items for RefTeX and
	Widget.

2000-10-29  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile.in (install-arch-indep): Use --info-dir instead of
	--dir-file, and a simple argument instead of --info-file, so that
	the Debian version of install-info also works.

2000-10-19  Eric M. Ludlam  <zappo@ultranet.com>

	* info/dir (Speedbar): Add entry.

2000-10-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* INSTALL: Describe the new image-support options to the configure
	script.  List URLs where image support libraries can be found.

2000-10-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/dir (Top): Add an entry for Eshell.

2000-10-02  Dave Love  <fx@gnu.org>

	* configure.in: Check for gai_strerror.

2000-10-01  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-arch-indep): Update list of installed info files.

2000-09-30  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Support `sparc*-*-netbsd*'.

2000-09-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/dir (MIME): Add entry for emacs-mime.

2000-09-29  Dave Love  <fx@gnu.org>

	* configure.in: Fix alpha*-dec-osf4 using the osf5 config.

2000-09-26  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Adapt to the change of leim/Makefile which was
	necessary to ensure a reasonably working `make dist'.

	* leim-Makefile.in: Moved to leim/Makefile.in..

	* noleim-Makefile.in: New file, formerly leim/Makefile.in.

2000-09-21  Kenichi Handa  <handa@etl.go.jp>

	* leim-Makefile.in (TIT-GB, TIT-BIG5, NON-TIT-GB, NON-TIT-BIG5)
	(NON-TIT-CNS, JAPANESE, KOREAN, THAI, VIETNAMESE, LAO, INDIAN)
	(TIBETAN, LATIN, SLAVIC, GREEK, RUSSIAN, MISC): Rename all .el
	files to .elc.
	(${TIT}): Adjusted for the above change.
	(clean mostlyclean): Likewise.
	(.el.elc): New target.

2000-09-19  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Include XPM and XBM files in lisp/ and subdirs
	in the distribution.

2000-09-18  Gerd Moellmann  <gerd@gnu.org>

	* make-dist (skk): Rename to `ja-dic' because the leim directory
	was renamed.

2000-09-14  Dave Love  <fx@gnu.org>

	* configure.in: Fix spurion in last change.

2000-09-14  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (USE_MMAP_FOR_BUFFERS): Recognize in system
	configuration files instead of REL_ALLOC_MMAP.  Set REL_ALLOC
	to `no' if defined.  Change result report.

2000-09-08  Dave Love  <fx@gnu.org>

	* configure.in: Remove spurious `@'s.

	* aclocal.m4 (AC_FUNC_MMAP): Use fixed version from development
	autoconf.

2000-09-06  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (REL_ALLOC_MMAP): Recognize in system configuration
	file and print informational message.

	* configure.in (AC_FUNC_MMAP): Add.

2000-09-01  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Add ``checking'' messages for
	XpmReturnAllocPixels.

2000-08-28  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Check <strings.h>; check `index' and `rindex'
	functions.

2000-08-26  Kenichi Handa  <handa@etl.go.jp>

	* configure.in <alpha*-dec-osf*>: Move "NON_GNU_CPP='cpp'" before
	"case "${canonical}" in".

2000-08-25  Dave Love  <fx@gnu.org>

	* configure.in <osf>: Use NON_GNU_CPP='cpp' always.

2000-08-25  Kenichi Handa  <handa@etl.go.jp>

	* leim-Makefile.in: Rename skk to ja-dic throughout the file.

2000-08-24  Gerd Moellmann  <gerd@gnu.org>

	* configure.in <making srcdir absolute>: Unset CDPATH in case $PWD
	contains a relative path.  Protect against unusable values of $PWD.

2000-08-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/dir (WoMan): Add entry.

	* config.bat (maindir): Update src/_gdbinit even if it does
	already exist.

2000-08-07  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (config.status): Prepend `$(srcdir)/' to `configure'.

2000-08-03  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Add support for ia64*-*-linux*.

2000-07-27  Gerd Moellmann  <gerd@gnu.org>

	* make-dist (aclocal.m4): Include in distribution.

2000-07-26  Dave Love  <fx@gnu.org>

	* configure.in (AC_SYS_LARGEFILE): Moved earlier.

2000-07-24  Dave Love  <fx@gnu.org>

	* configure.in: Add AC_SIZE_T.

2000-07-18  Dave Love  <fx@gnu.org>

	* configure.in: Reorder so that most tests are done after CPPFLAGS
	is set from the C_SWITCH_... definitions.

2000-07-10  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (HAVE_XPM): Undo previous change.  Check for
	preprocessor define XpmReturnAllocPixels.

2000-07-06  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (HAVE_XPM): Check for XpmReturnAllocPixels
	instead of XpmReadFileToPixmap.

2000-07-05  Ken Raeburn  <raeburn@gnu.org>

	* configure.in: Check for <soundcard.h>.  Look for ossaudio
	library, and set LIBSOUND accordingly.

2000-07-05  Dave Love  <fx@gnu.org>

	* configure.in: Use AC_HEADER_SYS_WAIT.

2000-07-05  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Check DONTCOMPILE in lisp/Makefile.in instead of
	lisp/Makefile.  Distribute lisp/Makefile.in instead of
	lisp/Makefile.

2000-06-30  Ken Raeburn  <raeburn@gnu.org>

	* configure.in: Add ${C_SWITCH_X_SITE} temporarily to CPPFLAGS,
	while searching for image-handling libraries.

2000-06-26  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (--with-xim): New option.

2000-06-23  Dave Love  <fx@gnu.org>

	* configure.in [HAVE_TIMEVAL]: Move gettimeofday test here, test
	for struct timezone and test how we can call gettimeofday.
	Check for OSF 5+.  Check for term.h.

	* aclocal.m4: Define the post-2.13 stuff conditionally on autoconf
	version.

2000-06-23  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (HAVE_LIBXP): Change test for libXp.

2000-06-21  Dave Love  <fx@gnu.org>

	* configure.in: Check for fcntl.h.  Use AC_FUNC_GETLOADAVG, not
	simple test for getloadavg and substitute GETLOADAVG_LIBS.
	Simplify test for GETTIMEOFDAY_ONE_ARGUMENT.

2000-06-19  Dave Love  <fx@gnu.org>

	* configure.in (GETTIMEOFDAY_ONE_ARGUMENT): Fix in case
	_XOPEN_SOURCE is defined.

2000-06-16  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (distclean): Also make distclean in lisp/.

2000-06-15  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Generate lisp/Makefile from lisp/Makefile.in.

2000-06-15  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Add --help and --snapshot options.

2000-06-14  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Generate lisp/Makefile.

	* configure.in: Add support for `*-lynxos*'.
	Use `cpp' as NON_GNU_CPP for `alpha*-dec-osf[5-9]*', as
	recommended by <Karen.Dorhamer@compaq.com> to fix problems
	on Tru64 UNIX v5.0.

2000-06-13  Ken Raeburn  <raeburn@gnu.org>

	* Makefile.in (install-arch-indep): Don't use "-unset CDPATH" when
	it's on a continuation line.

2000-06-02  Dave Love  <fx@gnu.org>

	* Makefile.in (install-arch-indep): Add pcl-cvs to list of info
	files.

	* configure.in: Don't specify -n32 flag for mips-sgi-irix6.5.
	Check for struct exception.  Use AC_SYS_LARGEFILE and move ftello
	test.

	* aclocal.m4 (AC_SYS_LARGEFILE_TEST_INCLUDES)
	(AC_SYS_LARGEFILE_MACRO_VALUE, AC_SYS_LARGEFILE): New.

2000-05-26  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Add check for speed_t typedef.

2000-05-25  Ken Raeburn  <raeburn@gnu.org>

	* Makefile.in (install-arch-dep): Install fns-*.el only if it
	exists; it won't in the CANNOT_DUMP case.

2000-05-25  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in: Ignore exit status of `unset CDPATH' everywhere.
	On FreeBSD, the exit status is 1 if CDPATH is not set.
	(install-arch-indep): Install ebrowse.info.

2000-05-20  NIIBE Yutaka  <gniibe@mri.co.jp>

	* configure.in: Check for grandpt and getpt.

2000-05-09  Dave Love  <fx@gnu.org>

	* Makefile.in (install-arch-indep): Filter CVS as well as RCS.

2000-05-05  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Make a link for lib-src/grep-changelog.
	Copy install-sh.

2000-05-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Identify the beginning of the cpp stuff in
	src/Makefile.in and lib-src/Makefile.in more accurately.

2000-04-27  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Add support for `powerpc*-*-linux-gnu*'.

2000-04-19  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Add support for `powerpc-*-netbsd*'.

2000-04-19  Dave Love  <fx@gnu.org>

	* configure.in: Don't use AC_FUNC_GETLOADAVG.

	* aclocal.m4 (AC_FUNC_MKTIME): Use AC_SUBST.

2000-04-16  Dave Love  <fx@gnu.org>

	* Makefile.in (${srcdir}/configure): Depend on aclocal.m4.

2000-04-14  Dave Love  <fx@gnu.org>

	* configure.in: Use AC_FUNC_GETLOADAVG, AC_FUNC_MKTIME.

	* aclocal.m4 (AC_FUNC_MKTIME): New.

2000-03-28  Ken Raeburn  <raeburn@gnu.org>

	* configure.in: Line up "--help" output a little better.

2000-03-26  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (bootstrap-lisp-1, bootstrap-lisp, bootstrap-src):
	New targets.
	(bootstrap): Rewritten in terms of the new targets above.  Make
	info files, too.

2000-03-12  Gerd Moellmann  <gerd@gnu.org>

	* config.guess, config.sub: Use the versions of the files from
	subversions.

2000-03-08  Dave Love  <fx@gnu.org>

	* configure.in: Use AC_PROG_RANLIB, AC_C_PROTOTYPES,
	AC_C_VOLATILE.  Define POINTER_TYPE.

	* aclocal.m4: New file.

2000-03-02  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (machine): Add `mipsel-*-netbsd*' and
	`arm-*-netbsd*'.

2000-03-01  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (machine): Add support for `*-auspex-sunos*'.

2000-02-29  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (C_OPTIMIZE_SWITCH) [__GNUC__]: Use -O2.

2000-02-18  Dave Love  <fx@gnu.org>

	* configure.in: Define NON_GNU_CPP on alpha-dec-osf5+.

2000-02-18  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-arch-indep): Add eudc to list of installed
	info files.

2000-02-17  Ken Raeburn  <raeburn@gnu.org>

	* configure.in: Include -lz and -ljpeg (if it's available) when
	testing for the tiff library.

2000-02-17  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Remove LISP_FLOAT_TYPE.

2000-02-12  Dave Love  <fx@gnu.org>

	* configure.in: Use AC_FUNC_VFORK.

2000-02-01  Gerd Moellmann  <gerd@gnu.org>

	* make-dist: Various fixes for new development tree.

	* leim-Makefile.in: New file.

2000-01-31  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (dist): Call ./make-dist.

2000-01-24  Dave Love  <fx@gnu.org>

	* configure.in: Remove -G0 from Irix NON_GCC_TEST_OPTIONS.

2000-01-18  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (HAVE_GIF): Check for DGifOpen instead of
	DGifOpenFileName.

2000-01-11  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-arch-indep): Update list of info files to
	be installed.

2000-01-05  Dave Love  <fx@gnu.org>

	* configure.in: Check for jerror.h as well as libjpeg.

2000-01-03  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-arch-indep): Install autotype*.  Run
	install-info on autotype and emacs-faq.info.

1999-12-04  Dave Love  <fx@gnu.org>

	* Makefile.in (install-arch-indep): Depend on `info'.
	(install-strip): Use `install' as sub-make target.

1999-11-23  Ken Raeburn  <raeburn@gnu.org>

	* configure.in: Restore Kerberos code deleted on 1999-05-29 that
	didn't need to be deleted.  Check for the k5crypto library as well
	as the crypto library; MIT Kerberos 1.1 changed the name.

1999-11-18  Dave Love  <fx@gnu.org>

	* configure.in: Fix NON_GNU_CPP for Irix 6 to avoid failing tests.

1999-11-11  Erik Naggum  <erik@naggum.no>

	* configure.in (bitmapdir): Allow for both "bitmaps" directories.

1999-11-08  Dave Love  <fx@gnu.org>

	* configure.in: Fix change for --with-pop default.

1999-11-04  Dave Love  <fx@gnu.org>

	* configure.in: Default to --with-pop.  Change sense of with-gcc
	and with-toolkit-scroll-bars messages to reflect the defaults.

1999-11-01  Gerd Moellmann  <gerd@gnu.org>

	* INSTALL: Mention the Emacs Lisp Reference.

1999-10-27  Noah Friedman  <friedman@splode.com>

	* configure.in: Check for dynamic ptys (/dev/ptmx, /dev/pts/).

1999-10-23  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (bootstrap): New target.

1999-10-19  Paul Eggert  <eggert@twinsun.com>

	Add support for large files.  Merge glibc 2.1.2.

	* configure.in (AC_CHECK_HEADERS): Add stdio_ext.h.
	(HAVE_TM_GMTOFF): New symbol.
	(AC_CHECK_FUNCS): Add __fpending, ftello, getloadavg, mblen,
	mbrlen, strsignal.
	(LOCALTIME_CACHE): Don't include stdlib.h, as config.h does this now.

1999-10-09  Stefan Monnier  <monnier@cs.yale.edu>

	* make-dist (dontcompile): Look for the DONTCOMPILE variable rather
	than the obsolete dontcompilefiles pseudo-rule in lisp/Makefile.

1999-10-09  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (uninstall, install-arch-indep, install-arch-dep):
	Unset CDPATH to prevent cd from generating output.

1999-10-08  Stefan Monnier  <monnier@cs.yale.edu>

	* update-subdirs: Also ignore CVS subdirs.

1999-10-07  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (install-arch-indep): Add ada-mode.

1999-10-06  Dave Love  <fx@gnu.org>

	* Makefile.in: Add rules for config.status, configure.

1999-09-07  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (--with-sound): Removed.

1999-08-30  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (USE_TOOLKIT_SCROLL_BARS): Move the test down after
	the test for Xaw3d.
	(HAVE_TIFF): Add -lm to library check.

1999-08-28  Richard Stallman  <rms@gnu.org>

	* configure.in (USE_TOOLKIT_SCROLL_BARS): Move tests for
	-lXaw3d, -lXpm, -ljpeg, -lpng, -ltiff, and -lgif, down
	after the other X-related libraries.

1999-08-21  Dave Love  <fx@gnu.org>

	* configure.in: Don't check for jpeglib.h.

1999-08-20  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (HAVE_TIFF): Remove tiff34 prefix from tiffio.h.
	(HAVE_XAW3D): Don't check for Xaw3d if USE_X_TOOLKIT=none.

1999-08-18  Dave Love  <fx@gnu.org>

	* configure.in: Check for termcap.h.

1999-08-15  Gerd Moellmann  <gerd@gnu.org>

	* configure.in: Add --with-toolkit-scroll-bars.  If "no",
	use Emacs' scroll bars, even if configured for Motif or when
	Xaw3d is available.

1999-08-12  Wolfgang Rupprecht  <wolfgang@wsrcc.com>

	* configure.in: Check for getaddrinfo.

1999-08-04  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Make --no-debug work again by removing -gcoff.

1999-07-30  Dave Love  <fx@gnu.org>

	* configure.in: Check for stdlib.h.

1999-07-19  Dave Love  <fx@gnu.org>

	* configure.in: Grok sparc64-*-linux-gnu*.

1999-07-12  Richard Stallman  <rms@gnu.org>

	* Version 20.4 released.

1999-06-23  Karl Heuer  <kwzh@gnu.org>

	* make-dist: Unset EMACS_UNIBYTE, so Emacs runs in its default state.
	Quote $EMACS, in case it's a program with args.

1999-06-15  Gerd Moellmann  <gerd@gnu.org>

	* configure.in (HAVE_GIF): Use libungif instead of libgif
	because the former doesn't contain patented compression code.

1999-05-29  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Delete the Kerberos stuff.

1999-05-27  Greg Hudson  <ghudson@mit.edu>

	* configure.in: Prefer kerberos 5 names.

1999-04-26  Richard M. Stallman  <rms@gnu.org>

	* configure.in: Check for libXp.

1999-04-08  Richard Stallman  <rms@gnu.org>

	* make-dist: Include change logs in subdirs of `lisp'.

1999-04-05  Richard Stallman  <rms@gnu.org>

	* Makefile.in (mkdir): If we create ${datadir}, make it world-readable.
	(install-arch-indep): Make ${datadir}/emacs world-readable.

1999-03-30  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Use epaths.* instead of paths.*.

1999-03-07  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL: Add detailed instructions to unpack and install
	intlfonts on MS-DOS.

1999-02-26  Richard Stallman  <rms@gnu.org>

	* configure.in: Use epaths.h and epaths-force instead of paths...

	* Makefile.in (epaths-force): Renamed from paths-force;
	operate on epaths.in and produce epaths.h.

1999-02-24  Richard Stallman  <rms@gnu.org>

	* make-dist: Fix nt/icons directory handling.

1999-02-22  Simon Josefsson  <jas@pdc.kth.se>

	* configure.in (f301-fujitsu-uxpv4.1): New target.

1999-02-20  Richard Stallman  <rms@gnu.org>

	* make-dist (tempparent): Fix command to update info files.

1999-02-09  Richard Stallman  <rms@gnu.org>

	* configure.in (powerpc-apple-netbsd*): New alternative.

1999-01-25  Geoff Voelker  <voelker@cs.washington.edu>

	* make-dist: Include the new directory nt/icons in distributions.

1999-01-19  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* configure.in: Change message about HAVE_XFREE386.

1999-01-07  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Support configuring with leim.

1998-12-16  Petri Kaurinkoski  <Petri.Kaurinkoski@hut.fi>

	* configure.in (mips-sgi-irix6.5): New target.

1998-12-16  Jonathan I. Kamens  <jik@kamens.brookline.ma.us>

	* configure.in: Remove GSS-API support, since it has been removed
	from movemail.

1998-12-04  Markus Rost  <rost@delysid.gnu.org>

	* Makefile.in (install-arch-dep): Copy fns-*.el from lib-src.

1998-12-04  Andreas Schwab  <schwab@delysid.gnu.org>

	* Makefile.in: Don't install customize info file.
	Run install-info on viper info file.

1998-11-29  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile.in (install-arch-dep): Copy fns-*.el from lib-src.

1998-11-16  Kenichi Handa  <handa@etl.go.jp>

	* configure.in (*-*-bsdi4*): New target.

1998-11-13  Ehud Karni  <ehud@unix.simonwiesel.co.il>

	* configure.in: Fix previous change.

1998-11-11  Richard Stallman  <rms@gnu.org>

	* configure.in (aviion-intel): New machine.

1998-11-04  Kenichi Handa  <handa@etl.go.jp>

	* configure.in (mips-nec-sysv4*): New target.

1998-11-03  Andreas Schwab  <schwab@delysid.gnu.org>

	* Makefile.in (install-arch-dep): Fix last change and use fns-*.el
	from lisp.

1998-10-31  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* make-dist: Don't include fns*.el in dist.

1998-10-30  Dave Love  <fx@gnu.org>

	* configure.in: Don't mkdir cpp.

1998-10-30  Andreas Schwab  <schwab@delysid.gnu.org>

	* Makefile.in (install-arch-dep): Install src/fns-*.el in
	${archlibdir}.

1998-08-19  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Version 20.3 released.

1998-07-30  Paul Eggert  <eggert@twinsun.com>

	* Makefile.in (Makefile, src/Makefile, src/config.stamp)
	(lib-src/Makefile, man/Makefile, oldXMenu/Makefile)
	(lwlib/Makefile, leim/Makefile):
	Prepend $(srcdir)/ to rule dependencies outside this dir.

1998-06-30  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* configure.in: Use unset CDPATH instead of making it empty.

1998-06-20  Karl Heuer  <kwzh@gnu.org>

	* configure.in: Assume unspecified Solaris is 2.5, not 2.4.

1998-06-07  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* make-dist (MANIFEST): Include most subdirs, but exclude subdirs.el
	and default.el.  Sort the results.

1998-05-31  Karl Heuer  <kwzh@gnu.org>

	* Makefile.in (install-arch-indep): Don't die if site-lisp/ isn't
	writable.

1998-05-14  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile.in (install-arch-indep):
	Don't alter site-lisp/subdirs.el if it exists.

1998-05-12  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile.in (install-arch-indep): Put `-' on commands to create
	subdirs.el in site-lisp dirs.

1998-05-07  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile.in (install-arch-indep): Fix typo in previous change.

1998-05-06  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile.in (install-arch-indep): Pass --dir-file to install-info.

1998-04-28  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile.in (mkdir): Create the site-lisp dirs.
	(install-arch-indep): Make site-lisp/subdirs files world-readable.

1998-04-26  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile.in (INSTALL_INFO): New variable.
	(install-arch-indep): Don't replace the dir file if it already exists.
	Use the install-info program, via INSTALL_INFO, to add entries.
	Make the `info' subdir and the Info files world-readable.

1998-04-16  Eli Zaretskii  <eliz@delysid.gnu.org>

	* config.bat: Make sure the environment is large enough to support
	all the "set foo=bar" commands.  Update pointers to DJGPP FTP sites.

1998-04-10  Karl Heuer  <kwzh@gnu.org>

	* make-dist: Don't accept EMACS=t when testing for $EMACS set.

1998-04-06  Jonathan I. Kamens  <jik@kamens.brookline.ma.us>

	* configure.in: Add --with-gssapi to specify GSS-API
	authentication support for movemail.

1998-04-02  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile.in (install-arch-indep): Fix previous change.

1998-03-30  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile.in (info): Run man in build dir, not srcdir.

1998-03-28  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile.in (install-arch-indep): Fix previous change.

1998-03-23  Kenichi Handa  <handa@etl.go.jp>

	* Makefile.in (top_distclean): Check the existence of `lock' subdir.

1998-03-22  Richard Stallman  <rms@gnu.org>

	* Makefile.in (install-arch-indep): Put special subdirs.el files
	in site-lisp dirs.  Use normal-top-level-add-subdirs-to-load-path.

1998-03-21  Richard Stallman  <rms@psilocin.gnu.org>

	* make-dist: Fix shell syntax in check for missing .el or .elc files.

1998-03-09  Richard Stallman  <rms@psilocin.gnu.org>

	* configure.in (hppa-hp-hpux1[0-9]*): Handle versions 1X like 10.
	(m68*-hp-hpux*): Handle versions 1X like 10.

1998-03-07  Richard Stallman  <rms@psilocin.gnu.org>

	* make-dist: PROBLEMS is now in etc, not top level dir.

	* Makefile.in (SOURCES): Delete PROBLEMS.

1998-02-25  Richard Stallman  <rms@gnu.org>

	* configure.in (hppa*-hp-hpux*): Use hpux10 by default.

	* Makefile.in (install-arch-indep): Do chmod a+x on subdirs.

1998-01-17  Richard Stallman  <rms@gnu.org>

	* Makefile.in (install-arch-indep): Add semicolon before `else'.

1998-01-02  Richard Stallman  <rms@psilocin.gnu.org>

	* make-dist (tempparent): New option --no-check.

	* make-dist: Don't do anything with cpp directory.

1997-12-20  Richard Stallman  <rms@psilocin.gnu.org>

	* configure.in (sparc-fujitsu-sysv4*): New target.

1997-12-17  Andreas Schwab  <schwab@gnu.org>

	* configure.in: Cache more tests.  Add missing quotes around
	message with embedded comma.

1997-12-04  Karl Heuer  <kwzh@gnu.org>

	* Makefile.in (unlock, relock): Don't reference cpp/ directory.

1997-11-26  Joel N. Weber II  <devnull@gnu.org>

	* make-dist: Changed the comment about `umask 0' to say `Don't
	restrict access to any files.'; previously it said `Don't protect
	any files', which may have implied that we think fascism is good.

1997-11-24  Paul Eggert  <eggert@twinsun.com>

	* configure.in (AC_CHECK_FUNCS): Add strftime.  The new GNU C library
	strftime needs the underlying host's strftime for locale dependent
	formats.

1997-11-20  Abraham Nahum  <miko@uxsrvc.tti.co.il>

	* configure.in (i586-dg-dguxR4.*): New name in case branch.

1997-11-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Configure the man subdirectory.

1997-11-07  Paul Eggert  <eggert@twinsun.com>

	* configure.in (AC_CHECK_LIB): Add -lintl.

1997-11-07  Karl Heuer  <kwzh@gnu.org>

	* make-dist (check for .elc files): Avoid bash-specific syntax.
	(check for overflow 14-char limit): Simplify.

1997-11-07  Richard Stallman  <rms@gnu.org>

	* Makefile.in (install): Move blessmail last.

1997-10-02  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (gettimeofday, one arg or two):
	Clarify messages by avoiding double negative.

1997-09-30  Karl Eichwalder  <ke@suse.de>

	* Makefile.in (install-arch-indep): Install the widget info file.

1997-09-24  Jonathan I. Kamens  <jik@kamens.brookline.ma.us>

	* configure.in (with-pop, with-kerberos): Need to check Kerberos
	libraries in reverse order, so that libraries will appear in the
	correct dependency order on the link line (and so that the
	configure checks themselves will work properly when early
	libraries depend on later ones).

1997-09-21  Erik Naggum  <erik@naggum.no>

	* make-dist (making links to `src'): Keep timestamp on copied files.

	* make-delta: New script to produce delta distributions.

1997-09-19  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 20.2 released.

1997-09-15  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 20.1 released.

	* Makefile.in (install-leim): Depend on mkdir.
	(leim): Depend on src.

1997-09-13  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in: Recognize alpha* instead of just alpha.

1997-09-12  Paul Eggert  <eggert@twinsun.com>

	* leim-Makefile.in (mostlyclean, maintainer-clean): New targets.

1997-09-12  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* update-subdirs: Use rm -f.

1997-09-08  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* update-subdirs: Delete subdirs.el if this dir has no subdirs.
	Ignore subdirs named Old.

1997-08-04  Kenneth Stailey  <kstailey@elbereth.disclosure.com>

	* configure.in: Add OpenBSD clause to set $machine.

1997-09-04  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist: Recompile everything after updating various Lisp files.
	Recompile in leim as well as lisp.
	Check in leim as well as lisp for mismatched files and too-long names.

1997-09-03  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (TAGS tags): Simply refer this to the src subdir.

1997-08-30  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Verify ./lisp has simple.el in it
	before trying to copy anything from it.

1997-08-27  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (man/Makefile): New target.
	(tags): Define env var EMACS and run Makefile from build dir.

1997-08-27  Eli Zaretskii  <eliz@psilocin.gnu.ai.mit.edu>

	* config.bat: If src/_gdbinit doesn't exist, try using
	src/.gdbinit to create it (for building on Windows 95).

1997-08-25  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep):
	Discard extra data in tar | tar pipes.

1997-08-24  NIIBE Yutaka  <gniibe@mri.co.jp>

	* configure.in (x_default_search_path): Corrected
	'${x_library}' to '${x_library}/X11'.

1997-08-22  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (HAVE_MOTIF_2_1): Test for Motif 2.1.

1997-08-22  Jonathan I. Kamens  <jik@kamens.brookline.ma.us>

	* configure.in: Support auto-configuration of both Kerberos V4 and
	Kerberos V5 for movemail, including detection of V4 and V5 header
	files and libraries.

1997-08-16  NIIBE Yutaka  <gniibe@etl.go.jp>

	* configure.in: Compute x_default_search_path
	and substitute into makefiles.

	* Makefile.in (paths-force): Store PATH_X_DEFAULTS in paths.h.

1997-08-08  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Run list-load-path-shadows.

1997-08-07  Erik Naggum  <erik@naggum.no>

	* configure.in: Remove lockdir, it is no longer needed.
	* Makefile.in (mkdir): Don't create lockdir.
	(lockdir): Variable deleted.
	(paths-force): Don't operate on PATH_LOCK.

1997-08-06  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* leim-Makefile.in (clean, distclean): New targets.

	* make-dist: Include leim/ChangeLog in leim distribution.

1997-08-01  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (i*86-*-sysv4.2uw*): Set NON_GNU_CPP.

1997-07-30  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (CPPFLAGS): Get this from configure, like CFLAGS.

1997-07-27  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (LDFLAGS): Get this from configure, like CFLAGS.

1997-07-25  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist: Update leim/leim-list.el.
	Pass along value of $EMACS when updating lisp dir.

1997-07-25  Marcus G. Daniels  <marcus@cathcart.sysc.pdx.edu>

	* configure.in (doug_lea_malloc): Make __after_morecore_hook a
	prerequisite to the use of Doug Lea's malloc.

1997-07-21  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (top_distclean): Use -f to delete contents of lock dir.

	* make-dist: Use name leim/SKK-DIC, not leim/SKK.

1997-07-16  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist: Arrange for the leim tar file to unpack in emacs-M.N/leim.

1997-07-11  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (mips-sony-newsos6*): File news-risc.h renamed
	to news-r6.h.

1997-07-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Use `sed' instead of `cp', which might not be
	installed.

1997-07-09  Kenichi Handa  <handa@etl.go.jp>

	* Makefile.in (mostlyclean): Add cleaning leim directory.
	(clean, distclean, maintainer-clean): Likewise.

1997-07-09  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist (bogosities): Check subdirs of `lisp' also.

1997-07-08  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist (etc): Really avoid symlinks now.
	(lisp): Don't delete from subdirs the things we never copy.

1997-07-07  Kenichi Handa  <handa@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Correct the target name.
	The first letter `i' was dropped by the previous change of mine.

1997-07-06  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (leim/Makefile): Generate this.
	(*-sysv4.2uw*): Recognize new alternative.

	* leim-Makefile.in: Renamed from leim-Makefile.

	* make-dist: Set up real-leim subdirectory,
	with the real contents of leim; then move it to
	a separate top-level directory.

	* make-dist: Don't mention site-lisp, site-init, site-start
	or default, when listing files hat are not compiled and should be.

	* configure.in: Create src/config.stamp at the end.

1997-07-04  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-leim): Correct previous change.

1997-07-02  Kenichi Handa  <handa@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-leim): New target.
	(install): Depend on install-leim.

1997-07-01  Kenichi Handa  <handa@psilocin.gnu.ai.mit.edu>

	* Makefile.in (SUBDIR): Add leim.
	(SUBDIR_MAKEFILES): Add leim/Makefile.
	(leim/Makefile): New target.

1997-07-01  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* leim-Makefile: New file.
	* make-dist: Initialize a `leim' subdirectory with that makefile.

1997-06-29  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (GNU_MALLOC_reason): Fix message text.

1997-06-27  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist (lisp): Don't process subdirs that start with =.
	(etc): Copy symlinks, as in src.

1997-06-26  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (i*86-*-unixware*): New alternative.

1997-06-22  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (src/config.stamp): Target renamed from src/config.h
	and touch it explicitly.

	* configure.in (mips-sony-newsos6*): New alternative.
	(mips-*-linux-gnu*): New alternative.
	(*-*-bsdi*): New alternative.
	(i*86-*-bsd386, i*86-*-bsdi...): Delete old alternatives.

1997-06-22  Dave Love  <d.love@dl.ac.uk>

	* Makefile.in (lib-src): Depend on src/config.h (e.g. for movemail.o).
	(src/config.h): New target to re-configure if src/config.in is patched.

1997-06-18  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (shutdown): Check for `shutdown' function.

1997-06-18  Kenichi Handa  <handa@psilocin.gnu.ai.mit.edu>

	* update-subdirs: Include the directory "language" in subdirs.

1997-06-01  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (m88k-dg-dgux4*): New alternative.
	(alpha-*-netbsd*): New alternative.
	(powerpcle-*-solaris2*): New alternative.

1997-05-20  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist: Warn about .el files that are not compiled.

1997-05-11  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (dist): Don't run update-subdirs here,
	since make-dist now gets that done.

	* make-dist: Use the new `updates' target in lisp/Makefile.

	* make-dist: Use new non-file targets in lisp/Makefile.

1997-04-27  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist: Handle all subdirs of `lisp' uniformly.
	Don't handle `term' and `language' specially.
	Clear out umask at the beginning.

1997-04-11  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist: Use Make to update finder-inf.el and autoloads.
	Also update cus-load.el.

1997-04-09  Marcus G. Daniels  <marcus@cathcart.sysc.pdx.edu>

	* configure.in (doug_lea_malloc): First check for SYSTEM_MALLOC,
	in case it is desirable to disable the GNU malloc features with glibc.

1997-04-08  Marcus G. Daniels  <marcus@cathcart.sysc.pdx.edu>

	* configure.in (DOUG_LEA_MALLOC):
	Define if malloc_{get,set}_state exist.

1997-03-05  Kenichi Handa  <handa@etl.go.jp>

	* make-dist: Make links for files under lisp/language.

1997-02-20  Kenichi Handa  <handa@etl.go.jp>

	* update-subdirs: Exclude the directory "language" from subdirs.

1997-01-26  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* configure.in: Check for rint and cbrt.

1997-01-01  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* make-dist: Use $EMACS to say where to run Emacs.
	Add --no-update option.

1996-12-30  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in (hppa1.1-hitachi-hiuxmpp): New configuration.

1996-12-28  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* make-dist (copying src): Check thoroughly for symlinks
	and copy them in all cases.  Regularize the linking of *.in
	and *.opt and ChangeLog files.
	(copying lib-src): Likewise.
	Don't rm getdate.c or y.tab.*--they don't exist any more.

1996-12-18  Jonathan I. Kamens  <jik@annex-1-slip-jik.cam.ov.com>

	* configure.in: Check for libmail, maillock.h and
	touchlock (for movemail).

1996-12-15  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (limits.h): Check for this file.

1996-12-08  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (rs6000-ibm-aix4.2): New alternative.
	(rs6000-ibm-aix4.0): New alternative.
	(rs6000-ibm-aix4*): Assume aix 4.1 by default.

1996-11-22  Ben Harris  <bjh21@cam.ac.uk>

	* configure.in: Recognize vax-*-netbsd*.

1996-11-06  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in (locallisppath): Add leim directory.

1996-10-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Make sure `mv' supports forward slashes and -f.

1996-10-28  Christian Limpach  <chris@nice.ch>

	* configure.in (hppa*-next-nextstep*): * added after hppa
	to accept hppa1.0 and hppa1.1.

1996-10-05  Marcus G. Daniels  <marcus@coulee.tdb.com>

	* configure.in: Provide an empty default for LD_SWITCH_X_SITE_AUX.
	* configure.in (ld_switch_machine): Fix typo.

1996-09-28  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in: Fetch LD_SWITCH_SYSTEM and LD_SWITCH_MACHINE
	from config.h and use them in $ac_link.

1996-09-28  Erik Naggum  <erik@psilocin.gnu.ai.mit.edu>

	* configure.in: Create a subdir named `lisp'.

1996-09-24  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in: Check for getcwd.

1996-09-04  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in: Check for termios.h.  Check for setpgid.

1996-08-31  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in: Check for setrlimit.

1996-08-31  Paul Eggert  <eggert@twinsun.com>

	* configure.in: Check for sys/systeminfo.h, getdomainname, sysinfo.

1996-08-28  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in: Check for utimes.

	* configure.in: Check for com_err library, but only
	if --with-kerberos was used.  Check for krb and des
	only if --with-kerberos.

1996-08-26  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* Makefile.in (INSTALL_STRIP): New variable.
	(install-strip): Set INSTALL_STRIP, not INSTALL_PROGRAM.
	(install-arch-dep): Use INSTALL_STRIP, and pass it to lib-src.

1996-08-25  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in: Check for krb and des libraries.

1996-08-24  Richard Stallman  <rms@ethanol.gnu.ai.mit.edu>

	* configure.in (*-sunos4.1.[3-9]*noshare):
	Use sunos413, not sunos4-1-3.
	(m88k-dg-dgux5.4R3*): Use dgux5-4-3, not dgux5-4r3.
	(arm-acorn-riscix1.2*): Use riscix12, not riscix1-2.

1996-08-22  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (src/paths.h): Target deleted.
	(paths-force): Delete all dependencies on this target
	but don't delete the target.
	(install): Depend on `all'.
	(paths-force): Don't print a message.

	* configure.in: Generate src/paths.h here.

1996-08-18  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (NON_GCC_LINK_TEST_OPTIONS, GCC_LINK_TEST_OPTIONS):
	New variables that affect linking only.
	(alpha-dec-osf*): Use those instead of previous change.

1996-08-15  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Install info/messages.

1996-08-11  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.33 released.

1996-08-10  Marcus G. Daniels  <marcus@sayre.sysc.pdx.edu>

	* configure.in (i[3456]86-sequent-ptx4*, i[3456]86-sequent-sysv4*):
	Fix previous change.

1996-08-08  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (i[3456]86-sequent-ptx4*, i[3456]86-sequent-sysv4*):
	New alternative.

1996-08-07  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (alpha-dec-osf*): Specify GCC_TEST_OPTIONS
	and NON_GCC_TEST_OPTIONS.

1996-08-06  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LOCALTIME_CACHE): Don't put a string literal
	"TZ=..." in environ.

1996-08-04  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* make-dist (msdos): Add is_exec.c, sigaction.c to distribution.

1996-08-03  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (*-sunos4.1.[3-9]*noshare): Move this before
	the more general *-sunos4.1.[3-9]* clause.

1996-07-31  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.32 released.

	* configure.in (*-sco3.2v5*):
	Set OVERRIDE_CPPFLAG to a string of one space.
	Fix the code that uses OVERRIDE_CPPFLAG.

1996-07-16  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* configure.in: Undo previous change.

1996-07-16  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* config.sub: Use `pc', not `unknown', when canonicalizing
	the vendor for ...86.

1996-07-15  David Mosberger-Tang  <davidm@AZStarNet.com>

	* configure.in: Check for termios.h header.

1996-07-11  Bill Mann  <dvmann@dvncr.praxisint.com>

	* configure.in: Use s/usg5-4-3.h for ncr-i[3456]86-sysv4.3.

1996-07-07  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* configure.in: Split bsdos2 and bsdos2-1.

1996-07-06  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* config.sub: If last two words are not a recognized
	KERNEL-OS pair, use just the last word as OS, as in 19.31.
	Make conversion of gnu/linux to linux-gnu really work.

	* config.sub: If vendor unspecified with i386, use `pc' not `unknown'.

1996-06-30  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (check for using Lucid widgets by default):
	Eliminate indentation that confuses some compilers.

1996-06-29  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* config.sub: Convert linux and gnu/linux to linux-gnu.

	* make-dist: Don't update getdate.c.
	Ignore =... files when checking for too-long Lisp file names.

1996-06-28  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (euidaccess): Check for that, not for eaccess.

1996-06-27  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (sunos4.1.[3-9]*noshare): Eliminate dash from
	before `noshare'.
	(mips-sgi-irix6*): Specify NON_GCC_TEST_OPTIONS.

1996-06-21  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in: Rename lignux to linux-gnu in configuration names.
	Use gnu-linux as the opsys value (s/ file name).
	Allow i686 just like i386, i486, i586.

1996-06-20  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (i*86-*-sco3.2v5): New alternative.
	(OVERRIDE_CPPFLAG): New variable.
	(CPPFLAGS): If OVERRIDE_CPPFLAG is set, use that.

	* configure.in: Specify vpath for .texi files.

1996-06-09  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in: Always check for HAVE_X11R5.
	Separately decide whether to use a toolkit by default.

1996-06-04  Bill Mann  <dvmann@dvhpux1.praxisint.com>

	* configure.in: If X11R5 is missing the Xaw headers,
	default to --with-x-toolkit=no.

1996-05-31  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* configure.in (powerpc-*-solaris2*): Use ibmrs6000, not rs6000.

1996-05-30  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): If cd etc makes output,
	don't treat that as part of the tar data.
	Check that ./lisp actually exists.

1996-05-29  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-dist: Check for long file names.

1996-05-25  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Version 19.31 released.

1996-05-25  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* configure.in: Recognize sparc-*-lignux.

1996-05-03  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* make-dist: Include nt/inc/arpa and nt/inc/netinet in the dist.
	Don't include config.w95.

1996-04-21  Richard Stallman  <rms@delasyd.gnu.ai.mit.edu>

	* make-dist: Replace --no-clean-up and --no-tar options
	with --clean-up and --tar, so that the default is useful.

1996-04-15  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Make sure the GDB init file is called src/_gdbinit;
	if not, tell the user to rename it and abort.

1996-04-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: With DJGPP v1.x, use `COFF2EXE' to produce JUNK.EXE
	test program.

1996-04-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* config.bat (djgpp_ver): Variable renamed from djgpp-ver.

	* make-dist (MANIFEST): Fix previous change.
	(msdos): Put mainmake.v2 into the dist.

1996-04-10  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* make-dist: Exit if autoconf fails.

1996-04-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* config.bat: Set djgpp-ver, and unset it at the end.
	Add a number of conditionals for DJGPP version 2.
	Rename label libsrc2 to libsrc3.
	Substitute for LDFLAGS in src/Makefile.
	Substitute for ALL_CFLAGS in lib-src/Makefile.

1996-04-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (ncurses): Check this after checking fns like strerror.

1996-04-08  Erik Naggum  <erik@naggum.no>

	* make-dist (MANIFEST): Don't include lines from =files.

1996-04-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Don't put lisp/dired.todo in the dist.

1996-04-05  Richard Stallman  <rms@lucy.gnu.ai.mit.edu>

	* configure.in (HAVE_NCURSES): Look for library named ncurses.

	* configure.in (setlocale): Check for it.

	* configure.in (*-*-sysv4.2*): If no /usr/ccs/lib/cpp, use /lib/cpp.

1996-03-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Use lignux instead of linux as value of opsys.

1996-03-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-strip): Fix whitespace.
	Get rid of continuation.

	* config.sub: Convert linux or gnu/linux to lignux.

1996-03-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Accept lignux in configuration name.

1996-03-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-strip): New target.

1996-03-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (top_distclean): Use `|| true' to ignore error in rm.
	-f failed to do the job on Suns.

1996-03-13  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* Makefile.in (install-arch-dep): Don't depend on install-arch-indep.

	* configure.in (linux/version.h): Check for this header.

1996-03-12  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* configure.in: Remove -fno-builtin hackery from -lm check.

1996-03-08  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* configure.in (-lm check): If $GCC, append -fno-builtin to $CC for
	just this test.

	* configure.in (AC_PREREQ): Require version 2.8 of Autoconf.

1996-03-04  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check for ncurses.

1996-02-28  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LOCALTIME_CACHE):
	Also define if localtime mishandles unsetting TZ.
	This works around a localtime bug in mips-dec-ultrix.

1996-02-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (finder-inf.el): Use finder-compile-keywords-make-dist.

	* configure.in: Improve messages about X versions.

1996-02-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (LOCALTIME_CACHE): Cope if $ac_cv_func_tzset is null.

1996-02-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_X11XTR6): Set it as a shell variable.
	(HAVE_LIBXMU): If HAVE_X11XTR6, use -lSM and -lICE.

	* Makefile.in (install-arch-dep): Depend on install-arch-indep.
	(install): Put install-arch-indep before install-arch-dep.

1996-02-20  Dave Love  <d.love@dl.ac.uk>

	* INSTALL: Clarify info about MS-DOS path handling.

1996-02-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Install info/ccmode*.
	In previous change, protect against /bin/pwd returning null string.

1996-02-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Copy build-dir's lisp subdir
	to lispdir.

1996-02-01  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LD_RUN_PATH): Prepend x_libraries to this envvar.

1996-01-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_TIMEVAL): Set explicitly to `no' if test fails.

1996-01-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (extraclean): Use ${top_distclean} to ensure
	we delete everything distclean deletes.

1996-01-23  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-dist (lwlib): Don't distribute lwlib-Xol* files.

1996-01-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_X11): Merge $LD_SWITCH_X_SITE
	into LDFLAGS instead of into LIBS.

1996-01-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (HAVE_XMU): Fix typo in previous change.

1996-01-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in [Solaris]: Don't let $CC make us use /usr/ucb/cc.

1996-01-10  Erik Naggum  <erik@naggum.no>

	* configure.in (USE_X_TOOLKIT = maybe): Delete redundant `fi'.

1996-01-10  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Ignore error if no chmod -R.

1996-01-10  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (HAVE_XMU): Check for libXmu.a only if using toolkit
	and use -lXt to link it.

1996-01-08  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (locallisppath): Put version-specific dir first.

1996-01-07  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (hppa-*-nextstep*): New alternative.
	(USE_X_TOOLKIT): By default, set this to "maybe";
	and change that later to LUCID or "no" according to X11 version.

	* make-dist: Recompile outdated .elc files and update all autoloads.

1996-01-05  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* configure.in (locallisppath): Fix typo in last change: " -> '.

1996-01-04  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (locallisppath): Add ../emacs/VERSION/site-lisp.

1995-12-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Give all files read permission.

1995-12-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (hppa*-hp-hpux9shr*, hppa*-hp-hpux9*, hppa*-hp-hpux*):
	If it is hpux 9, check for /usr/include/X11R5 and /usr/lib/x11R5.

1995-12-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Determine HAVE_X11R6.
	(HAVE_MENUS): Renamed from HAVE_X_MENU.

1995-12-21  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in: Just "solaris" now defaults to version 2.4.
	Add sunos4.1.n-noshare as alternative.

1995-12-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (mips-sgi-irix6*): Set NON_GNU_CPP.

1995-11-29  Erik Naggum  <erik@naggum.no>

	* Makefile.in (install-arch-indep): Add missing backslash.

1995-11-29  Karl Eichwalder  <ke@ke.Central.DE>

	* Makefile.in (install-arch-indep): Don't install
	lispdir/[Mm]akefile*, lispdir/ChangeLog, lispdir/dired.todo.

1995-11-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Fix previous change.

	* configure.in (mips-sni-sysv*): New alias for mips-siemens-sysv*.

1995-11-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.30 released.

	* make-dist (lisp): Exclude subdirs.el.

1995-11-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (etc): Delete *.orig and *.rej.

1995-11-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Rename old info/dir only if exists.

1995-11-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (hppa*-hp-hpux10*): Use s/hpux10.h.

1995-11-14  Geoff Voelker  <voelker@cs.washington.edu>

	* make-dist (nt): Rename install, readme, and todo to
	INSTALL, README, and TODO.

1995-11-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (lisp): Don't distribute site-start.

1995-11-06  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* make-dist: Break the hard link on alloca.c.

1995-11-04  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* configure.in (LIBS): Add libsrc_libs and keep the old LIBS.

1995-11-02  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* make-dist (src, lib-src): Don't distribute Makefile.c.
	(etc/e): Do cleanup in $tempdir/etc/e, not $tempdir/etc.

1995-10-31  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (mkdir): Create man1dir, not mandir.
	(uninstall): Use man1dir, not mandir.

1995-10-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (man1dir): New variable.
	(install-arch-indep): Use man1dir.

	* configure.in (sparc-*-nextstep*): Remove incorrect .h's.

	* make-dist: Create lisp/MANIFEST.

1995-10-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* configure.in (m68k-*-linux*): New alternative.

1995-10-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Use new names config.in, paths.in, and
	{src,lib-src}/Makefile.in.

1995-10-25  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Don't bother checking for drem.

1995-10-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (distclean): Delete line with just a tab in it.
	(install-arch-indep): Delete spaces that precede tabs.
	Delete spurious `fi' left from previous change.
	(install): Supply `true' as command, to avoid null command.

1995-10-05  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (--with-x-toolkit)): Add `athen' as alias for `athena'.

1995-09-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (powerpc-*-solaris2): New alternative.x

1995-09-12  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Makefile.in (src/paths.h, paths-force): Use paths.h.$$ instead
	of paths.h.tmp$$, to avoid going beyond 14 characters.

1995-09-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Improve error msg for invalid --with-x-toolkit value.

1995-09-06  Paul Eggert  <eggert@twinsun.com>

	* configure.in (LOCALTIME_CACHE): Define if tzset exists and
	if localtime caches TZ.  Check for tzset.

1995-09-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* config.bat: Simplify using new names file names src/makefile.in,
	config.in, paths.in.  Change Echo commands not to use `.

1995-08-31  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Always install the new dir file;
	rename the previous dir file to dir.bak or dir.old.

1995-08-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (RANLIB): Substitute this into makefiles.
	Set it specially on solaris; set it by default on other systems.

	* configure.in: Fix previous Alpha change.

1995-08-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i*386-*-isc4.*): Set GCC_TEST_OPTIONS and
	NON_GCC_TEST_OPTIONS.

1995-08-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (CFLAGS): When computing CFLAGS and REAL_CFLAGS
	from config.h, use SPECIFIED_CFLAGS to get what the user specified.

	* configure.in (alpha-*-linux*): New configuration.

1995-08-05  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-next-*): Use m68k.h and nextstep.h.
	(m68k-next-nextstep*): New alias for that.
	(i*86-*-nextstep*): Use nextstep.h.
	(sparc-*-nextstep*): New configuration.

1995-08-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (CPP): Save original CFLAGS value in SPECIFIED_CFLAGS.
	And get CFLAGS from config.h if SPECIFIED_CFLAGS is null.

1995-07-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Handle sunos4shr by sharing; not like sunos4*.
	Determine GETTIMEOFDAY_ONE_ARGUMENT by experiment.

1995-07-18  Mike Long  <mike.long@analog.com>

	* make-dist: Fix update of finder-inf.el, and byte-compile it.

1995-07-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (src/paths.h, paths-force):
	Rename src/paths.h.in to src/paths.in.
	(Makefile): Depend on src/Makefile.in, not src/Makefile.in.in.

	* configure.in: Rename {src,lib-src}/Makefile.in.in to Makefile.in.
	Use Makefile.c for intermediate file.
	Rename src/config.h.in to src/config.in.

1995-07-17  Richard Stallman  <rms@gnu.ai.mit.edu>

	* configure.in (mips-dec-ultrix*): Assume version 4.3.
	(mips-dec-ultrix4.[12]): New alternative for old versions.

1995-07-06  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* make-dist: Don't break intra-tree links.

1995-07-06  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Put back archlibdir initialization.  Require
	autoconf 2.4.1 or later.

1995-07-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Use sunos4shr normally for Sunos 4.1.[3-9].
	(mips-mips-riscos5*): New alternative.

1995-06-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (uninstall, install-arch-indep): Install info/ediff*.

1995-06-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (bindir, datadir, sharedstatedir, libexecdir)
	(mandir, infodir, archlibdir): Initializations deleted.

	* configure.in: On hpux9, use hpux9-x11r4.h if we have X11R4.
	On hpux9shr, use hpux9shxr4.h.

1995-06-24  Morten Welinder  <terra+@cs.cmu.edu>

	* configure.in: Added target mips-dec-mach_bsd4.3.
	* config.guess: Guess mips-dec-mach_bsd4.3.

1995-06-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (mkdir): Use symbolic chmod.

1995-06-22  Paul Eggert  <eggert@twinsun.com>

	* configure.in: Treat SunOS 4.1.4 like SunOS 4.1.3.  (Likewise for
	SunOS 4.1.5 through 4.1.9, should they ever exist.)

1995-06-22  Paul Eggert  <eggert@twinsun.com>

	* Makefile.in (SUBDIR_MAKEFILES):
	Add man/Makefile, so `make distclean' removes it.
	(top_distclean): Add config.log to the list of files to be removed.

1995-06-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.29 released.

1995-06-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Fix the previous change to verify that the -b
	option really solves the problem.

	* make-dist (nt): Explicitly include makefile.nt and makefile.def only.

1995-06-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Test whether XFree86 needs -b i486-linuxaout to link.

1995-06-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Report more clearly when there is no special
	dir to search for X includes or libraries.

1995-06-13  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Check for -lpthreads, not -lpthread.

1995-06-09  Geoff Voelker  <voelker@cs.washington.edu>

	* make-dist: Copy new files nt/addpm.c and nt/emacs.bat.in.

1995-06-08  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Check for -lpthread.

1995-06-05  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Install info files for mh-e.
	(uninstall): Uninstall info files for dired-x, gnus, mh-e, and sc.

1995-06-01  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in (*-solaris2.5): New configuration.

	* make-dist: Copy new files config.nt and config.w95.

1995-05-30  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Use x_includes, not x_libraries, for -I.
	Make bitmapdir a colon-separated list.

1995-05-27  Richard Stallman  <rms@gnu.ai.mit.edu>

	* configure.in (hppa*-hp-hpux10*, m68k-hp-hpux10*): New configurations.

	* configure.in: Allow x_libraries and x_includes to be paths.

1995-05-25  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Fix typo.

1995-05-24  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* INSTALL: Clarify use of site-init.el.

1995-05-22  enami tsugutomo  <enami@sys.ptg.sony.co.jp>

	* configure.in: Pass arg to sqrt.

1995-05-18  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* make-dist: Fix May 6 change.

1995-05-17  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* vpath.sed: Delete reference to ymakefile.

1995-05-09  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Use sqrt (more portable) instead of fmod in -lm check.

1995-05-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put nt/emacs.ico and nt/emacs.rc in dist.

	* update-subdirs: Specify /bin/sh to run the script.

1995-05-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put src/makefile.nt in dist.

	* configure.in (i[345]86-*-bsdi2*): New configuration.
	(vax-dec-bsd386*): Deleted.

1995-05-06  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Make sure CDPATH doesn't mess up PWD check.
	Check whether X bitmaps are in X11/bitmaps instead of bitmaps.
	Use fmod instead of logb in -lm check.

1995-05-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-apollo-*): Renamed from m68*-apollo*.
	Use bsd4-3.  Don't set NON_GNU_CPP.

	* make-dist: Don't copy in src/s/*.inp.  Don't copy nt/src.
	In nt, copy various different things, but not *.cmd.
	Fix the ln commands for the subdirs of nt.

1995-04-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (*-sun-sunos4.1.3*): Use sunos4shr.h.

1995-04-27  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in (*-sun-sunos4.1.3*): Use shared libraries,
	since that's what the header file expects.

1995-04-24  Francesco Potortì  (pot@cnuce.cnr.it)

	* configure.in (m68k-motorola-sysv*): Distinguish between 68030
	and 68040 based machines when choosing options for gnucc.

1995-04-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (top_distclean): Delete config.cache.

1995-04-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Delete .#* when copying subdirs.

	* configure.in: Use m/ncr386.h.

1995-04-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Undo Sep 23 change.

1995-04-06  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* make-dist (lib-src): Don't copy *.lex; it doesn't exist anymore.
	(man): Don't copy texindex.c and getopt.c; they're deleted.
	(etc): Omit `e'; it's a subdirectory.
	(etc/e): Use `../..', not `..', to reference top level.

1995-04-06  Simon Leinen  <simon@lia.di.epfl.ch>

	* Makefile.in (install-arch-indep, dist):
	Look for `update-subdir' in $(srcdir).

1995-04-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Include mkinstalldirs in distribution.

1995-04-05  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* make-dist: Add missing close backquote.

1995-04-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Don't distribute shortnames directory.

1995-03-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (blessmail): Pass archlibdir to the sub-make.

1995-02-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m88k-motorola-sysv4*): Use usg5-4-2.

1995-02-23  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in (EMACS_CONFIG_OPTIONS): Use $ac_configure_args.

1995-02-13  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* configure.in (mips-sgi-irix6): New configuration.

1995-02-07  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* Makefile.in (maintainer-clean): Renamed from realclean.

1995-02-02  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* configure.in: Create a .gdbinit that sources the real one,
	if using a different build directory.

1995-01-23  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* configure.in: Check for sys/select.h.

1995-01-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: On sunos4.1.3 and sunus4shr, set NON_GNU_CPP.

1994-12-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Handle isc 4.1 operating system.

1994-12-10  Richard Stallman  <rms@kepa>

	* configure.in (rs6000-ibm-aix4.1*): New alternative.
	(rs6000-ibm-aix4*): New alternative.

1994-12-06  Richard Stallman  <rms@kepa>

	* configure.in: For SVR4.2, set NON_GNU_CPP if not already set.

1994-11-30  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Don't try to make directories that are guaranteed
	to already exist.

1994-11-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Generate man/Makefile from man/Makefile.in.
	Create the man subdir.

	* Makefile.in (dvi): Run Make in our man subdir.

	* make-dist: Create subdir etc/e.
	Make links to it.
	Put man/Makefile.in in dist, instead of man/Makefile.

1994-11-21  David J. MacKenzie  (djm@mole.gnu.ai.mit.edu)

	* configure.in: Add --with-pop, --with-kerberos, and
	--with-hesiod for movemail.

1994-11-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-apollo*): Use s/domain.h.

1994-11-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (m68*-apollo*): Set NON_GNU_CPP.

1994-11-14  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* configure.in: Don't add -I, -L, -R options for cc if their
	arguments would be empty.

1994-11-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i860-intel-osf1*): New alternative.
	(mips-sgi-irix5.[01]*): Distinguish from irix5*.
	(mips-sgi-irix*): Now an alias for mips-sgi-irix5*.

1994-11-09  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Make h_errno check not use nested functions.

1994-11-09  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Delete *.orig in copied dirs.

1994-11-08  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Avoid continued comment
	swallowing target line.

1994-11-08  David J. MacKenzie  (djm@churchy.gnu.ai.mit.edu)

	* configure.in: Protect a character class with `changequote'.

1994-11-07  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* configure.in: Accept `news' as a synonym for `newsos'.

1994-11-03  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* Makefile.in: Don't rm files if cd fails.

1994-11-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put nt subdir and its subdirs in the dist.
	(lib-src): Put makefile.nt in the dist.
	(lisp): Put makefile.nt in the dist.

1994-10-29  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* configure.in: Change a stray `[' to `test'.

1994-10-28  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Adapt for Autoconf v2.  Use the standard argument
	parser, host type canonicalizer, X11 finder, and message
	printing macros.  Use the new macro names.  Use `test' instead of `['.

1994-10-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check for getpagesize.

1994-10-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (msdos): Put sed* in the distribution.

1994-10-17  Morten Welinder  <terra@mole.gnu.ai.mit.edu>

	* config.bat: New option, `--with-x', for configuring Emacs
	for use with the X11 system DesqView/X.
	New option, `--no-debug', for compiling Emacs without debug
	information thus saving disk space.
	(src/config.h, src/paths.h): Use `update' (which is like
	`move-if-changed') to change the file.
	(src/config.h): When configuring for X11 perform extra changes.
	(src/makefile): When configuring for X11 perform extra changes.
	(lib-src): Remove temporary files.
	(): Check that `sed', `rm', `mv', and `gcc' are available.

1994-10-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (sharedstatedir): Substitute sharedstatedir properly.

	* configure.in (bitmapdirs): Default to /usr/include/X11/bitmaps.

1994-10-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (EMACS_CONFIGURATION): Use $canonical as value.

	* configure.in (canonical): Substitute var into makefiles.
	(bitmapdir): Likewise.

	* Makefile.in (bitmapdir): New variable.
	(src/paths.h, paths-force): Edit PATH_BITMAPS.

1994-10-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Put update-subdirs and lisp/subdirs.el in the dist.

	* Makefile.in (dist, install-arch-indep): Run update-subdirs.
	* update-subdirs: New shell script.

1994-10-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (top_distclean): Don't rm build-install.
	(SOURCES): Delete build-install.in.

	* make-dist: Don't distribute build-ins.in.
	* build-ins.in: File deleted.

1994-10-12  David J. MacKenzie  (djm@duality.gnu.ai.mit.edu)

	* Makefile.in (mkdir): Use mkinstalldirs instead of make-path.

1994-10-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in: Use libexecdir and sharedstatedir as appropriate.

	* configure.in (libexecdir): Renamed from libdir.  New default.
	(sharedstatedir): Renamed from statedir.  New default.
	(datadir): New default.

	* make-dist: Don't distribute subdirs.el.

1994-10-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (eaccess): Check for it.

1994-10-04  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (mktime): Check for it.

1994-10-02  Paul Reilly  <pmr@geech.gnu.ai.mit.edu>

	* configure.in (motif): Add support for usage and option checking.

1994-09-24  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* configure.in (utimes): Check for it.

1994-09-23  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Don't do mkdir here.

1994-09-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (arm-acorn-riscix1.1*, arm-acorn-riscix1.2*):
	riscix.h renamed to acorn.h.

1994-09-21  Michael Ben-Gershon  (mybg@cs.huji.ac.il)

	* configure.in (arm-acorn-riscix1.1*, arm-acorn-riscix1.2*):
	New configurations.

1994-09-21  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* configure.in: Remove trailing slashes from srcdir.

1994-09-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i[345]86-sequent-ptx*): Handle

1994-09-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (paths-force): Depend on src/paths.h

1994-09-19  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* configure.in (config_options): Save all arguments, not just some.

1994-09-18  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* Makefile.in (install-arch-indep): Copy DOC-*, not DOC*

	* configure.in: Add AC_AIX.
	Add checks to set HAVE_STRUCT_UTIMBUF, HAVE_TIMEVAL, HAVE_SELECT.

1994-09-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (parsing options): Simplify sed command to delete -'s.

1994-09-16  Karl Heuer  <kwzh@churchy.gnu.ai.mit.edu>

	* configure.in (config_options): New shell variable.
	Pass its value to C code in EMACS_CONFIG_OPTIONS.

1994-09-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (alpha-dec-osf*): New target.

	* Makefile.in: Use just one FRC target.

1994-09-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (removenullpaths, paths-force):
	Use name paths.h.tmp$$, which depends on the pid.

1994-09-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (removenullpaths, paths-force):
	Put paths.h.tmp in top-level dir, not in src.

1994-09-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.27 released.

1994-09-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.26 released.

1994-09-04  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check for lrand48, not rand48.

1994-09-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (powerpc-ibm-aix3.1*, powerpc-ibm-aix3.2.5)
	(powerpc-ibm-aix*): New aliases.

1994-08-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist (src/m, src/s): Put *.inp in distribution.

1994-08-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Accept i586 and i486 along with i386.

1994-08-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Do compute unexec, LIBX, system_malloc, etc
	even if CPP env var was set by the user.

	* configure.in (i[34]86-*-*): For SCO 3.2v4, fix NON_GNU_CPP value.

1994-08-14  Jonathan I. Kamens  (jik@gza-client1.aktis.com)

	* Makefile.in: Uninstall "$(EMACS)", not "emacs".

1994-08-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i[34]86-*-*): For SCO 3.2v4, set NON_GNU_CPP.

1994-08-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Check more specifically for i*86-sun-sunos.

1994-08-03  Caveh Jalali  (caveh@eng.sun.com)

	* configure.in: Handle solaris 2.4.

1994-07-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (rand48): Check for it.

1994-07-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* make-dist: Update the info files.

1994-07-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in: Make "checking..." messages' style consistent.
	(HAVE_H_ERRNO): New test.

1994-07-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* configure.in (i860-*-sysv4*): Set NON_GNU_CC and NON_GNU_CPP.

1994-07-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (CFLAGS): If the envvar was specified, use that.
	And set REAL_CFLAGS from it too.

1994-07-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Update finder-inf.el.

1994-07-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist (msdos): Include sed4.inp in dist.

	* Makefile.in (libsrc_libs): Var deleted.

1994-07-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (mkdir, removenullpaths): Put g in sed replace commands.

1994-06-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-sony-newsos4*): New alias.

1994-06-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (*-convex-bsd*): Set NON_GNU_CPP.
	(*-convex-convexos*): Accept this as alias.

1994-06-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Get CFLAGS both with and without THIS_IS_CONFIGURE,
	for two different uses.

1994-06-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Define THIS_IS_CONFIGURE when extracting CFLAGS etc.

1994-06-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Put ./BUGS into the distrib.

1994-06-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle 386 running Solaris 2.

1994-06-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-siemens-sysv*): Use cpp, not cc -E.

1994-06-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-sony-newsos*): Use news-risc.h.

	* configure.in: Accept bsdi as opsys, like bsd386.

1994-06-01  Morten Welinder  (terra@diku.dk)

	* config.bat (src/paths.h): Use sed script msdos/sed4.inp.

1994-05-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.25 released.

	* make-dist (shortversion): Don't assume another period follows.

1994-05-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Use /bin/pwd uniformly, not pwd.
	(uninstall): Use /bin/pwd.

	* Makefile.in (blessmail): Depend on src.
	(all): Don't depend on blessmail.

	* Makefile.in (src/paths.h): Don't force recomputation.
	(paths-force): New target; force recomputation of paths.h.
	(all): Depend on paths-force.
	(src, lib-src): Depend on src/paths.h.

	* configure.in (*-sun-sunos4*): Set GCC_TEST_OPTIONS,
	NON_GCC_TEST_OPTIONS.

1994-05-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Don't insist on subversions for irix.

1994-05-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (hppa*-hp-hpux9shr): Move alternative up.

	* configure.in (i[34]86-next-*): New alternative.

1994-05-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.24 released.

	* configure.in: New config hppa*-hp-hpux9shr*.

1994-05-22  Morten Welinder  (terra@tyr.diku.dk)

	* config.bat: Doc fix.

1994-05-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (mostlyclean, clean, distclean, realclean)
	(extraclean): Don't act on man subdir if it doesn't exist.

1994-05-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (GCC_TEST_OPTIONS, NON_GCC_TEST_OPTIONS): New vars.
	Use them to set up CC.
	(*-sun-sunos4.1.3): Set them.

1994-05-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (lib-src): Don't depend on src/paths.h.

1994-05-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* build-ins.in (copydests): Get rid of spurious `-'s.

	* configure.in: Define EMACS_CONFIGURATION instead of CONFIGURATION.

1994-05-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.23 released.

	* configure.in [HAVE_X11]: Merge $C_SWITCH_X_SITE into CFLAGS
	for the Xlib and Xt checks; then restore old CFLAGS.

1994-05-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (HAVE_X11XTR6): Add newline before #if.
	Add newline after #endif.

1994-05-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (HAVE_X11XTR6): Arrange to define it.

1994-05-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install): Depend on blessmail.

1994-05-12  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* configure.in (mips-siemens-sysv*): Put quotes around value
	containing blanks.

1994-05-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (TAGS): Use the makefile in src subdir.

1994-05-10  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (opsys): Recognize `gnu'.

1994-05-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (using NON_GNU_CPP): Fix test for CPP already set.

1994-05-09  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* configure.in: Remove AC_LANG_C call.  Not needed with Autoconf
	version > 1.8.

1994-05-08  Morten Welinder  (terra@diku.dk)

	* config.bat: Forcibly remove "# " style comments from makefiles.

1994-05-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (uninstall): When processing lispdir and etcdir,
	do nothing unless it exists and is a directory.

1994-05-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Do install info/dired-x*.
	Merge code in from install-doc.
	(install-doc): Merge code back into install-arch-indep.
	(install-arch-dep): Don't depend on install-doc.

	* configure.in (run_in_place): Don't use pwd for archlibdir and docdir.

1994-05-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (making src/Makefile and lib-src/Makefile):
	Split off the autoconf substitutions and don't pass them thru cpp.
	(undefs): Use $canonical as well as $configuration.

	* make-dist: Distribute lisp/Makefile.

	* configure.in: Recognize m88k-dg-dgux5.4.3* and m88k-dg-dgux5.4.2*.
	Use lower case names for the s files.

1994-05-03  Morten Welinder  (terra@diku.dk)

	* config.bat: Added possibility for different file name
	transcriptions in lib-src.

1994-05-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (lib-src): Undo previous change.
	(blessmail): New target to run maybe-blessmail in lib-src.
	(all): Depend on blessmail.

	* Makefile.in (lib-src): Depend on src.

1994-04-30  Paul Reilly  (pmr@churchy.gnu.ai.mit.edu)

	* configure.in (m88k-dg-dgux5.4R3): Use dgux5-4R3.
	(m88k-dg-dgux5.4R2): dgux5.4R2.

1994-04-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (window_system): Restore accidentally deleted code
	that uses AC_FIND_X.

	* make-dist: Distribute config.bat.

1994-04-29  Morten Welinder  (terra@diku.dk)

	* config.bat: Corrected the configuration of lib-src
	to keep up with configure.  Add note about dos version 3
	or better needed (djgpp needs that).  Add note explaining
	that either install in c:/emacs or edit the script.
	Don't change to c:/emacs, but assume we're there (to minimize
	the number of places to change).

	* config.bat: Build-in the first step towards X11 support with
	the X11 emulator that exists.  At this time it won't work,
	and several files are missing.

1994-04-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Use m/hp800.h in place of m/hp9000s800.h.
	Don't look for -lresolv.

	* Makefile.in (lib-src): Depend on src/paths.h.

1994-04-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Restore deleted AC_SUBST of `configuration'.
	Improve error message for bad --with-x-toolkit value.

	* configure.in: Define CONFIGURATION in src/config.h
	rather than substituting in src/Makefile.in.

1994-04-26  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* Makefile.in (install-doc): New target.
	(install-arch-dep): Depend on install-doc.
	(mkdir): Create docdir.

1994-04-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Test for libresolv.a.
	Substitute machfile and opsysfile.

1994-04-22  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* Makefile.in (.PHONY, install): Kill reference to obsolete do-install.
	(install-arch-dep): Install under the name $(EMACS).

1994-04-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (version): Use entire value of emacs-version.
	(mips-siemens-sysv*): New alternative.

1994-04-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Don't install dired-x*.

1994-04-18  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in (src/Makefile, lib-src/Makefile): Delete ^L.
	Fix definition of $undefs.

1994-04-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (window_system): Obey --with-x11=no and --with-x10=no.

	* configure.in (lib-src/Makefile.in): Use src, not lib-src, in -I.

1994-04-16  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* configure.in: Call AC_LANG_C, if it's defined, after AC_PREPARE.

1994-04-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (lib-src/Makefile.in): Make this from Makefile.in.in
	and run it thru cpp, as with src/Makefile.in.

	* configure.in: Use AC_SET_MAKE.

1994-04-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (i[34]86-ncr-sysv*): Use usg5-4-2.

1994-04-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (MAKE): Don't just assign it--use @SET_MAKE@.

	* configure.in (CFLAGS): Exclude ${CFLAGS} from singlequotes.
	(printing the choices): Make the toolkit message unconditional.
	(USE_X_TOOLKIT): Use `none', not `no', if none.
	(include libsrc_libs): Include config.h, and specify -I for srcdir.
	Get rid of temp file foofoo1.

1994-04-13  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in (CFLAGS): Use shell syntax, not Makefile.

1994-04-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (window_system): If no X, set USE_X_TOOLKIT=no.
	(printing the choices): State choice of toolkit.
	(libsrc_libs): Recalculate after writing config.h;
	then update lib-src/Makefile.

1994-04-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Add sunos4shr as alternative for suns.
	Conditionals testing for null $CC were backwards.

1994-04-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist (msdos): Don't link patch1.  Link sed*.inp, not sed.in*.

1994-04-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle -isc4.0*.

1994-03-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (esix5): Set NON_GNU_CPP.

1994-03-24  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* Makefile.in (thisdir): Nonsensical variable removed.
	(install-arch-indep): Set shell var thisdir=`pwd` before cd and cd
	back to $thisdir, rather than the directory `this_dir'.

1994-03-17  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makefile.in (install-arch-indep): Add missing backslash after a
	`then'.

1994-03-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (thisdir): New variable.
	(install-arch-indep): Go back to thisdir to run INSTALL_DATA.

1994-03-08  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in: Add freebsd.

1994-03-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Check for fpathconf.

1994-03-02  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in (with_x_toolkit): Fix typo in previous change.

1994-03-01  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in: New s-file for rs60000-ibm-aix3.2.5.

1994-02-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (with_x_toolkit): Don't allow motif or open-look.

1994-02-24  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* configure.in: Fix value of docdir.
	* Makefile.in (install-arch-indep): Install DOC* in docdir.

1994-02-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (*-sysv4.1): Set NON_GNU_CPP.

1994-02-22  Karl Heuer  (kwzh@geech.gnu.ai.mit.edu)

	* configure.in: New variable docdir to control where the docstring
	file goes.
	Makefile.in: Use it to initialize PATH_DOC in paths.h.

1994-02-22  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in: When --run-in-place, don't inherit archlibdir.

1994-02-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (install-arch-dep, install-arch-indep):
	New targets split up former do-install rule.
	(do-install): Target deleted.

1994-02-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-sony-newsos*): New configuration.

1994-02-14  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* configure.in (rs6000-bull-bosx*): Added support for BULL dpx20.

1994-02-11  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in: Fix misspelled symbol LD_SWITCH_X_SITE_AUX.

1994-02-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Don't initialize CC.

1994-02-10  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Also generate -U switches
	for symbols in the $configuration value.

	* configure.in: Check for sys_siglist being declared in system header.

1994-02-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Delete blank lines
	along with lines of whitespace.
	(m68k-motorola-sysv*, m68000-motorola-sysv*): Compute proper CC value.

1994-02-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Get, use, and substitute C_SWITCH_MACHINE
	like C_SWITCH_SYSTEM.
	(m68*-motorola-sysv*): Set CC.  Require cpu type to be m68k or m68000.

1994-02-04  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in (drem): Check for this function.

1994-02-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (Using NON_GNU_CPP): Don't lose if it has spaces.
	If CPP was inherited from environment, don't use NON_GNU_CPP.
	(NON_GNU_CC): Likewise.
	(handling with_gcc): Use explicit if in the `no' case.
	(cc_specified): New variable; if set, don't use NON_GNU_CC.

1994-02-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (mips-mips-riscos4*): Set NON_GNU_CPP.

1994-02-01  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* configure.in: Check whether fmod exists.

1994-01-31  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* make-dist: Distribute {src,lisp}/ChangeLog.? instead of
	{src,lisp}/OChangeLog.

1994-01-22  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Restore Jan 8 and Jan 16 changes.  The -U hack is
	necessary for proper operation.  This code works with the current
	released version of Autoconf.

1994-01-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (with_x_toolkit): Treat values athena and lucid alike.
	(USE_X_TOOLKIT): Define it for all values except `no'.

	* configure.in: Undo first Jan 8 change and Jan 16 change.

1994-01-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle --with-x-toolkit.  Produce lwlib/Makefile.
	Substitute USE_X_TOOLKIT as both C macro and Make variable.

	* Makefile.in (lwlib/Makefile): New target.
	(SUBDIR_MAKEFILES): Depend on lwlib/Makefile.
	(clean, mostlyclean, distclean, realclean): Handle lwlib subdir.
	(unlock, relock): Handle lwlib subdir.

	* Makefile.in: Add some .PHONY targets.

	* make-dist: Handle lwlib subdir like oldXMenu subdir.

	* lwlib: New subdirectory.

1994-01-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: If CPP has a value that is a directory,
	discard the value.

1994-01-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (srcdir_undefs): Add g flag to sed substitution to
	remove -U[0-9]*.

1994-01-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (do-install): Install the dired-x info files.

	* configure.in: Provide for variable LD_SWITCH_X_SITE_AUX.
	(See src/s/sol2.h.)

1994-01-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (m68k-harris-cxux*, m88k-harris-cxux*): New configs.

1994-01-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Put code inside 2nd arg to
	AC_OUTPUT as it should be; hopefully noone will again see fit to
	gratuitously break this and not make a change log entry.
	Optimized sed processing of Makefile.in and cpp output; now
	preserves comments previously removed from the cpp input.
	Eliminated temp file for cpp output.  Generate -U switches to
	undefine all identifiers that appear in the directory name
	${srcdir}; pass these to cpp.

	* configure.in (version): Fix sed regexp to match two-elt version
	number.

	* configure.in: Check for strerror.

1994-01-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Test for bcmp.

1994-01-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist (tempdir): Put subdir msdos into the distribution.

1993-01-07  Morten Welinder  (terra@diku.dk)

	* config.bat: New file.

1994-01-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (${SUBDIR} target): Pass down LDFLAGS and CPPFLAGS.

1994-01-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (m68*-next-*): Don't care about which os is specified.
	(i[34]86-*-*): Check for *-nextstop*.

1993-12-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Check for setsid.

1993-12-17  Richard Stallman  (rms@srarc2)

	* configure.in (*-sun-solaris*): Add special case for Solaris 2.3.

1993-12-15  Richard Stallman  (rms@srarc2)

	* Makefile.in (mkdir): Make only the lockdir writable.

	* configure.in (i860-*-sysv4): Renamed from i860-*-sysvr4.

1993-12-11  Richard Stallman  (rms@srarc2)

	* Makefile.in (libdir): Use @libdir@.

1993-12-08  Richard Stallman  (rms@srarc2)

	* Makefile.in (install): Add empty command.

1993-12-04  Richard Stallman  (rms@srarc2)

	* make-dist: Put man/getopt.c in the dist.

	* configure.in (LIBS): Add test for existence of XSetWMProtocols.

	* Makefile.in (install): Depend on ${SUBDIR}, not `all'.

1993-12-03  Richard Stallman  (rms@srarc2)

	* configure.in (solaris): Set NON_GNU_CPP instead of CPP.
	Set it for all solaris versions.
	(mips-mips-riscos4*): Set NON_GNU_CC, not CC.
	(after checking for GCC): If not GCC, and NON_GNU_CPP is set, set CPP.
	Likewise for NON_GNU_CC and CC.

1993-12-01  Richard Stallman  (rms@srarc2)

	* configure.in (mips-mips-riscos4*): Assign variable CC.
	(checking ${with_gcc}): If "no", don't override CC if already set.
	(CC): Initialize it as empty.

1993-11-30  Richard Stallman  (rms@srarc2)

	* configure.in (Suns): Set CPP if *-solaris2.3*.

1993-11-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.22 released.

	* Makefile.in (do-install): Use umask 022 in copying etc and lisp dirs.

1993-11-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: When breaking links, use cp -p.
	Copy install.sh into distribution.
	Move the temp dir up into the parent dir;
	don't leave the staging dir make-dist.tmp... in existence.
	* install.sh: New file.

1993-11-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (i[34]86-ncr-sysv*): New specific alternative.

1993-11-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (version): When --run-in-place, exclude
	${datadir}/emacs/site-lisp from locallisppath.

1993-11-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Delete jumk.c before writing it.

1993-11-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.21 released.

	* Makefile.in (mkdir): Ignore error from chmod.

1993-11-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Don't put lisp/forms.README in the distribution.

1993-11-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (creating src/Makefile): Before running cpp,
	discard all lines that start with `# Generated' or /**/#.

1993-11-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.20 released.

	* make-dist: Use build-ins.in, not build-install.in.
	Don't bother updating TAGS since it's not included.

	* build-ins.in: Renamed from build-install.in.

1993-11-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Don't try to link *.texinfo--there are none now.
	When running make in lib-src, specify YACC var value.

1993-10-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (extrasub): Add vpath patterns for %.[yls].

	* configure.in: Don't do seddery on config.status after AC_OUTPUT.
	Instead just include the commands to make src/Makefile as the
	second arg to AC_OUTPUT.

	* configure.in: Use : instead of dnl for comment inside
	$makefile_command.

	* configure.in: No longer use vpath_sed.  Instead, when we notice
	srcdir already configured, set extrasub to hack vpath in the
	makefiles.

	* configure.in: In cmds to make src/Makefile, chmod Makefile.new
	before moving it.
	* Makefile.in (VPATH): Define to @srcdir@.

1993-09-28  Brian J. Fox  (bfox@cubit)

	* configure.in: Don't copy ${srcdir}/src/Makefile.in; that file
	doesn't exist.  Just copy src/Makefile.in instead.  Touch
	all of the Makefiles after editing config.status.

	* INSTALL: Update documentation to match new configuration
	mechanism.

1993-09-27  Brian J. Fox  (bfox@ai.mit.edu)

	* configure.in: Allow any of the path or directory Makefile
	variables to be set with flags to configure.  Create all Makefiles
	at configure time.  Edit special commands into config.status after
	src/Makefile.in is built from src/Makefile.

	* Makefile.in (src/Makefile, lib-src/Makefile, oldXMenu/Makefile):
	If these files are out of date, simply have config.status
	rebuild them; don't rebuild them explicitly.

1993-09-25  Brian J. Fox  (bfox@ai.mit.edu)

	* build-install.in: Change src/xemacs to src/emacs.  We no longer
	create src/xemacs, so the file wouldn't be found.

	* make-dist: Remove `src/ymakefile', add `src/Makefile.in.in'.

1993-09-24  Brian J. Fox  (bfox@albert.gnu.ai.mit.edu)

	* configure.in: Avoid forcing the search of /usr/include before
	fixed include files by resetting C_SWITCH_X_SITE if it is
	"-I/usr/include".

1993-09-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (@rip_paths@locallisppath):
	Delete ${datadir}/emacs/site-lisp.

1993-09-15  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in:
	Use AC_QUOTE_SQUOTE twice to properly quote vpath_sed value.
	Remove ${extra_output} from AC_OUTPUT call.

1993-09-17  Brian J. Fox  (bfox@inferno)

	* make-dist: Quote backquotes found in strings to be echoed.

	* configure.in: Use "sh -c pwd" when we want to avoid having the
	shell fix up the value of $PWD.

1993-09-13  Brian J. Fox  (bfox@inferno)

	* Makefile.in (do-install): Don't abort if ln or chmod at the end
	of the installation fail.  Suggested by Karl Berry.

1993-08-30  Brian J. Fox  (bfox@inferno)

	* Makefile.in (*clean): Use "$(MAKE) $(MAKEFLAGS)" wherever "make"
	was used.  Set MAKEFLAGS from MFLAGS.

1993-09-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Test for res_init in libc.

1993-09-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: In the file ${tempcname}, use configure___
	instead of @configure@.

1993-09-12  Roland McGrath  (roland@sugar-bombs.gnu.ai.mit.edu)

	* make-dist: Dist vpath.sed

	* Makefile.in (lib-src/Makefile, src/Makefile, oldXMenu/Makefile):
	Depend on vpath.sed.
	Replace sed comand for VPATH with @vpath_sed@.

	* configure.in: Substitute variable `vpath_sed'.
	If not in $srcdir and $srcdir is configured,
	issue warning that GNU make is required,
	and set vpath_sed to use vpath.sed script.

1993-09-10  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Remove check for $srcdir being configured.  This
	pretty much works now.
	Grok {m68*-hp,i[34]86-*}-netbsd* and set opsys=netbsd.
	Check for XFree86 (/usr/X386/include) independent of whether
	-lXbsd exists.

	* Makefile.in (info, dvi, clean, mostlyclean, distclean,
	realclean, unlock, relock): Use `$(MAKE)' in place of plain
	`make'.

1993-08-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.19 released.

	* configure.in (i386-*-sunos4): Assume Sunos 4.0.

1993-08-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Check for XScreenNumberOfScreen.

1993-08-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Add * to end of all configuration alternatives.
	(m68*-sony-newsos3*): New alternative.

1993-08-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Include getdate.c in distribution.

	* configure.in: For --help, use $PAGER if it is set.
	(LIB_X11_LIB): Default to -lX11.
	(mips-sgi-irix5.*): New alternative.

	* Makefile.in (do-install): Install info/gnus* and info/sc*.

	* configure.in (m68*-hp-hpux*, hppa*-hp-hpux*):
	Recognize *.B8.* as hpux version 8.
	(m68*-tektronix-bsd*): Fix typo in tek4300.
	(AC_HAVE_FUNCS): Add ftime.

1993-08-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (m88k-tektronix-sysv3*): Added the missing *.
	Use tekxd88, not tekXD88.

1993-08-10  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in: Check for -lm.  Then can check for frexp and logb.

1993-08-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.18 released.

	* make-dist (src): Don't put gnu-hp300 in dist.
	(src, lisp): Include OChangeLog in dist.

1993-08-08  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Test for presence of logb and frexp functions.

1993-08-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (machine): Add i370-ibm-aix*.

1993-08-03  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in (function checks): Test for mkdir and rmdir.

	* configure.in (function checks): Don't test for random and bcopy
	only when we're building with X; look for them all the time.

1993-07-30  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Test for availability of bcopy functions, searching
	the X libraries if we're using X.

	* configure.in: Test for the presence of/usr/lpp/X11/bin/smt.exp,
	and #define HAVE_AIX_SMT_EXP if we do.  This is present in some
	versions of AIX, and needs to be passed to the loader.

	* configure.in: Test for the availability of the
	XScreenResourceString function.

1993-07-30  David J. MacKenzie  (djm@frob.eng.umd.edu)

	* configure.in: If we found X on our own, set C_SWITCH_X_SITE and
	LD_SWITCH_X_SITE and assume --with-x11.
	Only look for X11 files if we weren't told about a window system
	or if we were told to use X11 but not told where.
	Search the libraries from the s and/or m files when checking for
	functions.

	* configure.in: Remove any trailing slashes in prefix and exec_prefix.

1993-07-27  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Include lisp/dired.todo in the distribution.

1993-07-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Add code to set HAVE_INET_SOCKETS.

1993-07-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: If we do find x_includes and x_libraries
	via AC_FIND_X, set C_SWITCH_X_SITE and LD_SWITCH_X_SITE.

1993-07-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Include src/gnu-hp300 in the dist.

	* configure.in (canonical): New variable holds the canonicalized
	configuration.  Don't alter `configuration'.  Use `configuration'
	for Makefile.in for file naming.
	(testing x_includes and x_libraries): Use =, not ==.

1993-07-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Version 19.17 released.

	* Makefile.in (src/Makefile): Propagate C_SWITCH_SYSTEM to the src
	directory's makefile.  This allows the invocation of CPP which
	builds xmakefile to receive these switches.  The SunSoft C
	preprocessor inserts spaces between tokens if it doesn't get the
	-Xs flag requested in src/s/sol2.h.

1993-07-12  Frederic Pierresteguy  (F.Pierresteguy@frcl.bull.fr)

	* configure.in (m68k-bull-sysv3): New config.

1993-07-10  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Use the autoconf AC_FIND_X macro to try to find
	the X Windows libraries.

1993-07-07  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist (tempdir): Don't create lisp/forms-mode directory in
	the distribution.  Those files aren't kept in their own
	subdirectory any more.

1993-07-06  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.16 released.

1993-06-23  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Add --verbose flag.

1993-06-19  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* version 19.15 released.

1993-06-18  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Makefile.in (top_distclean): Use -f switch when cleaning out
	lock dir; it might be empty.

	* configure.in: Only check for -lXbsd once.

1993-06-17  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.14 released.

1993-06-17  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: If using gzip, create distribution with '.gz' extension.

	* make-dist (lisp/term): This doesn't have a ChangeLog anymore.
	(lisp/forms-mode): This doesn't exist anymore.

	* configure.in: Look for the closedir function.

1993-06-16  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in (CPP): Autoconf sets this to a shell variable
	reference, which doesn't work when it's edited into a makefile.
	Expand that variable reference.

	* Makefile.in (CPP): New variable.
	(src/Makefile): Edit CPP into src/Makefile.

	* Makefile.in (src/Makefile): Don't bother exiting single quotes
	and entering double quotes to get the values of LD_SWITCH_X_SITE
	and the other make variables; make substitutes them in anyway.

	* Makefile.in (uninstall): Don't remove the lisp and etc
	directories if they're in the source tree.

	Bring mumbleclean targets into conformance with GNU coding standards.
	* Makefile.in (mostlyclean, clean): Separate these two; just have
	them pass the request to the subdirectory makefiles.
	(distclean): Pass the request down, and then get rid of the
	files configure built, and get rid of the Makefiles.
	(realclean): Pass the request down, and then do the same things
	distclean does.
	(uninstall, info, dvi): New targets.

	* configure.in: Move clause for PC-compatible i386 box to the end
	of the case statement, to avoid masking configurations below.

	* configure.in: Add case for m88k-motorola-sysv4.

	* configure.in: Add support for HP/UX versions 7, 8, and 9 on
	the HP 68000 machines.

	* configure.in: Put the arguments to LD_SWITCH_X_SITE's and
	C_SWITCH_X_SITE's -L and -I switches in quotes, so the
	preprocessor won't fiddle with them.

1993-06-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (TAGS): cd to src to run etags.

1993-06-12  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in (version): Check the X libraries for XrmSetDatabase
	and random, and see if we have -lXbsd.

1993-06-11  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Pass "-Isrc" to the CPP we run to examine the
	s/*.h and m/*.h files.  Martin Tomes
	<mt00@controls.eurotherm.co.uk> says ISC Unix 3.0.1 needs it.

1993-06-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Move i386-prime-sysv* and i386-sequent-bsd*
	above the general i386 alternative.

1993-06-10  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Recognize configuration name for Data General
	AViiON machines.

	* configure.in: Use AC_LONG_FILE_NAMES.

1993-06-09  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Test for bison.
	* Makefile.in (YACC): New variable.
	(lib-src/Makefile.in): Edit YACC into the makefile.

1993-06-08  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Version 19.13 released.

	* configure.in (CFLAGS): Don't set this according to the value of
	the GCC shell variable.  Instead, consult the machine and system
	files for the values of C_OPTIMIZE_SWITCH and C_DEBUG_SWITCH, and
	test __GNUC__ while we're at it.

	* configure.in: Remove extra ;; from hpux cases.

1993-06-07  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Check to see if the system has -ldnet.

1993-06-08  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Add clauses to distribute lisp/forms-mode.

1993-06-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in (machine): Fix the versions in hpux version number test.
	Do not guess based on cpu type.  Do check for explicit system version.

1993-06-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Do NOT look for `unknown' as company name.

1993-06-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Fix typo in message.

1993-06-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.12 released.

	* Makefile.in (do-install): Correct previous etc-copying change.
	Partially rewrite using `if'.
	(src/Makefile): Insert --x-libraries option into LD_SWITCH_X_SITE.

	* Version 19.11 released.

	* configure.in: Handle 386bsd.

1993-05-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Update getdate.c.

	* configure.in: Handle bsd386.

	* Makefile.in (do-install): Use `-' in tar options.

	* configure.in: Change  ! "${...}"  to  x"${...}" = x.

	* Makefile.in (do-install): Copy the DOC-* files from the build
	etc directory, as well as lots of things from ${srcdir}/etc.

	* make-dist: Copy config.guess.

	* configure.in: Handle AIX versions 1.2, 1.3.

1993-05-30  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Use s/bsd4-3.h for mips-mips-riscos4, and add
	the configuration name mips-mips-usg* to represent USG systems.

	* configure.in: Fix logic to detect if srcdir is already configured.

	* Makefile.in: Pass in LD_SWITCH_X_SITE.

	* Makefile.in (mkdir, clean, mostlyclean, do-install): Use `(cd
	foo && pwd)` instead of `(cd foo ; pwd)` to get the canonical name
	of a directory; cd might fail, and have pwd print out the current
	directory.

1993-05-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: When looking for sources, use '.', not `.`.  Also '..'.

1993-05-30  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Complain if srcdir points at an already-configured
	tree.

1993-05-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.10 released.

1993-05-29  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile.in: Use Makefile comments, not C comments.

	* configure.in: Add case for the Tektronix XD88.

1993-05-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle sysv4.2 and sysvr4.2.

1993-05-29  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Traverse the argument list without destroying it;
	don't use shift.  It turns out that "set - ${saved_arguments}"
	doesn't work portably.

	* configure.in: Add missing "fi".

	* make-dist: Rebuild configure if configure.in is newer.

	* Makefile.in (src:, lib-src:, FRC:): Force the src and lib-src
	targets to be executed even if make remembers that it has already
	satisfied FRC.

1993-05-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (do-install): Delete redundant code to copy etc twice.

	* configure.in (romp): Handle various version numbers with aos and bsd.

1993-05-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Fix message text.

1993-05-28  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Make a `site-lisp' directory in the distribution,
	instead of a `local-lisp' directory, which hasn't been the
	appropriate name for a long time.
	* Makefile.in (@rip_paths@locallisppath): Use site-lisp directory
	from the distribution first, then /usr/local/lib/emacs/site-lisp.

	* Makefile.in (do-install): Correctly detect if ./etc and
	${srcdir}/etc are the same.

	* configure.in: Extract UNEXEC from the system configuration
	files, compute the name of the source file corresponding to the
	object file, and #define it as UNEXEC_SRC in config.h.

	* configure.in: If srcdir is '.', then try using PWD to make it
	absolute.

	* configure.in: Include ${srcdir} in the printed report, to help
	people notice if it's an automounter path.

1993-05-27  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in (prefix): Don't run pwd on srcdir unnecessarily.

1993-05-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (do-install): Delete the dest dir, not the source dir,
	when they are different.  Add  `shift' command.
	(COPYDESTS, COPYDIR): Delete external-lisp dir.
	(externallispdir): Var deleted.

	* configure.in: Delete spurious paren outputting short_usage.

1993-05-27  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.9 released.

1993-05-26  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile.in (${SUBDIR}): Pass the value of the make variable to
	subdirectory makes.

	* make-dist: Check for .elc files with no corresponding .el file.

	* Makefile.in (mkdir): Make all the directories in locallisppath.

	* config.guess: New file.
	* configure.in: Use it, tentatively.
	* INSTALL: Mention its usage.

	* configure.in (hppa-hp-hpux): Use uname -r instead of uname -m;
	the former gives you the operating system rev directly.  Use
	s/hpux.h if we don't recognize what we got.

	* Makefile.in (do-install): Don't remove a destination directory
	if it's the same as the source.  If ${srcdir}/info == ${infodir},
	don't try to copy the info files.

	* Makefile.in (COPYDIR, COPYDESTS): Don't mention etc twice; this
	doesn't work if you're not using a separate source directory.
	(do-install): Copy the build tree's etc directory only after
	making sure it's not also the source tree's etc directory.

1993-05-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Handle sunos4.1.3 specially.

1993-05-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (INSTALL): Add definition.

	* configure.in: Fix some messages.  Support -with-gnu-cc.
	At the end, use `set --', not `set -'.
	Delete spurious `.h' in hpux alternatives.

1993-05-25  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.8 released.

1993-05-25  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: When looking for source in the same directory as
	the configure script, make the path thus discovered absolute.
	If the user specifies the `--srcdir' switch, make that directory
	absolute too.

	* Makefile.in (srcdir): Remove comment saying this doesn't work.

	* Makefile.in (src/paths.h): Edit the `infodir' variable into this
	too, as the value of the PATH_INFO macro.

	* configure.in: Check to see if the source lives in the same
	directory as the configure script.

1993-05-24  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile.in (install): Split this into `install' and
	`do-install', to give people more control over exactly what gets
	done.
	(do-install): New target, containing the guts of `install'.  Don't
	remove and recreate the directories inside the copying loop - do
	it all before the copying loop.  Pass more flags to the lib-src
	make.
	(mkdir): Create ${infodir}, ${mandir}, and ${sitelispdir} here, to
	avoid errors and warnings.

	* configure.in: For generic IBM PC boxes, insist on "unknown" for
	the manufacturer - the more general case was blocking other i386
	configuration names below, and that's how the names are written in
	MACHINES anyway.

	* make-dist: When breaking links, remove the link before moving
	the copy onto it, to avoid interactive behavior.

	* Makefile.in: Doc fix.

	* configure.in: Doc fix.

	* INSTALL: Mention --exec-prefix option.

	* configure.in: Add support for the `--exec-prefix' option.
	* Makefile.in: Accept that support.

	* configure.in: Use the AC_PROG_INSTALL macro.
	* Makefile.in (INSTALL): Variable removed.
	(INSTALL_PROGRAM, INSTALL_DATA): Accept these values from configure.

	* configure.in: Distinguish between hp800's and hp700's by calling
	"uname -m".

1993-05-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Recognize configuration names for i860 boxes
	running SYSV.

1993-05-23  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Distinguish between hp800's and hp700's by the
	version of HP/UX they run, since that's something people are more
	likely to know - hp700's run 8.0.
	Add HP 700 configuration.

	* configure.in: Test for the presence of the `rename' function.

	* Makefile.in (C_SWITCH_X_SITE): New variable - get this from
	configure.in.
	(oldXMenu/Makefile): Edit C_SWITCH_X_SITE into this.

	* make-dist: Break intra-tree links.

	* configure.in: Explain that this is an autoconf script, and give
	instructions for rebuilding configure from it.  Arrange to put
	comments in configure explaining this too.

	* configure.in: Make the first line of the configure script be
	"#!/bin/sh".  Leaving the first line blank didn't work.

	* configure.in (long_usage): Removed; made short_usage describe
	the options briefly.

	* configure.in: Implement the --prefix option.
	* Makefile.in (prefix): Add support for it here.
	* INSTALL: Document it here.

	* Makefile.in (install): Don't assume that the files in the `info'
	subdirectory match  *.info.  They don't have that prefix.

1993-05-22  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Add case for version 5 of Esix.

1993-05-22  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.7 released.

	* make-dist: There aren't any *.com files in lib-src anymore.

	* make-dist: Copy texinfo.tex and texindex.c, rather than linking
	them; they're symlinks to other filesystems on the GNU machines.

	* make-dist: Check that the manual reflects the same version of
	Emacs as stated in lisp/version.el.  Edit that version number into
	the README file.

1993-05-21  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Remove the hack of AC_DEFINE; use
	AC_DEFINE_UNQUOTED.

1993-05-20  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Don't distribute precomp.com, compile.com, or
	link.com from ./src; they're in ./vms now.

	Some time-handling patches from Paul Eggert:
	* configure.in: Add AC_TIMEZONE.

1993-05-19  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure.in: Recognize Linux as a valid operating system for
	the i386.

1993-05-18  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Distribute some VMS files we got from Richard Levitte.

	* Makefile.in (oldXMenu/Makefile): Take oldXMenu/Makefile.in as
	the source for the sed command, not oldXMenu/Makefile.

1993-05-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* INSTALL: Don't claim the srcdir option doesn't work.

1993-05-16  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Include remarks saying what order the autoconf
	tests should go in, and remind people to change config.h.in
	whenever they add autoconf tests which make #definitions.

	* make-dist: Distribute oldXMenu/Makefile.in, not oldXMenu/Makefile.

1993-05-15  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Makefile.in (oldXMenu/Makefile): Make this depend on
	${srcdir}/oldXMenu/Makefile.in, not itself.

	* PROBLEMS: Some updates from David J. Mackenzie.

	More changes from David J. Mackenzie.
	* Makefile.in (install.sysv, install.xenix, install.aix): Targets
	removed; autoconf and config.h should specify all these
	differences.
	(buildlisppath): Make this path depend on ${srcdir}.
	(INSTALLFLAGS): Removed.
	(INSTALL): Include the -c flag.
	(install): Change the way we invoke install accordingly.

	Install ${srcdir} changes from DJM.
	* Makefile.in (SUBDIR_MAKEFILES): Add oldXMenu/Makefile to this
	list.
	(COPYDIR, COPYDESTS): Install files from both the etc directory in
	the source tree and the etc directory in the object tree.
	(${SUBDIR}): Pass the prefix variable down to submakes.
	(everywhere): Use `sed', not `/bin/sed'.  Not all systems have sed
	in /bin.
	(lib-src/Makefile, src/Makefile, oldXMenu/Makefile): Edit in
	values for srcdir and VPATH.
	(install): Add `v' flag to tar command.  Make sure that `dir'
	exists in ${srcdir}/info before copying it.  Remember that the man
	pages come from the source tree, not the object tree.
	* configure.in: Remove remarks saying that the --srcdir option
	doesn't work.
	Create the etc directory in the object tree.
	Recognize configuration names of the form *-sun-solaris*.
	Recognize sunos5 and solaris as operating system names.

	* configure.in: Use the AC_TIME_WITH_SYS_TIME macro, for
	lib-src/getdate.y and src/systime.h.

1993-05-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* make-dist: Make links in info subdir.

1993-05-13  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Call AC_STDC_HEADERS.

1993-05-10  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Sidestep autoconf's quoting of the second argument
	of AC_DEFINE, so we can specify the value to put there.  It would
	be nice if autoconf provided some way to specify computed values
	for macros.

1993-05-09  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (DEFS): Deleted; since we're using AC_CONFIG_HEADER,
	this is always just -DHAVE_CONFIG_H.

	The GNU coding standards specify that CFLAGS should be left for
	users to set.
	* Makefile.in (CFLAGS): Let configure determine the default value
	for this.  Don't
	have it default to DEFS.
	(${SUBDIR}): Pass CFLAGS down to submakes, not DEFS.
	(lib-src/Makefile, src/Makefile): Edit the default value for
	CFLAGS into these files, not DEFS.
	* configure.in (CFLAGS): Choose a default value for this - "-g"
	normally, or "-g -O" if we're using GCC.  Edit it into the
	top-level Makefile.

	* configure.in: When scanning the machine and system description
	#include files, write their names to conftest.c properly.

1993-05-07  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: In configuration name case for Apallos running
	Domainios, set opsys, not opsysfile.

	* configure.in: Use the autoconf AC_CONFIG_HEADER macro to produce
	src/config.h, instead of AC_OUTPUT; the latter overwrites
	src/config.h even when it hasn't changed, puts a makefile-style
	comment at the top even though it's C code, and produces a
	config.status script which doesn't do the job right.

	* configure.in: Add AC_LN_S test, so we can tell whether or not we
	can use a symbolic link to get the X Menu library into src.
	* Makefile.in (LN_S): New variable.
	(src/Makefile): Edit the value of LN_S into this makefile.

1993-05-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure.in: Support *-sco3.2v4* as opsystem.

	* make-dist: Don't include calc directory.
	Exclude many files in the man directory; copy a few.

1993-05-04  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Use AC_HAVE_HEADERS to test for sys/time.h, and
	call AC_STRUCT_TM to see what's in time.h.

	* configure.in: Employ quoting stupidity to get the value of CPP
	to expand properly.

1993-04-27  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in: Use the AC_PROG_CPP macro, and then use the CPP
	variable to scan the machine and system description files.

	* configure.in: Use the AC_HAVE_HEADERS to check for sys/timeb.h,
	so that getdate.y builds correctly.

1993-04-26  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure.in (tempcname): Change this to "conftest.c", so it will
	work properly on systems with short filenames; this is the name
	autoconf uses.

	* configure.in: Also detect the availability of dup2 and
	gethostname.

	* configure.in: Use the AC_ALLOCA test.
	* Makefile.in (ALLOCA): New variable, to be set by ./configure.
	(lib-src/Makefile): Edit the value of ALLOCA into lib-src/Makefile.

1993-04-24  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Distribute configure, as well as configure.in.
	Oversight.

1993-04-23  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install): Print out the name of the directory we're
	copying, so people can have some idea of whether we're making
	progress.

	* Makefile.in (install.aix, install.xenix, install.sysv, install):
	Don't forget to re-create the COPYDESTS directories after we clear
	them out.

1993-04-13  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in: Add autoconf cookies so that the configure
	script can comment out sections of path variable definitions to
	choose between the installable configuration and the run-in-place
	configuration.
	* configure.in: Add new option `--run-in-place', to select the
	run-in-place path definitions.

	* configure.in: Add a clause to the big configuration name case
	for the NeXT machine.

1993-04-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Make sure that each source directory exists, and is different from
	the destination directory; then, delete the destination before
	copying over the source.

	* make-dist: Distribute configure.in, instead of configure.

1993-04-10  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure.in: Don't set CC to "gcc -O" if the user specifies
	`--with-gcc'.  Add -O to DEFS if GCC is set.

1993-04-09  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (clean mostlyclean): Missing right paren.

	* configure.in: When checking for X windows, search for an X11
	subdirectory of ${x_includes}.

	* configure.in: Check for gettimeofday function, for getdate.y.

	Change `configure' to a mixture of custom code and autoconf stuff.
	autoconf can't derive all the information we need, but we'd really
	like to be able to take advantage of some of its tests, and its
	file-editing facilities.
	* configure.in: Renamed from configure.
	Quote the sections of shell script we want copied literally to
	the configure script.
	(compile): Initialize this to make the autoconf macros' code happy.
	Use AC_PROG_CC, AC_CONST, and AC_RETSIGTYPE instead of writing out
	code to do their jobs.
	Use autoconf to produce Makefile and src/config.h.
	Remove the Makefile-style comment that autoconf places at the top
	of src/config.h.
	(config_h_opts): Removed - no longer necessary.
	* Makefile.in (configname): Renamed to configuration.
	(CONFIG_CFLAGS): Renamed to DEFS.
	(CC, DEFS, C_SWITCH_SYSTEM, version, configuration): Adjusted to
	get values via autoload @cookies@.
	(libsrc_libs): Get this from autoconf.  We used to do nothing
	about this.
	(${SUBDIR}): Pass DEFS to submakes instead of CONFIG_CFLAGS.

	* Makefile.in (src/paths.h, lib-src/Makefile, src/Makefile): Don't
	echo the move-if-change command.

1993-04-08  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* make-dist: Distribute lib-src/rcs-checkin.

	* make-dist: It's oldXMenu/compile.com, not oldXMenu/compile.mms.
	Don't try to make links to the RCS or Old subdirectories.
	Use the appropriate extension for the compression type in use.
	Create the tar file in the shell's initial default directory, not
	in ${tempparent}.
	Erase the whole ${tempparent} tree, not just ${tempdir}.

1993-03-30  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Makefile.in (src/paths.h): Don't echo the huge sed command we
	use to build paths.h.
	(lib-src/Makefile, src/Makefile): Similarly.

	* configure: Extend test for working `const' keyword to handle AIX
	3.2 cc.

1993-03-24  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Distribute lisp/term/ChangeLog.

	Arrange for C compilation throughout the tree to get
	C_SWITCH_SYSTEM from the configuration files.
	* configure: Extract C_SWITCH_SYSTEM from the machine and
	system-dependent files, and save it in the top-level Makefile.
	* Makefile.in (C_SWITCH_SYSTEM): New flag for configure to edit.
	(lib-src/Makefile): Edit C_SWITCH_SYSTEM into lib-src/Makefile.

	* make-dist: Include the VMS support files in oldXMenu in the
	distribution.

	* configure: Doc fix.

	* configure: Fix corrupted config_h_opts.

	* configure: Properly report option names in error messages.

	* configure: Properly recognize --x-includes and --x-libraries
	options.

	* configure: Fix syntax errors in code handling XFree386.

1993-03-23  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* configure: Add special code to detect XFree386, and tell
	config.h about it.

	* configure: Properly handle extracting values of LIBS_MACHINE and
	LIBS_SYSTEM that contain spaces.

	* configure: Add `--x-includes' and `--x-libraries' options.  I
	think these are dopey, but no less than three alpha testers, at
	large sites, have said they have their X files installed in odd
	places.  Implement them by setting C_SWITCH_X_SITE and
	LD_SWITCH_X_SITE in src/config.h.

1993-03-22  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* make-dist: Don't distribute etc/Old files.

	* GETTING.GNU.SOFTWARE, PROBLEMS: Registered into RCS with their
	backups.

1993-03-20  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Fix typo.

1993-03-19  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* make-dist: Corrected typo, fixed it to discard = and TAGS files
	in some cases where it should but didn't seen to.

	* Makefile.in: Added unlock and relock productions.

1993-03-18  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Add a --compress option to force make-dist to use
	compress.

	* make-dist: Use gzip, if we can find it.

	* configure: Recognize rs6000-ibm-aix32 and rs6000-ibm-aix, and
	make rs6000-ibm-aix default to -aix32.

1993-03-17  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* Makefile.in: Added `Developer's configuration' section.

1993-03-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Makefile.in: Add commented-out variable settings for developer's
	configuration.

1993-03-14  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Distribute `src/bitmaps' too.

1993-03-14  Charles Hannum  (mycroft@hal.gnu.ai.mit.edu)

	* configure: Recognize rs6000-ibm-aix32 and rs6000-ibm-aix, and
	make rs6000-ibm-aix default to -aix32.

1993-03-09  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: Recognize strings like "sysvr0" or "sysvr1" as System V.

	* Makefile.in (install.sysv): Add a second `$' in front of
	`${dest}', so that the shell will expand it, instead of Make.

	* configure: When processing the name of the configure script,
	collapse `././' to `./', but leave a single `./' prefix alone.

	* configure: Doc fix.

1993-03-04  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* configure: Handle isc3.0 correctly.

1993-02-25  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Don't try to copy the COPYING notice into
	external-lisp; we're not distributing that directory any more.

1993-02-24  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install, install.aix, install.xenix, install.sysv):
	Remove CVS subdirectories from the installed directory trees, as
	well as RCS directories.

1993-02-23  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Only copy gmalloc.c if we couldn't link it.
	Don't try to copy man/{README,Makefile} unless they actually exist.

	* Makefile.in (lisppath): Don't include externallispdir in this.
	We're not sure whether we're even going to distribute the
	directory yet.

1993-02-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Don't distribute the external-lisp directory anymore.
	* INSTALL: Remove all references to external-lisp.

	* configure: Detect whether the compiler supports `const'
	properly, and edit src/config.h accordingly.

	* configure: Tweak layout of final report.

	* Makefile.in (${SUBDIR}): Pass CONFIG_CFLAGS to the submakes, not
	CFLAGS.

	* Makefile.in (locallisppath): Make this default to
	${datadir}/emacs/site-lisp, instead of
	${datadir}/emacs/local-lisp.  ${datadir} and ${statedir} are often
	the same thing, and local-lisp causes completion conflicts with
	lock.
	(lisppath): Add ${externallispdir} to this.
	* INSTALL: Adjust installation directions.

	* Makefile.in (externallispdir): New variable, to say where to
	install the externally-maintained lisp files.
	(COPYDIR, COPYDESTS): Copy the external lisp directory just like
	the others.
	* INSTALL: Describe external-lisp and the new externallispdir
	variable.

1993-02-14  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure (progname): New option `--with-gcc'.  Make it clearer
	how we are trying to guess whether or not we have GCC.
	* INSTALL: Document the `--with-gcc' option, and improve
	description of `--with-x' options.

1993-02-06  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (COPYDIR, COPYDESTS): Remove ${srcdir}/info and
	${infodir} from these variables; we have written out explicit code
	to install the info files.

1993-01-25  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* make-dist: Don't distributed the RCS files in the etc directory.

1993-01-24  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in: Some makes can't handle comments in the middle of
	commands; move them to before the whole rule.

1993-01-16  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* README: Mention what Emacs is.

1993-01-14  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Include `./lisp/calc-2.02' in the distribution.
	Add `./cpp' and `./man' back into the distribution.

1993-01-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in: Define MAKE, and use where appropriate.

1993-01-07  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Remember that the authoritative COPYING notice is
	`etc/COPYING', not `../etc/COPYING'.

1992-12-20  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Make sure that the COPYING notices in each directory
	are copies, not symlinks.

1992-12-19  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* INSTALL: The build process produces an executable called `emacs'
	now.  Change references.
	* Makefile.in: Adjust `install.mumble' targets to install
	`src/emacs', not `src/xemacs'.

	* configure: Start with a blank line; this keeps some old CSH's
	from thinking it's a CSH script.  Most systems will just use
	/bin/sh to run it, which is what we're expecting; the only other
	shells which might try to interpret it themselves are probably
	Bourne-compatible.

1992-12-14  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* INSTALL: Improvements suggested by David Mackenzie.

1992-12-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Don't try to copy the info files if there aren't any; the
	unexpanded globbing pattern disappoints `install'.  Ignore the
	return status of that command.

	* INSTALL: Updated for new configuration arrangement.

	* configure: Don't make the top-level Makefile read-only - people
	may want to edit the values of the path variables.

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Install the info files in ${infodir}.  Install the executable
	under both `emacs' and `emacs-VERSION'.

	* Makefile.in: Doc fix.

	* Makefile.in (exec_prefix): New variable, as per latest version
	of coding standards.
	(bindir, libdir): Use it, instead of `prefix'.
	(lib-src/Makefile): Edit value of exec_prefix into lib-src/Makefile.

	* Makefile.in (mandir): Make the default value for this depend on
	$(prefix).

	* Makefile.in (datadir, statedir, libdir): Make these all default
	to ${prefix}/lib.
	(lispdir, locallisppath, etcdir, lockdir, archlibdir): Adjusted
	to compensate.

	* Makefile.in (install, install.sysv, install.xenix, install.aix):
	Install the etags and ctags man pages too.

	* Makefile.in (distclean): Don't delete backup files; that's the
	job of extraclean.
	(extraclean): Like distclean, but deletes backup and autosave files.

1992-12-10  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	Make path specification conform to GNU coding standards.
	* configure (long_usage): Remove all traces of old arguments from
	usage messages, and document the options we do accept in more
	detail: -with-x... and --srcdir.
	(options, boolean_opts): Deleted; we don't have enough options to
	make this worthwhile.
	(prefix, bindir, lisppath, datadir, libdir, lockdir): Deleted,
	along with the code which supported them; these should be set as
	arguments to the top-level make.
	(config_h_opts): Since this no longer doubles as a list of option
	names, make them upper case; this simplifies the code which uses
	them to build the sed command to edit src/config.h.  Change the
	code which sets them.
	(cc, g, O): Don't allow the user to set these using options; they
	should be specified using `CC=' and `CFLAGS=' arguments to the
	top-level make.  Just choose reasonable default values for them,
	and edit them into Makefile.in's default CC and CONFIG_CFLAGS
	values.
	(gnu_malloc, rel_alloc): Don't allow the user to set these using
	options; use them whenever the configuration files say they're
	possible.
	Simplify the argument processing loop.  Don't accept abbreviations
	for option names; these might conflict with other configuration
	options in the future.
	Add some support for the `--srcdir' option.  Check for the sources
	in . and .. if `--srcdir' is omitted.  If the directories we will
	compile in don't exist yet, create them under the current directory.
	Note that the rest of the build process doesn't really support
	this.
	Edit only the top Makefile.  That should edit the others.  Edit
	into the makefile: `version', from lisp/version.el, `configname'
	and `srcdir' from the configuration arguments, `CC' and
	`CONFIG_CFLAGS' as guessed from the presence or absence of GCC in
	the user's path, and LOADLIBES as gleaned from the system
	description files.
	Simplify the report generated; it doesn't need to include any
	description of paths now.
	Make `config.status' exec configure instead of just calling it, so
	there's no harm in overwriting `config.status'.
	* Makefile.in (version, configname): New variables, used to choose
	the default values for datadir and libdir.
	Path variables rearranged into two clearer groups:
	- In the first group are the variables specified by the GNU coding
	  standards (prefix, bindir, datadir, statedir, libdir, mandir,
	  manext, infodir, and srcdir).
	- In the second are the variables actually used for Emacs's paths
	  (lispdir, locallisppath, lisppath, buildlisppath, etcdir, lockdir,
	  archlibdir), which depend on the first category.
	datadir and libdir default to directories under
	${prefix}/lib/emacs instead of ${prefix}/emacs, by popular
	demand.
	etcdir and lispdir default to subdirectories of datadir.
	archlibdir defaults to libdir.
	The new installation tree is a bit deeper than it used to be, so
	use the new make-path program in lib-src to build them all.
	Always build a new src/paths.h.tmp and then move-if-change it to
	src/paths.h, to avoid unnecessary rebuilds while responding to the
	right changes.
	Remove all mention of arch-lib.  Run utility commands from
	lib-src, and let the executables be copied into archlibdir when
	Emacs is installed.
	Add targets for src/Makefile, lib-src/Makefile, and
	oldXMenu/Makefile, editing the values of the path variables into
	them.
	Let lib-src do its own installation.
	(datadir): Default to putting data files under
	${prefix}/lib/emacs/${version}, not /usr/local/emacs.
	(emacsdir): Variable deleted; it would only be confusing to use.
	(lispdir, etcdir): Default to ${datadir}/lisp.
	(mkdir): Use make-path for this.
	(lockdir): Do this in mkdir.
	(Makefile): New target.

	* configure (usage_message): Rename to long_usage.

	* make-dist: Don't bother creating an arch-lib directory; that's
	only for installation now.

1992-11-20  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: Use GCC-style configuration names, using config.sub.
	Change the usage and help messages.

	* configure: Initialize window_system, not indow_system.

	* configure: Report which window system, compiler, and signal
	handler return type we decide to use.

	* make-dist: Explain what's going on if config.sub and gmalloc.c
	can't be linked.  Place the code which copies them near the code
	which links the rest of the files around them.

1992-11-15  Jim Blandy  (jimb@apple-gunkies.gnu.ai.mit.edu)

	* make-dist: Don't bother to distribute src/*.com, or
	src/vmsbuild; those have all been moved to `../vms'.

1992-11-07  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Don't forget that the way to avoid filenames starting
	with `=' is to use the pattern `[a-zA-Z0-9]*.h', not
	`[a-zA-Z0-9].h'.  Add a new section for dealing with files that we
	couldn't make hard links to, since we have two already, and
	perhaps more to come.

1992-11-04  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: When editing parameters into lib-src/Makefile, change
	the definition of CONFIG_CFLAGS instead of CFLAGS itself; CFLAGS
	needs some other flags too.

1992-11-03  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* configure: Remove spurious echo of the configuration name.

	* make-dist: Don't distribute files in src/m and src/s whose names
	begin with `='.

1992-10-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure: Update GNU_MALLOC and REL_ALLOC in config.h.
	Also LISP_FLOAT_TYPE.

1992-10-26  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* make-dist: Copy config.sub, since it's a symbolic link to a file
	on another file system.

1992-10-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* make-dist: Include lib-src/makedoc.com and emacs.csh in the
	distribution.

	* config.sub: New file, to help us recognize configuration names.
	* make-dist: Include it in the distribution.

1992-09-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* configure: Convert `-' to `_' in specified option names.
	Accept options with --.  Delete --highpri and --have-x-menu options.
	New options --with-x and --with-x10 replace -window-system.
	Don't mention options --gnu-malloc, --rel-alloc
